<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<!DOCTYPE html>
<html>
    <head>
        <title>Banner's Hallmark | Invoices</title>        
    </head>
    
	
    <body>

	<!-- Content Header (Page header) -->
	<section class="content-header">
		<h1>
			Invoices<!--  <small>advanced tables</small> -->
		</h1>
	</section>

	<!-- Main content -->
	<section class="content">
		<div class="row">
			<div class="col-xs-12">
			
				<div class="box">
					<div class="box-header">						
						<div class="box-tools">
	                		<div class="input-group input-group-sm" style="width: 150px;">
	                		<p class="text-right"><button class="btn btn-default"><i class="fa fa-plus"></i> <a href="${pageContext.request.contextPath}/invoice/addInvoice">Add Invoice</a></button></p>
	                		<button id="showLink" type="button" class="btn btn-primary">Show Link</button>&nbsp;
	                		<button id="approveInvoice" type="button" class="btn btn-primary">Approve Invoice</button>&nbsp;
	                		<button id="uploadToBill" type="button" class="btn btn-primary">Upload To Bill.com</button>
	                	</div>
	              	</div>
					</div>
					
					<!-- /.box-header -->
					<div class="box-body table-responsive">
						<table id="example" class="table table-bordered table-striped">
							<thead>
								<tr>
									<th id="showAll"><input type="checkbox" /></th>
									<th>PONumber</th>
									<th>Vendor</th>
									<th>Store</th>
									<th>InvStatus</th>
									<th>QB</th>
									<th>Invoice Number</th>
									<th>Invoice Date</th>
									<th>Due Date</th>
									<th>Product Received</th>
									<th>Actions</th>
								</tr>
							</thead>
							<tbody>
								<c:forEach var="invoice" items="${invoices}">
									<tr>
										<td id="show">${invoice.invoiceLink},${invoice.invoiceIdentity.ponumber}-${invoice.invoiceIdentity.invoicenumber}-${invoice.invoiceIdentity.store}-${invoice.vendorUnqId}</td>
										<td>${invoice.invoiceIdentity.ponumber}</td>
										<td>${invoice.vendor}</td>
										<td>${invoice.invoiceIdentity.store}</td>
										<td>${invoice.invStatus}</td>
										<td>${invoice.qb}</td>
										<td>${invoice.invoiceIdentity.invoicenumber}</td>
										<td>${invoice.invoiceDate}</td>
										<td>${invoice.dueDate}</td>
										<td><a href="${invoice.receiveLink}" target="_blank">${invoice.productReceived}</a></td>
										<td class="td-actions">
			                                <div class="action-buttons">
			                                   <a class="" title="Edit" href="${pageContext.request.contextPath}/invoice/getInvoice/${invoice.invoiceIdentity.ponumber}/${invoice.invoiceIdentity.invoicenumber}/${invoice.invoiceIdentity.store}">
			                                   	<button  class="btn btn-primary btn-xs" ><i class="fa fa-pencil"></i></button></a>&nbsp;
			                                	<a class="red" href="${pageContext.request.contextPath}/invoice/deleteInvoice/${invoice.invoiceIdentity.ponumber}/${invoice.invoiceIdentity.invoicenumber}/${invoice.invoiceIdentity.store}" id="remove">
			                                   	<button  class="btn btn-danger btn-xs"><i class="fa fa-trash-o"></i></button></a>&nbsp;
			                                 </div>			                                
			                            </td>			                            
									</tr>
								</c:forEach>							
							</tbody>
						</table>
					</div>
					<!-- /.box-body -->
				</div>
				<!-- /.box -->
			</div>
		</div>

	</section>
	<!-- /.content -->

	<script src="${pageContext.request.contextPath}/resources/js/modules/alert/deleteAlert.js" type="text/javascript"></script>
    <script>
	    $(document).ready(function (){
	   	   var table = $('#example').DataTable({
	   	      'columnDefs': [
	   	         {
	   	            'targets': 0,
	   	            'checkboxes': {
	   	               'selectRow': false
	   	            }
	   	         }
	   	      ],
	   	      /* 'select': {
	   	         'style': 'multi'
	   	      }, */
	   	      'order': [[1, 'asc']]
	   	   })
	   	   
	   	$('#showLink').on('click', function(e){
	        var form = this;

	        var rows_selected = table.column(0).checkboxes.selected();
	        //alert(rows_selected);

	        // Iterate over all selected checkboxes
	        $.each(rows_selected, function(index, rowId){
	        	var data=rowId.split(",");
	           window.open(data[0],'_blank');
	        });
	     });
	   	   
	   	$('#approveInvoice').on('click', function(e){
	        var form = this;

	        var rows_selected = table.column(0).checkboxes.selected();

	        var invoiceData=[];
	        $.each(rows_selected, function(index, rowId){
	        	var data=rowId.split(",");
	        	invoiceData.push(data[1]);
	        });
	        
	        if(invoiceData.length>0){
		        $.ajax({
	   				url:"${pageContext.request.contextPath}/ajax/invoice/approveInvoice",
	   				type: "POST",   				
	   				contentType: "application/json; charset=utf-8",
	   				data:   JSON.stringify(invoiceData),
	   				success: function (data) {
	   					if(data.result=='success'){
	   						window.location.reload();
	   					}else{
	   						alert('error occured');
	   					}
	   				},
	   				error: function (jqXHR, textStatus, errorThrown) {
	   					console.log(textStatus);
	   					console.log(errorThrown);
	   				}
	   			});
	        }
	     });
	   	
	   	// Bill.com
	   	$('#uploadToBill').on('click', function(e){
	        var form = this;

	        var rows_selected = table.column(0).checkboxes.selected();

	        var invoiceData=[];
	        $.each(rows_selected, function(index, rowId){
	        	var data=rowId.split(",");
	        	invoiceData.push(data[1]);
	        });
	        
	        if(invoiceData.length>0){
		        $.ajax({
	   				url:"${pageContext.request.contextPath}/ajax/invoice/goToBills",
	   				type: "POST",   				
	   				contentType: "application/json; charset=utf-8",
	   				data:   JSON.stringify(invoiceData),
	   				success: function (data) {
	   					if(data.result=='Success'){
	   						alert('Successfully Uploaded');
	   						window.location.reload();
	   					}else{
	   						alert('error occured');
	   					}
	   				},
	   				error: function (jqXHR, textStatus, errorThrown) {
	   					console.log(textStatus);
	   					console.log(errorThrown);
	   				}
	   			});
	        }
	     });
	   	
	    });    	
   	
   	    </script>
    
    </body>
</html>