<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<!DOCTYPE html>
<html>
<head>
<style>
table.dataTable thead th, table.dataTable thead td {
	padding: 10px 18px;
	border-bottom: 1px solid #111;
}

.boxbody{overflow-x:scroll}
.boxbody table thead th+th {
    min-width: 160px;
}

.boxbody table thead th + th{
    min-width: 160px;
}

</style>
<title>Banner's Hallmark | Spread Sheet Data</title>
</head>
<body>

	<!-- Content Header (Page header) -->
	<section class="content-header">
		<h1>
			Zap Data List
			<!--  <small>advanced tables</small> -->
		</h1>
	</section>

	<!-- Main content -->
	<section class="content">
		<div class="row">
			<div class="col-xs-12">

				<div class="box">
					<!-- /.box-header -->
					<div class="boxbody box-body table-responsive">
						<table id="example" class="table table-bordered table-striped">
							
								
									<c:forEach var="root" items="${zapList}">
										<thead>
										<c:forEach var="head" items="${root.data.headers}">
											<tr>
												<c:forEach var="headerName" items="${head.headName}">
															<th style="background: black;color: white;">${headerName}</th>
												</c:forEach>
											</tr>
										</c:forEach>
										</thead>
											<tbody>
												<c:forEach var="dataRow" items="${root.data.rows}" varStatus="status">
													<tr>
														<c:forEach var="tdValue" items="${dataRow.values}" varStatus="status">
															<td>${tdValue}</td>
														</c:forEach>
													</tr>
												</c:forEach>
											</tbody>
									</c:forEach>
							
						</table>
					</div>
					<!-- /.box-body -->
				</div>
				<!-- /.box -->
			</div>
		</div>

	</section>
	<!-- /.content -->

	<script
		src="${pageContext.request.contextPath}/resources/js/modules/alert/deleteAlert.js"
		type="text/javascript"></script>
	<script>
		$(document).ready(function() {
			var table = $('#example').DataTable({
				'order' : [ [ 0, 'asc' ] ]
			})
		});
		$('INPUT[type="file"]').change(function() {
			var ext = this.value.match(/\.(.+)$/)[1];
			switch (ext) {
			case 'xls':
			case 'xlsx':
				$('#uploadButton').attr('disabled', false);
				break;
			default:
				alert("Only '.xls' and '.xlsx' file formats are allowed");
				$('#uploadButton').attr('disabled', true);
				this.value = '';
			}
		});
	</script>

</body>
</html>