<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

<!DOCTYPE html>
<html>
<head>
<title>BannersHallmark | Add Invoice</title>
</head>
<body>

	<!-- Content Header (Page header) -->
	<section class="content-header">
		<h1>Add Invoice</h1>
	</section>

	<!-- Main content -->
	<section class="content">
		<div class="row">
			<div class="box box-info">
				<div class="overlay" id="loading_overlay" style="display: none;">
					<i class="fa fa-refresh fa-spin"></i>
				</div>
				<div class="container">
					<!-- Horizontal Form -->
					<form:form class="form-horizontals" method="post" id="user_form"
						name="user_form" action="addNewInvoiceDetail"
						modelAttribute="invoice">
						<div class="container">
							<div class="row centered-form">
								<div class="col-xs-12 col-sm-12 col-md-12">
									<div class="panel panel-default">
										<!-- <div class="panel-heading">
                                        <h3 class="panel-title">Edit Admin Role </h3>
                                    </div> -->
										<div class="panel-body">

											<div class="row">
												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="invoiceNumber">Invoice Number</label>
														</div>

														<div class="form-group">
															<form:input type="text" maxlength="20"
																name="invoiceNumber" id="invoiceNumber"
																path="invoicenumber" class="form-control"
																placeholder="Invoice Number" value="" required="true" />
														</div>
													</div>
												</div>
												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="vendor">Vendor</label>
														</div>

														<div class="form-group">
															<form:select name="vendor" id="vendor" path="vendor"
																class="form-control" placeholder="Vendor" value=""
																required="true">
																<form:option value="">--Select Vendor--</form:option>
																<c:forEach items="${vendors}" var="vendor">
																	<form:option value="${vendor.id}">${vendor.vendorName}</form:option>>
															</c:forEach>
															</form:select>
														</div>
													</div>
												</div>

												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="store">Store</label>
														</div>

														<div class="form-group-margin-top-10">
															<form:select name="store" id="store" multiple="true"
																size="2" path="stores" class="form-control"
																placeholder="Store" required="true">
																<form:option value="">--Select Store--</form:option>
																<c:forEach items="${stores}" var="store">
																	<form:option value="${store.id}">${store.store}</form:option>
																</c:forEach>
															</form:select>
														</div>
													</div>
												</div>
											</div>
											<!-- Start -->

											<div class="row">
												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="ponumber">PO Number</label>
														</div>

														<div class="form-group">
															<form:input type="text" maxlength="20" name="ponumber"
																id="ponumber" path="ponumber" class="form-control"
																required="true" placeholder="PO Number" value="" />
														</div>
													</div>
												</div>
												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="invoiceDate">Invoice Date</label>
														</div>

														<div class="form-group">
															<form:input type="date" name="invoiceDate"
																id="invoiceDate" path="invoiceDate" class="form-control"
																placeholder="InvoiceDate" value="" required="true" />
														</div>
													</div>
												</div>
												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="dueDate">Due Date</label>
														</div>

														<div class="form-group">
															<form:input type="date" name="dueDate" id="dueDate"
																path="dueDate" class="form-control"
																placeholder="Due Date" value="" required="true" />
														</div>
													</div>
												</div>
											</div>

											<%--start--%>

											<div class="row">
												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">

														<div class="form-group">
															<label for="qb">Payment Method</label>
														</div>

														<div class="form-group">
															<form:select type="text" name="qb" id="qb" path="qb"
																class="form-control" placeholder="Payment Method"
																value="">
																<form:option value="">--Select Payment Method--</form:option>
																<form:option value="Paid by Credit Card">Paid by Credit Card</form:option>
																<form:option value="Paid half on Credit Card">Paid half on Credit Card</form:option>
																<form:option value="Pay in Bill.com">Pay in Bill.com</form:option>
															</form:select>
														</div>
													</div>
												</div>
												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="shippingMethod">Shipping Method</label>
														</div>

														<div class="form-group">
															<form:select type="text" name="shippingMethod"
																id="shippingMethod" path="shippingMethod"
																class="form-control" placeholder="Shipping Method"
																value="">
																<form:option value="">--Select Shipping Method--</form:option>
																<form:option value="Paid by Banner (FedexGroundCollect)"
																	label="Paid by Banner (FedexGroundCollect)" />
																<form:option value="Paid by Banner (other carriers)"
																	label="Paid by Banner (other carriers)" />
																<form:option value="Paid by Banner on invoice"
																	label="Paid by Banner on invoice" />
																<form:option
																	value="Paid by Banner on invoice discounted"
																	label="Paid by Banner on invoice discounted" />
																<form:option value="Paid by Vendor (free)"
																	label="Paid by Vendor (free)" />
															</form:select>
														</div>
													</div>
												</div>
												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="invShipping">Invoice Shipping</label>
														</div>

														<div class="form-group">
															<form:input type="number" min="0" max="1000000"
																onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"
																step="0.01" name="invShipping" id="invShipping"
																path="invShipping" class="form-control"
																placeholder="Invoice Shipping" value="" required="true" />
														</div>
													</div>
												</div>
											</div>

											<%--start--%>

											<div class="row">
												<div class="col-xs-12 col-sm-12 col-md-4">
													<div class="form-group">
														<label for="invStatus">Invoice Status</label>
													</div>

													<div class="form-group">
														<form:select type="text" name="invStatus" id="invStatus"
															path="invStatus" class="form-control"
															placeholder="Invoice Status" value="" required="true">
															<form:option value="REVIEWING">REVIEWING</form:option>
															<form:option value="REVIEWED">REVIEWED</form:option>
															<form:option value="APPROVED">APPROVED</form:option>
														</form:select>
													</div>
												</div>

												<div class="col-xs-12 col-sm-12 col-md-4">
													<div class="form-group">
														<label for="discountOptions">Discount Options</label>
													</div>

													<div class="form-group">
														<form:select type="text" name="discountOptions"
															id="discountOptions" path="discountOptions"
															class="form-control" placeholder="Discount Options"
															value="">
															<form:option value="none" label="None" />
															<form:option value="Discount On Subtotal"
																label="Discount On Subtotal" />
															<form:option value="Discount On Per Product"
																label="Discount On Per Product" />
															<form:option value="Both" label="Both" />
														</form:select>
													</div>
												</div>
											</div>


											<div id="disOnSub" class="row" style="display: none">
												<div class="col-xs-12 col-sm-12 col-md-4">
													<div class="form-group">
														<label id="discountOnEntireSubtotalLabel"
															for="discountOnEntireSubtotal">Discount On Entire
															Subtotal</label>
													</div>

													<div class="form-group">
														<form:input type="number" name="discountOnEntireSubtotal"
															id="discountOnEntireSubtotal"
															onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"
															min="0" step="0.01" path="discountOnEntireSubtotal"
															class="form-control"
															placeholder="Discount On Entire Subtotal" value=""
															required="true" />
													</div>
												</div>
                                                <div class="col-4">
												<div class="col-xs-12 col-sm-12 col-md-4">
													<div class="form-group">
														<label id="discountPercentOnSubtotalLabel"
															for="discountPercentOnSubtotal">Discount (%) On
															Subtotal</label>
													</div>

													<div class="form-group">
														<form:input type="number" name="discountPercentOnSubtotal"
															min="0" step="0.01"
															onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"
															id="discountPercentOnSubtotal"
															path="discountPercentOnSubtotal" class="form-control"
															placeholder="Discount percent On Subtotal" value=""
															required="true" readonly="true" />
													</div>
												</div>
											</div>
                                            </div>
											<%--start --%>

											<div id="disOnEachProd" class="row" style="display: none">
												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label id="originalUnitPriceLabel"
																for="originalUnitPrice">Original Unit Price</label>
														</div>

														<div class="form-group">
															<form:input type="number" min="0" max="1000000"
																onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"
																name="originalUnitPrice" id="originalUnitPrice"
																step="0.01" path="originalUnitPrice"
																class="form-control" placeholder="Original Unit Price"
																value="" required="true" />
														</div>
													</div>
													<div class="col-4">
														<div class="col-xs-12 col-sm-12 col-md-4">
															<div class="form-group">
																<label id="extendedUnitPriceLabel"
																	for="extendedUnitPrice">Extended Unit Price</label>
															</div>

															<div class="form-group">
																<form:input type="number" min="0" max="1000000"
																	name="extendedUnitPrice"
																	onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"
																	id="extendedUnitPrice" step="0.01"
																	path="extendedUnitPrice" class="form-control"
																	placeholder="Extended Unit Price" value=""
																	required="true" />
															</div>
														</div>
														</div>
														<div class="col-4">
															<div class="col-xs-12 col-sm-12 col-md-4">
																<div class="form-group">
																	<label id="discountPercentOnEachProductLabel"
																		for="discountPercentOnEachProduct">Discount
																		(%) On Each Product</label>
																</div>

																<div class="form-group">
																	<form:input type="number"
																		name="discountPercentOnEachProduct" min="0"
																		step="0.01"
																		onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"
																		id="discountPercentOnEachProduct"
																		path="discountPercentOnEachProduct"
																		class="form-control"
																		placeholder="Discount Percent On Each Product"
																		value="" required="true" readonly="true" />
																</div>
															</div>
														</div>
                                                       </div>
                                                       </div>
														<%-- start --%>
														<div class="row">
															<div class="col-4">
																<div class="col-xs-12 col-sm-12 col-md-4">
																	<div class="form-group">
																		<label for="invSubtotal">Invoice Subtotal</label>
																	</div>

																	<div class="form-group">
																		<form:input type="number" min="0" max="1000000"
																			onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"
																			name="invSubtotal" id="invSubtotal" step="0.01"
																			path="invSubtotal" class="form-control"
																			placeholder="Invoice Subtotal" value=""
																			required="true" />
																	</div>
																</div>
															</div>
															<div class="col-4">
																<div class="col-xs-12 col-sm-12 col-md-4">
																	<div class="form-group">
																		<label for="invTotal">Invoice Total</label>
																	</div>

																	<div class="form-group">
																		<form:input type="number" name="invTotal"
																			id="invTotal" min="0" step="0.01" path="invTotal"
																			class="form-control" placeholder="Invoice Total"
																			value="" required="true" readonly="true" />
																	</div>
																</div>
															</div>
														</div>
														<%--start--%>
													</div>
													<div class="box-footer">
														<a
															href="${pageContext.request.contextPath}/invoiceDetail/invoiceDetails"
															class="btn btn-warning">Cancel / Back</a>
														<button type="submit" id="saveForm"
															class="btn btn-info pull-right">Save</button>
													</div>
												</div>
											</div>
										</div>
									</div>
									<!-- /.box-body -->

									<form:hidden path="invoiceLink" value="${invoiceFile.fileUrl}" />
					</form:form>

					<iframe src="${invoiceFile.fileUrl}" width="100%" height="300"
						style="border: 1px solid black;"> </iframe>
				</div>
				<!-- /.box -->
			</div>
		</div>
	</section>

	<script>

	// Method Triggers When Changes Are Made On Discount Options Field	
	
	$("#discountOptions").change(function() {
	  var disOpt=$("#discountOptions").val();
	  if(disOpt=="Discount On Subtotal"){
		  $("#disOnSub").css("display", "block");
		  $("#disOnEachProd").css("display", "none");
		  $("#originalUnitPrice").val("");
		  $("#extendedUnitPrice").val("");
		  $("#discountPercentOnEachProduct").val('');
	  }else if(disOpt=="Discount On Per Product"){
		  $("#disOnSub").css("display", "none");
		  $("#disOnEachProd").css("display", "block");
		  $("#discountOnEntireSubtotal").val("");
		  $("#discountPercentOnSubtotal").val('');
	  }else if(disOpt=="Both"){
		  $("#disOnSub").css("display", "block");
		  $("#disOnEachProd").css("display", "block");
	  }else{
		  $("#disOnSub").css("display", "none");
		  $("#disOnEachProd").css("display", "none");
		  $("#discountOnEntireSubtotal").val('');
		  $("#discountPercentOnSubtotal").val('');
		  $("#originalUnitPrice").val('');
		  $("#extendedUnitPrice").val('');
		  $("#discountPercentOnEachProduct").val('');
	  }	  
	});
		
	function isNumberKey(evt)
    {
       var charCode = (evt.which) ? evt.which : evt.keyCode;
       if (charCode < 48 || charCode > 57)
          return false;
       return true;
    };
	
	$("#invSubtotal, #originalUnitPrice, #extendedUnitPrice").on('input', function () {
        this.value = this.value.match(/^\d+\.?\d{0,2}/);
    });
	
	// Method Triggerd For Total Calculation Based On Discount Option 
	$("#invSubtotal, #invShipping").change(function() {
		var subVal=parseFloat($("#invSubtotal").val(),100);
		var shipVal=parseFloat($("#invShipping").val(),100);
		if(!isNaN(subVal) && !isNaN(shipVal)){
			$("#invTotal").val((subVal+shipVal).toFixed(2));
		}else if(!isNaN(subVal)){
			$("#invTotal").val((subVal).toFixed(2));
		}else{
			$("#invTotal").val('');
		}
	});	
	
	$("#invSubtotal, #discountOnEntireSubtotal").change(function() {
		var subVal=parseFloat($("#invSubtotal").val(),100);
		var discOnSubVal=parseFloat($("#discountOnEntireSubtotal").val(),100);
		if(!isNaN(subVal) && !isNaN(discOnSubVal)){
			//var calculation=(discOnSubVal/subVal)*100;
			$("#discountPercentOnSubtotal").val(((discOnSubVal/subVal)*100).toFixed(2));
		}else{
			$("#discountPercentOnSubtotal").val('');
		}
	});	
	
	$("#originalUnitPrice, #extendedUnitPrice").change(function() {
		var orgUnitVal=parseFloat($("#originalUnitPrice").val(),100);
		var extUnitVal=parseFloat($("#extendedUnitPrice").val(),100);
		if(!isNaN(orgUnitVal) && !isNaN(extUnitVal)){
			//var calculation=(discOnSubVal/subVal)*100;
			$("#discountPercentOnEachProduct").val((((orgUnitVal-extUnitVal)/orgUnitVal)*100).toFixed(2));
		}else{
			$("#discountPercentOnEachProduct").val('');
		}
	});	
	
	// Method Trigger When Form Submit
	
	
	
	$("#saveForm").click(function(){
		/*var store=$("#store").val();
		 if ( store==null || store==""){     
			  alert("Store can't be blank"); 
             return false;  
            }*/
		var discOptValue=$("#discountOptions").val();
		if(discOptValue=="Discount On Subtotal"){
			$("#disOnEachProd").remove();
		}else if(discOptValue=="Discount On Per Product"){
			$("#disOnSub").remove();
		}else if(discOptValue=="Both"){
			
		}else{
			$("#disOnEachProd").remove();
			$("#disOnSub").remove();
		}
	  });
	
</script>
</body>
</html>