<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

<!DOCTYPE html>
<html>
<head>
<title>Banners Hallmark - Edit Invoice</title>
<link rel="stylesheet" href="${pageContext.request.contextPath}/resources/assets/vendors/choices.js/choices.min.css" />

</head>
<body>
	 <div id="main" class='layout-navbar'>
           
		   <div id="main-content">
                <div class="page-heading">
                    <div class="page-title mb-5">
                        <div class="row">
                            <div class="col-12 col-md-6 order-md-1 order-last">
                                <h3>Edit Invoice</h3>
                                <!-- <p class="text-subtitle text-muted">Navbar will appear in top of the page.</p> -->
                            </div>
                            <div class="col-12 col-md-6 order-md-2 order-first">
                                <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                                    <ol class="breadcrumb">
                                        <li class="breadcrumb-item"><a href="${pageContext.request.contextPath}/invoiceDetail/invoiceDetails">All Invoices</a></li>
                                        <li class="breadcrumb-item active" aria-current="page">Edit Invoice
                                        </li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>

                    <section class="section blnk-db">
                        <form:form class="form" method="post" id="user_form"
						name="user_form" onsubmit="saveForm()" novalidate="novalidate"
						action="${pageContext.request.contextPath}/invoiceDetail/updateInvoiceDetail"
						modelAttribute="invoice">
						<form:hidden path="invoiceDetailsId" />
						<form:hidden path="isZapData" />
                            <div class="eror-msg" style="display: none;">
								<div class="card">
									<div class="card-body error-msg">
										<p class="text-danger">Error - ${msg}</p>
										<a class="delete-msg btn btn-light">X</a>
									</div>
								</div>
							</div>
	                            <div class="card tp-inpt">
	                                <div class="card-body">
	                                    <div class="row">
	                                        <div class="col-md-4 col-12">
	                                            <div class="form-group">
	                                                <label for="invoice-number">Invoice Number</label>
	                                                <form:input type="text" maxlength="20"
														name="invoiceNumber" id="invoiceNumber"
														path="invoicenumber" class="form-control"
														placeholder="Invoice Number" value="" required="true"
														readonly="true" />
	                                            </div>
	                                        </div>
	                                        <div class="col-md-4 col-12">
	                                            <div class="form-group">
	                                                <label for="vendor">Vendor Id</label>
	                                                <fieldset class="" >
                                               			<form:select name="vendor" id="vendor" path="vendor"
															class="form-select" placeholder="Vendor Id" value=""
															required="true">
															<c:forEach items="${vendors}" var="vendor">
															 <c:if test="${(vendor.isActive == true or vendor.id eq invoice.vendor) and (vendor.vendorNo ne null)}">
															<!--  <c:if test="${vendor.vendorNo ne null}">  -->
																<form:option value="${vendor.id}">${vendor.vendorNo eq null ? '0' : String.valueOf(vendor.vendorNo).concat(" - ".concat(String.valueOf(vendor.vendorName)))}</form:option>
														   <!--  </c:if>  -->
														     </c:if>		
															</c:forEach>
														</form:select>
	                                                </fieldset>
	
	                                            </div>
	                                        </div>
	                                        <div class="col-md-4 col-12">
	                                            <div class="form-group">
	                                                <label for="site">Site</label>
	                                                <fieldset class="" >
	                                                   			<form:select name="store"  id="store" path="store"
																	class="form-select" placeholder="Site" value=""
																	required="true"  >
																	<c:forEach items="${stores}" var="store">
																	 <c:if test="${store.isActive == true or store.id eq invoice.store}">
																		<form:option value="${store.id}" >${store.store}</form:option>
																     </c:if>		
																</c:forEach>
																</form:select>
	                                                </fieldset>
	
	                                            </div>
	                                        </div>
	                                        
	       <%--                                   <div class="col-md-4 col-12">
	                                            <div class="form-group">
	                                                <label for="store">Site ${stores} </label>
	                                              <fieldset class="">           
	                                                <form:select 
	                                                         name="store" id="store"   path="store" required="true" readonly="true"  >		
	                                                             <c:forEach items="${stores}" var="store">
	                                                            <c:if test="${store.isActive == true or store.id eq invoice.invoiceDetailsId}">					
																		<form:option value="${store.id}"  selected="selected">${store.store}</form:option>
																	</c:if>	
																	</c:forEach>
																</form:select>
	                                                </fieldset>
	
	                                            </div>
	                                        </div>  --%> 
	                                         
	                                      <%--   <div class="col-md-4 col-12">
	                                            <div class="form-group">
	                                                <label for="store">Store</label>
	                                                <fieldset class="">
	                                                    		<form:select multiple="true" size="2" name="store" id="store" path="stores"
																	class="form-select" placeholder="Store" value=""
																	required="true" readonly="true">
																	<c:forEach items="${stores}" var="store">
																		<form:option value="${store.id}" selected="selected">${store.store}</form:option>>
																</c:forEach>
																</form:select>
	                                                </fieldset>
	
	                                            </div>
	                                        </div> --%> 
	
	                                    </div>
	                                    <div class="row">
	                                        <div class="col-md-4 col-12">
	                                            <div class="form-group">
	                                                <label for="po-number">PO Number</label>
	                                               <form:input type="text" maxlength="20" name="ponumber"
																	id="ponumber" path="ponumber" class="form-control"
																	placeholder="PO Number" value="" required="true" />
	                                            </div>
	                                        </div>
	                                        <div class="col-md-4 col-12">
	                                            <div class="form-group">
	                                                <label for="invoice-date">Invoice Date</label>
														<form:input type="date" name="invoiceDate"
															id="invoiceDate" path="invoiceDate" class="datePicker form-control"
															placeholder="InvoiceDate" value="" required="true" />
	                                            </div>
	                                        </div>
	                                        <div class="col-md-4 col-12">
	                                            <div class="form-group">
	                                                <label for="due-date">Due Date</label>
	                                                <form:input type="date" name="dueDate" id="dueDate"
														path="dueDate" class="datePicker form-control"
														placeholder="Due Date" value="" required="true" />
	                                            </div>
	                                        </div>
	                                    </div>
	                                    <div class="row">
	                                        <div class="col-md-4 col-12">
	                                            <div class="form-group">
	                                                <label for="payment-method">Payment Method</label>
	                                                <fieldset class="">
	                                                   <form:select type="text" name="qb" id="qb" path="qb"
																	class="form-select" placeholder="Payment Method"
																	value="" required="true">
																	<form:option value="">--Select Payment Method--</form:option>
																	<form:option value="Paid by Credit Card">Paid by Credit Card</form:option>
																	<form:option value="Paid half on Credit Card">Paid half on Credit Card</form:option>
																	<form:option value="Pay in Bill.com">Pay in Bill.com</form:option>
																</form:select>
	                                                </fieldset>
	                                            </div>
	                                        </div>
	
	                                        <div class="col-md-4 col-12">
	                                            <div class="form-group">
	                                                <label for="shipping-method">Shipping Method</label>
	                                                <form:input type="text"  name="shippingMethod" required="true" 
														id="shippingMethod" path="shippingMethod" class="form-control"
														placeholder="Shipping Method" value="" />
	                                            </div>
	                                        </div>
	
	                                       <%--  <div class="col-md-4 col-12">
	                                            <div class="form-group">
	                                                <label for="shipping-method">Shipping Method</label>
	                                                <fieldset class="">
	                                                   <form:select type="text" name="shippingMethod"
																	id="shippingMethod" path="shippingMethod"
																	class="form-select" placeholder="Shipping Method"
																	value="">
																	<form:option value="">--Select Shipping Method--</form:option>
																	<form:option value="Paid by Banner (FedexGroundCollect)"
																		label="Paid by Banner (FedexGroundCollect)" />
																	<form:option value="Paid by Banner (other carriers)"
																		label="Paid by Banner (other carriers)" />
																	<form:option value="Paid by Banner on invoice"
																		label="Paid by Banner on invoice" />
																	<form:option
																		value="Paid by Banner on invoice discounted"
																		label="Paid by Banner on invoice discounted" />
																	<form:option value="Paid by Vendor (free)"
																		label="Paid by Vendor (free)" />
																</form:select>
	                                                </fieldset>
	
	                                            </div>
	                                        </div> --%>
	
	
	
	                                        <div class="col-md-4 col-12">
	                                            <div class="form-group mb-0">
	                                                <label for="invoice-shipping">Invoice Shipping</label>
	                                                <form:input type="number" min="0" max="1000000"
														step="0.01" name="invShipping" id="invShipping"
														path="invShipping" class="form-control"
														placeholder="Invoice Shipping" value="" required="true"
														onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)" />
	                                            </div>
	                                        </div>
	                                    </div>
	                                        <div class="row">
	                                            <div class="col-md-4 col-12">
	                                                <div class="form-group">
	                                                    <label for="invoice-status">Invoice Status</label>
	                                                    <fieldset class="">
	                                                       <form:select type="text" name="invStatus" id="invStatus"
																	path="invStatus" class="form-select"
																	placeholder="Invoice Status" value="" required="true">
	
																	<c:choose>
																		<c:when test="${invoice.invStatus eq 'UPLOADED'}">
																			<form:option value="UPLOADED">${invoice.invStatus}</form:option>
																		</c:when>
																		<c:otherwise>
																			<form:option value="REVIEWING">REVIEWING</form:option>
																			<form:option value="REVIEWED">REVIEWED</form:option>
																			<form:option value="APPROVED">APPROVED</form:option>
																			<form:option value="RESEARCHING">RESEARCHING</form:option>
																			<form:option value="REJECTED">REJECTED</form:option>
																			<form:option value="CREDIT CARD">CREDIT CARD</form:option>
																		</c:otherwise>
																	</c:choose>
	
																	<%-- 	<c:if test="${invoice.invStatus eq 'UPLOADED'}">
														      <form:option value="UPLOADED">${invoice.invStatus}</form:option> 
														       </c:if> --%>
																</form:select>
	                                                    </fieldset>
	                                                </div>
	                                            </div>
	                                            <div class="col-md-4 col-12 ">
	                                                <div class="form-group filter-cat">
	                                                    <label for="discount-options">Discount Options</label>
	                                                    <fieldset class="">
	                                                       <form:select type="text" name="discountOptions"
																	id="discountOptions" path="discountOptions"
																	class="form-select" placeholder="Discount Options"
																	value="">
																	<form:option value="none" label="None" />
																	<form:option value="Discount On Subtotal"
																		label="Discount On Subtotal" />
																	<form:option value="Discount On Per Product"
																		label="Discount On Per Product" />
																	<form:option value="Both" label="Both" />
																</form:select>
	                                                    </fieldset>
	
	                                                </div>
	                                            </div>
	                                            
	                                           <div class="col-md-4 col-12">
		                                           <div class="form-group mb-0">
		                                                <label for="invoice-shipping">Tax</label>
		                                                <form:input type="number" min="0" max="1000000"
																onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"
																step="0.01" name="tax" id="tax"
																path="tax" class="form-control"
																placeholder="Tax" value="" required="true" />
		                                            </div>
	                                        	</div>
	                                       		</div>
	                                              <div id="disOnSub" class="row f-cat">
		                                                    <div class="col-md-4 col-12">
		                                                        <div class="form-group">
		                                                         <label for="discount-On-subtotal">Discount (%) On Entire Subtotal</label>
		                                                            <form:input type="number" name="discountOnEntireSubtotal"
																		id="discountOnEntireSubtotal"
																		onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"
																		min="0" step="0.01" path="discountOnEntireSubtotal"
																		class="form-control"
																		placeholder="Discount On Entire Subtotal" value=""
																		required="true" />
		                                                        </div>
		
		                                                    </div>
		                                                    <div class="col-md-4 col-12">
	                                                        <div class="form-group">
	                                                            <label for="discount-On-subtotal">Discount (%) On Subtotal</label>
	                                                          <form:input type="number" min="0" step="0.01"
																	onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"
																	name="discountPercentOnSubtotal"
																	id="discountPercentOnSubtotal"
																	path="discountPercentOnSubtotal" class="form-control"
																	placeholder="Discount percent On Subtotal" value=""
																	required="true" readonly="true" />
	                                                        </div>
	
	                                                    </div>
	                                                </div>
	                                                <div id="disOnEachProd" class="row f-cat" >
	                                               		
		                                                    <div class="col-md-4 col-12">
		                                                        <div class="form-group">
		                                                            <label for="original-unit-price">Original Unit Price</label>
		                                                            <form:input type="number" min="0" max="1000000"
																		onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"
																		name="originalUnitPrice" id="originalUnitPrice"
																		step="0.01" path="originalUnitPrice"
																		class="form-control" placeholder="Original Unit Price"
																		value="" required="true" />
		                                                        </div>
		
		                                                    </div>
		                                                    <div class="col-md-4 col-12">
		                                                        <div class="form-group">
		                                                            <label for="extended-unit-price">Extended Unit Price</label>
		                                                            <div class="form-group">
																		<form:input type="number" min="0" max="1000000000"
																		onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"
																		name="extendedUnitPrice" id="extendedUnitPrice"
																		step="0.01" path="extendedUnitPrice"
																		class="form-control" placeholder="Extended Unit Price"
																		value="" required="true" />
		                                                        	</div>
															
		                                                    	</div>
		                                                    	</div>
		                                                    <div class="col-md-4 col-12">
	                                                        <div class="form-group">
	                                                            <label for="discount-on-each-product">Discount (%) On Each Product</label>
	                                                          <form:input type="number"
																	onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"
																	name="discountPercentOnEachProduct"
																	id="discountPercentOnEachProduct" min="0" step="0.01"
																	path="discountPercentOnEachProduct" class="form-control"
																	placeholder="Discount Percent On Each Product" value=""
																	required="true" readonly="true" />
	                                                        </div>
	                                                    </div>
	                                            </div>
	                                        <div class="row">
	                                            <div class="col-md-4 col-12">
	                                                <div class="form-group mb-0">
	                                                    <label for="invoice-subtotal">Invoice Subtotal</label>
	                                                    <form:input type="number" min="0" max="1000000000"
																	onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"
																	name="invSubtotal" id="invSubtotal" step="0.01"
																	path="invSubtotal" class="form-control"
																	placeholder="Invoice Subtotal" value="" required="true" />
	                                                </div>
	
	                                            </div>
	                                            <div class="col-md-4 col-12">
	                                                <div class="form-group mb-0">
	                                                    <label for="invoice-total">Invoice Total</label>
	                                                  	<form:input type="number" name="invTotal" id="invTotal"
																	min="0" step="0.01" path="invTotal" class="form-control"
																	placeholder="Invoice Total" value="" required="true"
																	readonly="true" />
	                                                </div>
	
	                                            </div>
	
	                                        </div>
	                            </div>
								<form:hidden path="invoiceLink" value="${invoice.invoiceLink}" />
							</div>
							<div class="card">
	                            <div class="card-body apnd-tble">
	                                <div class="cln-tble mb-5">
	                                    <div class="table-responsive c-tble mb-4 norm-tble">
											<div id="tableInput">
		                                        <table class="table table-striped mb-0 ">
		                                           	<thead>
														<tr>
															<th>Row</th>
															<th>Product</th>
											                <th>UPC</th>
											                <th>Description</th>
											                <th>Quantity</th>
											                <th>Ship Quantity</th>
											                <th>B/O</th>
											                <th>List Price</th>
											                <th>Your Price</th>
											                <th>Discount</th>
											                <th>Amount</th>
														</tr>
													</thead> 
		                                            <tbody>
		                                            	<c:forEach items="${invoice.invoiceItems}" var="invoiceItem">
			                                                <tr class="control-group" id="control-group">
			                                                    <td>
				                                                    <div class="c-tble-add-dlt-btn">
				                                                        <a class="add btn btn-warning "> <i
			                                                                class="icon-mid bi bi-file-earmark-plus"></i> </a>
				                                                        <a class="delete btn btn-danger"><i
			                                                                class="icon-mid bi bi-trash"></i></a>
			                                                        </div>
			                                                    </td>
			                                                    <td>
			                                                        <div class="form-group">
			                                                        	<input type="text" maxlength="30" name="product" id="product" required size="25" class="form-control" 
			                                                        		placeholder="Product" value="${invoiceItem.product}" />
			                                                        </div>
			                                                    </td>
			                                                    <td>
			                                                        <div class="form-group">
			                                                        	<input type="text" maxlength="30" name="upc" id="upc" required size="15" class="form-control"
			                                                                placeholder="UPC" value="${invoiceItem.upc}"/>
			                                                            
			                                                        </div>
			                                                    </td>
			                                                    <td>
			                                                        <div class="form-group">
			                                                        <input type="text" maxlength="100" name="description" id="description" size="25" class="form-control"
			                                                                placeholder="Description" value="${invoiceItem.description}"/>
			                                                            
			                                                        </div>
			                                                    </td>
			                                                    <td>
			                                                        <div class="form-group">
			                                                            <input type="number" min="0" max="1000000"
																			name="qty" id="qty" class="form-control" onkeypress="return isNumberKey(event)"
			                                                                placeholder="Quantity" required value="${invoiceItem.qty}">
			                                                        </div>
			                                                    </td>
			                                                    <td>
			                                                        <div class="form-group">
			                                                            <input type="number" name="shipQty" size="7"
																			min="0" max="1000000" id="shipQty" onkeypress="return isNumberKey(event)"
																		 	class="form-control" value="${invoiceItem.shipQty}"
		                                                                	placeholder="Ship Quantity" required>
			                                                        </div>
			                                                    </td>
			                                                    <td>
			                                                        <div class="form-group">
			                                                            <input type="number" name="bo" id="bo" value="${invoiceItem.bo}"
																 			class="form-control" placeholder="B/O" required onkeypress="return isNumberKey(event)">
			                                                        </div>
			                                                    </td>
			                                                    <td>
			                                                        <div class="form-group">
			                                                           <input type="number" min="1" max="1000000"
																			name="listPrice" id="listPrice" size="7" step="0.01" class="form-control"
			                                                                placeholder="List Price" required value="${invoiceItem.listPrice}">
			                                                        </div>
			                                                    </td>
			                                                    <td>
			                                                        <div class="form-group">
			                                                            <input type="number" name="yourPrice" id="yourPrice" step="0.01"
																			size="11" class="form-control" value="${invoiceItem.yourPrice}"
			                                                                placeholder="Your Price" required >
			                                                        </div>
			                                                    </td>
			                                                    <td>
			                                                        <div class="form-group">
			                                                           <input type="number" name="discount"
																			id="discount" min="0" max="1000000000" required
																			size="7" value="${invoiceItem.discount}" step="0.01"
																			class="form-control" placeholder="Discount">
			                                                        </div>
			                                                    </td>
			                                                    <td>
			                                                        <div class="form-group">
			                                                            <input type="number" name="amount" min="0" id="amount" step="0.01"
			                                                            	required size="12" class="form-control" placeholder="Amount"
			                                                            	value="${invoiceItem.amount}">
		                                                            	<input type="hidden" name="id" value="${invoiceItem.invoiceItemId}">
			                                                        </div>
			                                                    </td>
			                                                </tr>
		                                                </c:forEach>
		                                            </tbody>
		                                        </table>
	                                    	</div>
                                  		</div>
	                                </div>
	                            </div>
	                        </div>
	                       	<div class="row">
                                <div class="col-12 d-flex justify-content-center mb-10">
											<c:choose>
												<c:when test="${invoice.invStatus eq 'UPLOADED'}">
													<button type="button" id="updateForm"
														class="c-btn btn btn-primary me-3 mb-1" disabled>Update</button>
												</c:when>
												<c:otherwise>
													<button type="submit" id="updateForm"
														class="c-btn btn btn-primary me-3 mb-1" id="updateForm"> Update </button>
												</c:otherwise>
											</c:choose>
                                    <a href="${pageContext.request.contextPath}/invoiceDetail/invoiceDetails"  class="c-btn btn btn-danger  mb-1">Cancel</a>
                                </div>
                            </div>
                            <input type="hidden" id="invoiceItemToDelete" name="invoiceItemToDelete" value="">
                        </form:form>
                    </section>

                </div>



                <footer>
                    <div class="footer clearfix mb-0 text-muted c-ftr">
                        <div class="float-start">
                            <p>2021 &copy; Banners Hallmark</p>
                        </div>
                        <div class="float-end">
                            <p>Developed by <span class="text-danger"><i class="bi bi-heart"></i></span> <a
                                    href="#">Suntek
                                    IT Solutions </a></p>
                        </div>
                    </div>
                </footer>
            </div>
        </div>

	  <script src="${pageContext.request.contextPath}/resources/assets/js/jquery-ui.js"></script>
    <script src="${pageContext.request.contextPath}/resources/assets/js/main.js"></script>
 <script src="${pageContext.request.contextPath}/resources/assets/vendors/choices.js/choices.min.js"></script>

    <script src="${pageContext.request.contextPath}/resources/assets/js/costom-c.js"></script>

 <script>
	 function saveForm() {
// 			document.getElementById("updateForm").disabled = true;       
	    }
	 
</script>

    <script>
//    $('#store').css('pointer-events','none');
    
	$(document).ready(function (){
		<c:if test="${not empty msg}">
			$('.eror-msg').show();
		</c:if>
		var disOpt=$("#discountOptions").val();
		  if(disOpt=="Discount On Subtotal"){
			  $("#disOnSub").removeClass('f-cat');
			  $("#disOnEachProd").addClass('f-cat');
			  $("#originalUnitPrice").val("");
			  $("#extendedUnitPrice").val("");
			  $("#discountPercentOnEachProduct").val('');
		  }else if(disOpt=="Discount On Per Product"){
			  $("#disOnEachProd").removeClass('f-cat');
			  $("#disOnSub").addClass('f-cat');
			  $("#discountOnEntireSubtotal").val("");
			  $("#discountPercentOnSubtotal").val('');
		  }else if(disOpt=="Both"){
			  $("#disOnSub").removeClass('f-cat');
			  $("#disOnEachProd").removeClass('f-cat');
		  }else{
			  $("#disOnSub").addClass('f-cat');
			  $("#disOnEachProd").addClass('f-cat');
			  $("#discountOnEntireSubtotal").val('');
			  $("#discountPercentOnSubtotal").val('');
			  $("#originalUnitPrice").val('');
			  $("#extendedUnitPrice").val('');
			  $("#discountPercentOnEachProduct").val('');
		  }	  
	});
    
    
    $("#discountOptions").change(function() {
	  var disOpt=$("#discountOptions").val();
	  if(disOpt=="Discount On Subtotal"){
		  $("#disOnSub").removeClass('f-cat');
		  $("#disOnEachProd").addClass('f-cat');
		  
		  $("#originalUnitPrice").val("");
		  $("#extendedUnitPrice").val("");
		  $("#discountPercentOnEachProduct").val('');
	  }else if(disOpt=="Discount On Per Product"){
		  $("#disOnEachProd").removeClass('f-cat');
		  $("#disOnSub").addClass('f-cat');
		  $("#discountOnEntireSubtotal").val("");
		  $("#discountPercentOnSubtotal").val('');
	  }else if(disOpt=="Both"){
		  $("#disOnSub").removeClass('f-cat');
		  $("#disOnEachProd").removeClass('f-cat');
	  }else{
		 
		  $("#disOnSub").addClass('f-cat');
		  $("#disOnEachProd").addClass('f-cat');
		  
		  $("#discountOnEntireSubtotal").val('');
		  $("#discountPercentOnSubtotal").val('');
		  $("#originalUnitPrice").val('');
		  $("#extendedUnitPrice").val('');
		  $("#discountPercentOnEachProduct").val('');
	  }	  
	});
		
    
	// Method Triggers When Changes Are Made On Discount Options Field	
 	
	$("#discountOptions").change(function() {
	  var disOpt=$("#discountOptions").val();
	  if(disOpt=="Discount On Subtotal"){
		  $("#disOnSub").removeClass('f-cat');
		  $("#disOnEachProd").addClass('f-cat');
		  $("#originalUnitPrice").val("");
		  $("#extendedUnitPrice").val("");
		  $("#discountPercentOnEachProduct").val('');
	  }else if(disOpt=="Discount On Per Product"){
		  $("#disOnSub").addClass('f-cat');
		  $("#disOnEachProd").removeClass('f-cat');
		  $("#discountOnEntireSubtotal").val("");
		  $("#discountPercentOnSubtotal").val('');
	  }else if(disOpt=="Both"){
		  $("#disOnSub").removeClass('f-cat');
		  $("#disOnEachProd").removeClass('f-cat');
	  }else{
		  $("#disOnSub").addClass('f-cat');
		  $("#disOnEachProd").addClass('f-cat');
		  $("#discountOnEntireSubtotal").val('');
		  $("#discountPercentOnSubtotal").val('');
		  $("#originalUnitPrice").val('');
		  $("#extendedUnitPrice").val('');
		  $("#discountPercentOnEachProduct").val('');
	  }	  
	}); 
		
	function isNumberKey(evt)
    {
       var charCode = (evt.which) ? evt.which : evt.keyCode;
       if (charCode < 48 || charCode > 57)
          return false;
       return true;
    };
	
	$("#invSubtotal, #originalUnitPrice, #extendedUnitPrice").on('input', function () {
        this.value = this.value.match(/^\d+\.?\d{0,2}/);
    });
	
	// Method Triggerd For Total Calculation Based On Discount Option 
	$("#invSubtotal, #invShipping,#tax").change(function() {
		
		var subVal=parseFloat($("#invSubtotal").val(),100);
		var shipVal=parseFloat($("#invShipping").val(),100);
		var taxVal=parseFloat($("#tax").val(),100);
		if(!isNaN(subVal) && !isNaN(shipVal) && !isNaN(taxVal)){
			$("#invTotal").val((subVal+shipVal+taxVal).toFixed(2));
		}
		else if(!isNaN(subVal) && !isNaN(shipVal) && isNaN(taxVal)){
			$("#invTotal").val((subVal+shipVal).toFixed(2));
		}
		else if(!isNaN(subVal) && isNaN(shipVal) && !isNaN(taxVal)){
			$("#invTotal").val((subVal+taxVal).toFixed(2));
		}
		else if(!isNaN(subVal) && isNaN(shipVal) && isNaN(taxVal)){
			$("#invTotal").val((subVal).toFixed(2));
		}
		else if(isNaN(subVal)){
			$("#invTotal").val('');
		}
		
	});
	
	$("#invSubtotal, #discountOnEntireSubtotal").change(function() {
		var subVal=parseFloat($("#invSubtotal").val(),100);
		var discOnSubVal=parseFloat($("#discountOnEntireSubtotal").val(),100);
		if(!isNaN(subVal) && !isNaN(discOnSubVal)){
			//var calculation=(discOnSubVal/subVal)*100;
			$("#discountPercentOnSubtotal").val(((discOnSubVal/subVal)*100).toFixed(2));
		}else{
			$("#discountPercentOnSubtotal").val('');
		}
	});	
	
	$("#originalUnitPrice, #extendedUnitPrice").change(function() {
		var orgUnitVal=parseFloat($("#originalUnitPrice").val(),100);
		var extUnitVal=parseFloat($("#extendedUnitPrice").val(),100);
		if(!isNaN(orgUnitVal) && !isNaN(extUnitVal)){
			//var calculation=(discOnSubVal/subVal)*100;
			$("#discountPercentOnEachProduct").val((((orgUnitVal-extUnitVal)/orgUnitVal)*100).toFixed(2));
		}else{
			$("#discountPercentOnEachProduct").val('');
		}
	});	
	
	// Method Trigger When Form Submit
	
	
	
	$("#updateForm").click(function(){
		/*var store=$("#store").val();
		 if ( store==null || store==""){     
			  alert("Store can't be blank"); 
             return false;  
            }*/
		var discOptValue=$("#discountOptions").val();
		if(discOptValue=="Discount On Subtotal"){
			$("#disOnEachProd").remove();
		}else if(discOptValue=="Discount On Per Product"){
			$("#disOnSub").remove();
		}else if(discOptValue=="Both"){
			
		}else{
			$("#disOnEachProd").remove();
			$("#disOnSub").remove();
		}
	  });
	$('.delete').on('click', function (event) {
        if($(this).parents('tbody').find("tr").length > 1) {
        	var idToDelete = $(this).parents('tr').find("input[name=id]").val();
	        $("#invoiceItemToDelete").val($("#invoiceItemToDelete").val() + ", " + idToDelete);
            $(this).parents('tr').remove();
    	}
    });

    $(".add").on('click', function (event) {
    	//alert($(this).find('tbody'));
    	var tBdyCurr = $(this).closest('tbody');
    	var clonedElement = $(this).parents('tr').clone(true);
    	clonedElement.find("input[name=id]").val("");
    	clonedElement.appendTo(tBdyCurr);
        // to make the clone removable, set clone(true)
    });
    
    var forms = document.querySelectorAll('form')
    // Loop over them and prevent submission
    Array.prototype.slice.call(forms)
      .forEach(function (form) {
        form.addEventListener('submit', function (event) {
          if (!form.checkValidity()) {
            event.preventDefault();
            event.stopPropagation();
          }
          hideError();
          var upcs = new Map();
          var requiredError = "";
          var upcError = "";

          if($(form).find('.form-control:invalid, .form-select:invalid').length > 0) {
        	  requiredError = "All fields must be completed.<br>";
          }
          var valid = true;
          $("input[name=upc]").each(function() {
        	  console.log("upc", $(this));
        	  var newUPC = $(this).val();
        	  if(typeof upcs.get(newUPC) === 'undefined') {
        		  upcs.set(newUPC,"Added");
        	  } else {
        		  valid = false;
        		  $(this).addClass('form-control-error');
        		  upcError = "For the same invoice, each UPC must have different values.<br>";
        	  }
          });

          var errorMessage = "";
          if(requiredError != "") {
	          errorMessage += requiredError;
          }
          if(upcError != "") {
	          errorMessage += upcError;
          }
          if(errorMessage.trim() != "") {
	          showError(errorMessage);
          }
          $(form).find('.form-control:invalid').addClass('form-control-error');
          $(form).find('.form-select:invalid').addClass('form-control-error');
          $(".form-control-error:first").focus();
          if(!valid) {
			event.preventDefault();
            event.stopPropagation();
          }
        }, false);
    });
	function showError(errorMessage) {
		var error = "Error - " + errorMessage;
		$('.eror-msg .text-danger').html(error);
		$('.eror-msg').show();
	}
	
	function hideError() {
	   	$('.eror-msg ').hide();
	}
</script>

</body>
</html>