<!DOCTYPE html>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>  

<html>
    <head>
        <title>Banners Hallmark - Invoices</title>
        <style type="text/css">
			#table-p-chk-bx .action-buttons {
			    display: flex;
			    align-items: center;
			}
			.action-buttons .delete-temp span {
				/*border: 2px solid green;
				background-color: #ff3b4e85 !important*/
			}
			.succes-msg-div p {
			    margin: 0;
			    font-weight:600;
			    padding-right: 50px;  
			}
			
			.succes-msg-div .btn-danger {    
			    font-weight: 900;
			}
			.succes-msg-div .card-body {
			    display: flex;
			    align-items: center;
			    justify-content: space-between;
			}
			.form-select {
				min-width: 100px;
			}
			.form-control {
				min-width: 100px;
			}
			input[name=dueDate],input[name=invoiceDate] {
			    width: 170px;
			}
			input[name=ponumber] {
				width: 128px;
			}
			.save-tooltip {
				font-size: 12px !important;
			}
			.totalDiv {
			    font-weight: bold;
			}
			.note-availabe {
 			 	height: 12px;
 			 	width: 12px;
 				position: absolute;
 				top: -5px;
 				right: 0px; 
 				border: solid 6px #666; 
 				transform: rotate(-45deg);
 				border-color:transparent;
 				border-left-color:#87ceeb;
			 } 
		</style>
    </head>
    <body>
          <div id="main" class='layout-navbar'>
            <div id="main-content">

                <div class="page-heading">
                    <div class="page-title mb-5">
                        <div class="row">
                            <div class="col-12 col-md-6 order-md-1 order-last">
                                <h3>Invoices</h3>
                                <!-- <p class="text-subtitle text-muted">Navbar will appear in top of the page.</p> -->
                            </div>
                            <div class="col-12 col-md-6 order-md-2 order-first">
                                <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                                    <ol class="breadcrumb">
                                        <li class="breadcrumb-item"><a href="${pageContext.request.contextPath}">Dashboard</a></li>
                                        <li class="breadcrumb-item active" aria-current="page">Invoices
                                        </li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                    <section class="section blnk-db ">
						<div class="eror-msg" style="display: none;">
							<div class="card">
								<div class="card-body error-msg">
									<p class="text-danger"> <c:if test="${not empty msg}"> Error - ${msg} </c:if></p>
									<a class="delete-msg btn btn-danger">X</a>
								</div>
							</div>
						</div>
						<div class="succes-msg-div" style="display: none;">
							<div class="card">
								<div class="card-body success-msg">
									<p class=""></p>
									<a class="delete-msg btn btn-light">X</a>
								</div>
							</div>
						</div>
                        <div class="card">
                            <div class="card-body">
							<div class="c-dflx">

								<div class="upld-bill-dlt">
									<button id="uploadToBill" type="button" class="btn btn-warning">Upload to Bill.com</button>
									<button id="syncFromBill" type="button" class="btn btn-warning">Synchronize from Bill.com</button>
                   					<button id="deleteAllInvoices" type="button"  style="margin-left: 0px;" class="btn btn-danger">Delete All</button>
									<fieldset class="form-group">
										<select class="form-select" name="invStatus" id="invStatus">
											<option value="">No Action</option>
											<option value="REVIEWING">Mark it as REVIEWING</option>
											<option value="REVIEWED">Mark it as REVIEWED</option>
											<option value="APPROVED">Mark it as APPROVED</option>
											<option value="RESEARCHING">Mark it as RESEARCHING</option>
											<option value="REJECTED">Mark it as REJECTED</option>
											<option value="CREDIT CARD">Mark it as CREDIT CARD</option>
										</select>
									</fieldset>
								</div>
								<a href="${pageContext.request.contextPath}/invoiceDetail/addInvoiceDetails"
									class="btn btn-primary "> <i
									class="bi bi-file-earmark-plus "></i> New Invoice
								</a>
							</div>
						</div>  
                        </div>

                           <div class="card">
                            <div class="card-body">
							<div class="c-dflx">
<!-- 							<div class="inv-mark"> -->
<!-- 									<fieldset class="form-group me-2"> -->
<!-- 										<select class="form-select" name="formal" id="invoiceType" -->
<!-- 											onchange="handleSelect()" required> -->
<!-- 											<option selected -->
<!-- 												value="">All Invoices</option> -->

<!-- 											<option value="false" -->
<%-- 												<c:if test="${param.invoviceStatus eq 'false'}"> selected = "selected" </c:if>> --%>

<!-- 												Manual Invoices</option> -->

<!-- 											<option value="true" -->
<%-- 												<c:if test="${param.invoviceStatus eq 'true'}"> selected = "selected" </c:if>> --%>
<!-- 												Verified Invoices</option> -->
<!-- 										</select> -->
<!-- 									</fieldset> -->
<!-- 							</div> -->
							<div class="inv-mark">
								<fieldset class="form-group me-2">
									<select class="form-select" name="formal" id="filterDeleted"
										onchange="handleSelect()" required>
										
										<option 
											value=""><c:if test="${param.filterDeleted eq ''}"> selected = "selected" </c:if>
											All Invoices</option>	
										<option value="1"
											<c:if test="${param.filterDeleted eq '1'}"> selected = "selected" </c:if>>
											Deleted</option>

										<option value="2"
											<c:if test="${param.filterDeleted eq '2'}"> selected = "selected" </c:if>>
											Active</option>
											
					                    <option value="3" selected>
											  REVIEWING</option>	
											  					
										<option value="4"
											<c:if test="${param.filterDeleted eq '4'}"> selected = "selected" </c:if>>
											REVIEWED</option>
																			
											<option value="5"
											<c:if test="${param.filterDeleted eq '5'}"> selected = "selected" </c:if>>
											APPROVED</option>
											
											<option value="6"
											<c:if test="${param.filterDeleted eq '6'}"> selected = "selected" </c:if>>
											UPLOADED</option>	
											<option value="7"> RESEARCHING </option>
											<option value="8"> REJECTED </option>
											<option value="9"> CREDIT CARD </option>
									</select>
								</fieldset>
								<fieldset class="form-group me-2 select2-custom">
									<select class="form-select" id="filterVendorId" aria-hidden="true" onchange="handleSelect()" required style="max-width: 200px;">
										<option value="" selected="selected"> All Vendors </option>	
										<c:forEach items="${filterVendorIds}" var="vendor">
											<option value="${vendor.vendorNo}">[${vendor.vendorNo}] ${vendor.vendorName}</option>	
										</c:forEach>
									</select>
								</fieldset>
								<fieldset class="form-group me-2">
									<select class="form-select" name="formal" id="filterShipmentStatus" onchange="handleSelect()" required>
										<option value="" selected="selected">All Shipment Status</option>	
										<option value="100%">100%</option>	
										<option value="Partial">Partial</option>	
										<option value="Blank"></option>	
									</select>
								</fieldset>
								<fieldset class="form-group me-2">
									<input type="button" class="btn btn-warning reset-filters" value="Reset Filters">
								</fieldset>
							</div>
							<div class="c-dflx">
								<a class="btn btn-primary openAllPdf me-2"> View All Invoice Links </a>
								<a class="btn btn-danger me-2 cancleBulkEdit" style="display: none;"> Cancel Bulk Edit Invoices </a>
								<a class="btn btn-primary editInBulk"> Bulk Edit Invoices </a>
							</div>
                        </div>
						</div>  
                        </div>
                        <div class="card">
                            <div class="card-body  ">
                             <div class="inv-data-tble fix-scroll-t">
                                <table class="table table-striped hello-worls fix-header-custom" id="table-p-chk-bx">
                                    <thead>
										<tr>
											<th>
												<div class="form-check">
													<div class="checkbox">
														<input type="checkbox" name="checkAll" class="form-check-input checkAll">
													</div>
												</div>
											</th>
											<th>Invoice<br>No.</th>
											<th>PO No.</th>
											<!-- <th>Vendor</th> -->
											<th>Vendor Id</th>
											<th>Vendor Name</th>
											<th>Site</th>
											<th>Invoice Status</th>
<!-- 											<th>QB</th> -->
											<th>Shipment<br>Status</th>
											<th>Invoice Date</th>
											<th>Due Date</th>
											<th>Sub Total</th>
											<th>Freigh<br>(shipping)<br>charge</th>
											<th>Tax</th>
											<th>Total</th>
											<th>Shipping Method<br>per Invoice</th>
											<th>Shipping Method<br>per PO</th>
<!-- 											<th>Balance due</th> -->
<!-- 											<th>Approval status</th> -->
											<th>Actions</th>
										</tr>
									</thead>
                                </table>
                            </div>
                          </div>
                        </div>
                    </section>
                </div>
                <footer>
                    <div class="footer clearfix mb-0 text-muted c-ftr">
                        <div class="float-start">
                            <p>2021 &copy; Banners Hallmark</p>
                        </div>
                        <div class="float-end">
                            <p>Developed by <span class="text-danger"><i class="bi bi-heart"></i></span>  <a
                                    href="#">Suntek IT Solutions </a></p>
                        </div>
                    </div>
                </footer>
            </div>
            <div style="display: none">
            	<select id="invStatusToAdd" class="form-select" name="invStatusToAdd">
					<option value="REVIEWING">REVIEWING</option>
					<option value="REVIEWED">REVIEWED</option>
					<option value="APPROVED">APPROVED</option>
					<option value="RESEARCHING">RESEARCHING</option>
					<option value="REJECTED">REJECTED</option>
					<option value="CREDIT CARD">CREDIT CARD</option>
					
				</select>
				<select class="form-select" id="vendorIdToAdd" name="vendorIdToAdd">
					<option value="" selected="selected" data-vendor-name=""> -- Vendor -- </option>	
					<c:forEach items="${vendors}" var="vendor">
						<option value="${vendor.vendorNo}" data-vendor-name="${vendor.vendorName}">${vendor.vendorNo}</option>
					</c:forEach>
				</select>
				<select class="form-select" id="storeToAdd" name="storeToAdd">
					<option value="" selected="selected"> -- Store -- </option>	
					<c:forEach items="${stores}" var="store">
						<option value="${store.store}">${store.store}</option>
					</c:forEach>
				</select>
            </div>
        </div>
	<script src="${pageContext.request.contextPath}/resources/assets/js/main.js"></script>
	<script>
		var msg = '${msg}';
		if(msg) {
			showErrorBox(msg);
		}
		var successMsg = '${successMsg}';
		if(successMsg) {
			showSuccessBox(successMsg);
		}

		var globalResponse = {};
		globalResponse.errorKeys = [];
		globalResponse.invoiceErrors = {};
		globalResponse.result = "";
		globalResponse.data = 0;
		var table = null;
	   	$('#deleteAllInvoices').on('click', function(e) {
		   if(confirm('Are you sure to delete all invoices ?')){
	  		document.getElementById("deleteAllInvoices").disabled = true;
			window.location = "${pageContext.request.contextPath}/invoiceDetail/deleteAll";
		   }
	  	});
		function handleSelect() {
			var filterObject = JSON.parse(localStorage.getItem("InvoiceFilterObject"));
			if(filterObject == null) {
				filterObject = {};
			}
			filterObject.filterDeleted =  $("#filterDeleted").val();
			filterObject.filterShipmentStatus = $("#filterShipmentStatus").val();
			filterObject.filterVendorId = $("#filterVendorId").val();

			localStorage.setItem("InvoiceFilterObject", JSON.stringify(filterObject));
			if(table != null) {
				table.ajax.reload();
			}
		}

		function handleLengthSelect() {
			var filterObject = JSON.parse(localStorage.getItem("InvoiceFilterObject"));
			if(filterObject == null) {
				filterObject = {};
			}
			var pageSize = 10;
			if(typeof $('.dataTables_length select').val() !== 'undefined') {
				pageSize = $('.dataTables_length select').val();
			}
			filterObject.pageSize = pageSize;

			localStorage.setItem("InvoiceFilterObject", JSON.stringify(filterObject));
		}
		var extraAttributeFloat = "onkeypress=\"return isFloatNumberKey(event)\"", extraAttributeInt = "onkeypress=\"return isIntNumberKey(event)\"";
		var columnsData = [{
				"name":"invoiceDetailsId",
				"attribute": {
					"editable": false,
					"extraAttribute":"",
				}
			},{
				"name":"invoicenumber",
				"attribute": {
					"editable": false,
				}
			},{
				"name":"ponumber",
				"attribute": {
					"editable": true,
					"inputType":"text",
					"extraAttribute":"",
				}
			},{
				"name":"vendorNo",
				"attribute": {
					"editable": true,
					"inputType":"SelectBox",
				}
			},{
				"name":"vendorName",
				"attribute": {
					"editable": false,
				}
			},{
				"name":"store",
				"attribute": {
					"editable": true,
					"inputType":"SelectBox",
				}
			},{
				"name":"invStatus",
				"attribute": {
					"editable": true,
					"inputType":"SelectBox",
				}
			},{
				"name":"shipmentCheckin",
				"attribute": {
					"editable": false,
				}
			},{
				"name":"invoiceDate",
				"attribute": {
					"editable": true,
					"inputType":"date",
				}
			},{
				"name":"dueDate",
				"attribute": {
					"editable": true,
					"inputType":"date",
				}
			},{
				"name":"invSubtotal",
				"attribute": {
					"editable": true,
					"inputType":"number",
					"extraAttribute":extraAttributeFloat,
				}
			},{
				"name":"freight",
				"attribute": {
					"editable": true,
					"inputType":"number",
					"extraAttribute":extraAttributeFloat,
				}
			},{
				"name":"tax",
				"attribute": {
					"editable": true,
					"inputType":"number",
					"extraAttribute":extraAttributeFloat,
				}
			},{
				"name":"invTotal",
				"attribute": {
					"editable": true,
					"inputType":"number",
					"extraAttribute":extraAttributeFloat,
				}
			},{
				"name":"shippingMethod",
				"attribute": {
					"editable": true,
					"inputType":"text",
				}
			},{
				"name":"shippingMethodPo",
				"attribute": {
					"editable": false,
				}
			},{
				"name":"actionButtons",
				"attribute": {
					"editable": false,
				}
			}
		];
		
		
    	var aoColumns = [{
		      "mData": null,
		      "bSortable": false,
		      "mRender": function(data, type, full) {
		        return "<div class=\"form-check\">"
			      + "			<div class=\"checkbox\">"
			      + "				<input type=\"checkbox\" name =\"invoiceData\" class=\"example-select-single form-check-input\" "
			      + "					value=" + full.invoiceDetailsId + ">"
			      + "			</div>"
			      + "		</div>";
		      }
		    }, {
		    	
		    	"mData": null,
			      "mRender": function(data, type, full) {
						var value = full.invoicenumber;
						if(full.invoiceLink) {
							value = "<a class='invoiceLink' target=\"_blank\" href=\""+full.invoiceLink+"\"  >" +full.invoicenumber+"</a>"; 
						}
						return value;
					}
		     // "mData": "invoicenumber"
		    }, {
	    	  "mData": null,
		      "mRender": function(data, type, full) {
					var value = full.ponumber;
					if(full.invoicePoLink) {
						value = "<a href=\"${pageContext.request.contextPath}/invoiceDetail/getInvoicsandvenderpo/"+full.invoiceDetailsId+"\" >" +full.ponumber+"</a>"; 
					}
					return value;
				}
		    }, {
		      "mData": "vendorNo"
		    }, {
		      "mData": "vendorName"
		    }, {
		      "mData": "store"
		    }, {
		      "mData": "invStatus"
		    },
// 		    {
// 		      "mData": "qb"
// 		    },
		    {
		      "mData": null,
		      "mRender": function(data, type, full) {
		    	  var value = "<div class='c-tooltip'><span class='c-text'></span>" +
		    	  "<div class='tooltip-input-text'><textarea class='w-100' rows='3' placeholder='Add new note'></textarea><button class='save-tooltip btn btn-secondary btn-block'>Save</button></div>" +
		    	  "</div> <p class='td-data'>&nbsp;";

		    	  if(full.shipmentStatusPriority == 1) {
		    		  value += "INV#" + full.invoicenumber + " Qty# " + full.totalShipQty;
		    	  } else if(full.shipmentStatusPriority == 2) {
		    		  value += "ORD#" +full.orderNumber + " Qty# " + full.totalShipQty;
		    	  } else if(full.shipmentStatusPriority == 3) {
		    		  value += "INV#" +full.invoicenumber;
		    	  } else if(full.shipmentStatusPriority == 4) {
		    		  value += "ORD#" +full.orderNumber;
		    	  } else if(full.shipmentStatusPriority == 5) {
		    		  value += "PO#" + full.ponumber + " Site# " + full.store;
		    	  } else if(full.shipmentStatusPriority == 6) {
		    		  value;
		    	  }
		    	  if(full.shipmentStatusPriority != 6) {
			    	  if(full.shipmentCheckin == "") {
				    	  value += " & None";
			    	  } else {
				    	  value += " & " + full.shipmentCheckin;
			    	  }
		    	  }

		    	  if(full.isNoteAvailable) {
		    		 value += "<i class='note-availabe'></i>";
		    	  }
		    	  value += " </p>";
		    	  return value;
	    	  }
		    }, {
		      "mData": null,
		      "mRender": function(data, type, full) {
		    	  return toDate(full.invoiceDate,"-");
	    	  }
		    }, {
		      "mData": null,
		      "mRender": function(data, type, full) {
		    	  return toDate(full.dueDate,"-");
	    	  }
		    }, {
			  "mData": null,
			  "mRender": function(data, type, full) {
				  return Number(full.invSubtotal).toFixedSpecial(2);
			  }
		    }, {
		      "mData": "freight"
		    }, {
		      "mData": "tax"
		    }, {
		      "mData": null,
		      "mRender": function(data, type, full) {
				  return Number(full.invTotal).toFixedSpecial(2);
			  }
		    }, {
		      "mData": "shippingMethod"
		    }, {
		      "mData": "shippingMethodPo"
		    },
// 		    {
// 		      "mData": "dueAmount"
// 		    }, {
// 		      "mData": "approvalStatus"
// 		    }, 
		    {
		      "mData": null,
		      "bSortable": false,
		      "mRender": function(data, type, full) {
		    	  var value = '<div class="action-buttons">'; 
		    	  value += ' <a  href=${pageContext.request.contextPath}/invoiceDetail/viewInvoiceDetails/'+full.invoiceDetailsId+'>'+ 
                	' <span class="badge bg-info">	<i class="bi bi-eye-fill"></i>  </span></a>';
			      if(full.isActive != true) {
				  	value += "<a class=\"red\""
			        		+ "		href=\"${pageContext.request.contextPath}/invoiceDetail/undelete/" + full.invoiceDetailsId + "\""
			        		+ "		onclick=\"return confirm('Are you sure to Undelete?')\""
			        		+ "		id=\"remove\">"
			        		+ "			<span class=\"badge btn-warning\">"
			        		+ "				<img class=\"icon-image\" src=\"${pageContext.request.contextPath}/resources/assets/images/un-delete.png\">"
			        		+ "			</span>"
			        		+ "	</a>"
			        		+ " <a class=\"delete-temp\" href=\"${pageContext.request.contextPath}/invoiceDetail/deletePermanently/"+ full.invoiceDetailsId + "\""
        					+ "		onclick=\"return confirm('Are you sure to delete Permanently?')\" title=\"Delete Permanently\" id=\"remove\"> "
        					+ "			<span class=\"badge bg-info\">"
        					+ "				<i class=\"bi bi-trash-fill\"></i>"
        					+ "			</span>"
        					+ "	</a>";
			        } else {
			        	value += "	<a href=\"${pageContext.request.contextPath}/invoiceDetail/getInvoiceDetail/" + full.invoiceDetailsId + "\">"
			        		+ "			<span class=\"badge bg-success\">" 
			        		+ "				<i class=\"bi bi-pencil\"></i>"
			        		+ "			</span>"
			        		+ "		</a>";
	        			if(full.invStatus != 'UPLOADED') {
	        				value += "	<a title=\"Safe Delete\" href=\"${pageContext.request.contextPath}/invoiceDetail/delete/"+ full.invoiceDetailsId + "\""
	        					+ "		onclick=\"return confirm('Are you sure to delete?')\" id=\"remove\"> "
	        					+ "			<span class=\"badge bg-danger\">"
	        					+ "				<i class=\"bi bi-trash-fill\"></i>"
	        					+ "			</span>"
	        					+"		</a>"
	        			}
			        }
					value += '</div>';
					return value;
		      	}
		    }
	    ];
	    $(document).ready(function () {
			var filterObject = JSON.parse(localStorage.getItem("InvoiceFilterObject"));
			// To keep defalult values of datatable
			var pageLength = 10, displayStart = 0;
	    	var searchFilter = "";
	    	var order = [[8,'desc']]; 

	    	$(".reset-filters").on("click", function() {
				$("#filterDeleted").val("");
	    		$("#filterShipmentStatus").val("");
				$("#filterVendorId").val("");
	    		$('#filterVendorId').trigger('change');

	    		$('.dataTables_filter input').val("");
				setSearchData("");
				table.search("").draw();
			});

	    	$("#filterVendorId").select2();
			if(filterObject != null) {
		    	$("#filterDeleted").val(filterObject.filterDeleted);
				$("#filterShipmentStatus").val(filterObject.filterShipmentStatus);
				$("#filterVendorId").val(filterObject.filterVendorId);
				$('#filterVendorId').trigger('change'); 
				pageLength = Number(filterObject.pageSize);
				if(typeof filterObject.displayStart !== 'undefined') {
					displayStart = Number(filterObject.displayStart);
				}
				searchFilter = filterObject.search;
				if(typeof filterObject.sorting !== 'undefined') {
					order = [[filterObject.sorting.col ,filterObject.sorting.dir]];
				}
			} else {
				handleSelect();
			}

	    	$('.succes-msg-div .delete-msg').click(function () {
	    		$('.succes-msg-div').hide();
	    	});
	    	table = $('#table-p-chk-bx').DataTable({
	    		"fixedHeader": {
		            header: true,
		        },
				serverSide: true,
				scrollX : true,
				"pageLength": pageLength,
				"displayStart":displayStart,
				"search": {
				    "search": searchFilter
				  },
				"processing": true,
				'order': order,
				ajax: {
					url : '${pageContext.request.contextPath}/invoiceDetail/getPaginatedInvoiceDetails',
					data: {
						filterDeleted: function(data, type, full) {
							var filterObject = JSON.parse(localStorage.getItem("InvoiceFilterObject"));
							if(filterObject != null) {
								return filterObject.filterDeleted;
							} else {
								return "";
							}
						},
						filterShipmentStatus: function() {
							var filterObject = JSON.parse(localStorage.getItem("InvoiceFilterObject"));
							if(filterObject != null) {
								return filterObject.filterShipmentStatus;
							} else {
								return "";
							}
						},
						filterVendorId: function() {
							var filterObject = JSON.parse(localStorage.getItem("InvoiceFilterObject"));
							if(filterObject != null) {
								return filterObject.filterVendorId;
							} else {
								return "";
							}
						}
					}
				},"drawCallback": function (settings) {
					if($(".editInBulk").html().trim() === "Update Bulk Invoices") {
						$(".editInBulk").html("Bulk Edit Invoices");
						$(".cancleBulkEdit").hide();
					}
					if(msg) {
						showErrorBox(msg);
						msg='';
					} else {
						hideErrorBox();
					}
					var allRows = settings.json.data;
					var sumSubTotal = 0, sumTotal = 0;
					if(Array.isArray(allRows)) {
			        	allRows.forEach(function(row) {
			        		if(!isNaN(row.invSubtotal)) {
			        			sumSubTotal += Number(row.invSubtotal);
			        		}
			        		if(!isNaN(row.invTotal)) {
			        			sumTotal += Number(row.invTotal);
			        		}
			        	});
			        }
					$("<div class='totalDiv ps-4 pe-4'>Sub Total:<span class='sumSubtotal pe-2 m-2'></span>Total:<span class='sumTotal m-1'></span></div>").appendTo($(".dataTables_info"));
					$(".dataTables_info").addClass("c-dflx w-auto");
					$(".dataTables_info").css("min-width","75%");
					$(".totalDiv .sumSubtotal").html(sumSubTotal.toFixed(2));
					$(".totalDiv .sumTotal").html(sumTotal.toFixed(2));

					if(globalResponse.result == "Both" && globalResponse.errorKeys.length > 0) {
						var errorMessage = showErrorAfterSubmitData(globalResponse.errorKeys,globalResponse.invoiceErrors);
						if(errorMessage != '') {
							errorMessage =  globalResponse.data + " out of " + globalResponse.errorKeys.length + " invoices uploaded to bill.com successfully.<br><br>"+
							"Below is the reason of why some of the invoices failed to be uploaded -<br>"+
							"Error - "  + errorMessage;
							$('.eror-msg .text-danger').html(errorMessage);
							$('.succes-msg-div').hide();
							$('.eror-msg').show();
						}
						globalResponse.result == "";
					}
				},
			 	info:           true,
			    paging:         true,
			    serverMethod : 'POST',
			    aSort: false,
				"aoColumns": aoColumns,
				language: {
					processing: "<div class='loader'></div>",
					paginate: {
 			        	sNext: '<span class="pagination-default">&#x276f;</span>',
 			        	sPrevious: '<span class="pagination-default">&#x276e;</span>'
 			    	}
				}
			});

	    	table.on("click",".td-data", function() {
	    		$(".show-tooltip").each(function() {
	    			$(this).removeClass("show-tooltip");
	    		})
	    		$(this).closest("td").find(".c-tooltip").addClass("show-tooltip");
	    	});
	    	table.on("click",".save-tooltip", function() {
	    		// Save tooltip text to notes
	    		var invoiceId = $(this).closest("tr").find("input[name=invoiceData]").val();
	    		var textVal = $(this).closest("td").find(".tooltip-input-text textarea").val();
	    		$(this).closest("td").find(".tooltip-input-text textarea").val('');
	    		var note = {};
	    		note.notesTxt = textVal;
	    		note.invoiceId = invoiceId;
				if(textVal != '') {
		    		$.ajax({
		   				url:"${pageContext.request.contextPath}/ajax/addNewInvoiceNote",
		   				type: "POST",   				
		   				contentType: "application/json; charset=utf-8",
		   				data:   JSON.stringify(note),
		   				success: function (data) {
		   					if(data.result=='success') {
	 	   						// table.ajax.reload();
		   					} else {
		   						showErrorBox(data.result)
		   					}
		   				},
		   				error: function (jqXHR, textStatus, errorThrown) {
		   					console.log(textStatus);
		   					console.log(errorThrown);
		   				}
					});
				}
	    		$(this).closest("td").find(".c-tooltip").removeClass("show-tooltip");
	    	});

	    	table.on("mouseover", "td", function() {
	    		var hoveredTd = $(this);
	    		if(hoveredTd.find(".c-tooltip").length > 0) {
		    		console.log("Hovered");
		    		var parentTr = hoveredTd.closest("tr");
		    		var invoiceId = parentTr.find("input[name=invoiceData]").val();
		    		//c-text
		    		if(invoiceId != '') {
			    		$.ajax({
			   				url:"${pageContext.request.contextPath}/ajax/getNotesByInvoiceId",
			   				type: "POST",   				
			   				contentType: "application/json; charset=utf-8",
			   				data:   JSON.stringify(invoiceId),
			   				success: function (data) {
			   					if(data.result=='success') {
		 	   						hoveredTd.find(".c-tooltip .c-text").html(data.data);
			   					} else {
			   						showErrorBox(data.result)
			   					}
			   				},
			   				error: function (jqXHR, textStatus, errorThrown) {
			   					console.log(textStatus);
			   					console.log(errorThrown);
			   				}
						});
					}
	    			
	    		}
	    	});

	    	table.on("order", function(event,table,type,sortType) {
	    		var filterObject = JSON.parse(localStorage.getItem("InvoiceFilterObject"));
	    		if(typeof filterObject === 'undefined') {
	    			filterObject = {};
	    		}
	    		var sorting = {
	   				"col":type[0].col, 
	   				"dir": type[0].dir
   				};
	    		filterObject.sorting= sorting;
	    		filterObject.displayStart = table._iDisplayStart;
	    		localStorage.setItem("InvoiceFilterObject", JSON.stringify(filterObject));
 			});

	    	table.on("page", function(event,table) {
 				var filterObject = JSON.parse(localStorage.getItem("InvoiceFilterObject"));
	    		if(typeof filterObject === 'undefined') {
	    			filterObject = {};
	    		}
	    		filterObject.displayStart= table._iDisplayStart;
	    		localStorage.setItem("InvoiceFilterObject", JSON.stringify(filterObject));
 			});

	    	table.on("search", function(event,table,a,b,c) {
 				var data = $('.dataTables_filter input').val();
 				setSearchData(data);
 			});

	    	$(".fix-scroll-t .dataTables_scrollBody").floatingScroll();
	    	table.on("xhr", function() {
	    		$(".checkAll").prop("checked", false);
	    	});

	    	$('.dataTables_length select').on('change', handleLengthSelect);
			$('#invStatus').on('change', function(e) {
				var invStatus=  $("#invStatus").val();
				valid = true;
				invStatusText="";
				$('#table-p-chk-bx').DataTable().rows().iterator('row', function(context, index) {
					var node = $(this.row(index).node());
					var isChecked = $(node).find("input[name=invoiceData]").is(":checked");
					if(isChecked) {
						var invStatusCurrent = this.row(index).data().invStatus;
						if(invStatusCurrent == "UPLOADED") {
							invStatusText="Selected Invoices already UPLOADED";
							valid =false;
						}
					}
				});

				if(valid) {
					if(invStatus != null && invStatus != "") {
				        var form = this;
						var invoiceData = [];
				        $('[name=invoiceData]:checked').each(function() {
				        	invoiceData.push($(this).val());
						}); 
				        
				        if(invoiceData.length > 0) {
				        	$.ajax({
				   				url:"${pageContext.request.contextPath}/ajax/invoiceDetail/approveInvoices/"+invStatus,
				   				type: "POST",   				
				   				contentType: "application/json; charset=utf-8",
				   				data:   JSON.stringify(invoiceData),
				   				success: function (data) {
				   					if(data.result=='success'){
				   						window.location.reload();
				   					}else{
				   						showErrorBox(data.result)
				   					}
				   				},
				   				error: function (jqXHR, textStatus, errorThrown) {
				   					console.log(textStatus);
				   					console.log(errorThrown);
				   				}
							});
				        } else {
				        	showErrorBox("No Invoice Selected");
				        }
			        } else {
			        	showErrorBox("No Option value");
		        	}
				} else {
					showErrorBox(invStatusText)
				}
			});

		   	$('#syncFromBill').on('click', function(e){
		   		document.getElementById("syncFromBill").disabled = true;
				window.location = "${pageContext.request.contextPath}/invoiceDetail/syncFromBill";
		   	});

	   		// Bill.com
		   	$('#uploadToBill').on('click', function(e) {
		   		globalResponse.errorKeys = [];
		   		globalResponse.invoiceErrors = {};
		   		globalResponse.result = "";
		   		globalResponse.data = 0;
		   		hideErrorBox();
		   		removeAllErrors();
		        var form = this;
		   		var cntInvChkd = 0;
					valid = true;
					invNotext="";
					poNotext="";
					duedatetext="";
					invTotaltext="";
					invdatetext="";
					invStatusText="";

				$('#table-p-chk-bx').DataTable().rows().iterator('row', function(context, index) {
					var node = $(this.row(index).node());
					var rowNew = this.row(index);
					var isChecked = $(node).find("input[name=invoiceData]").is(":checked");
					if(isChecked) {
						cntInvChkd += 1;
						var invStatus = rowNew.data().invStatus;
						var invoicenumber = rowNew.data().invoicenumber;
						var ponumber = rowNew.data().ponumber;
						var invoiceDate = rowNew.data().invoiceDate;
						var dueDate = rowNew.data().dueDate;
						var invTotal = rowNew.data().invTotal;
						// var isActive=row.cells[16].innerHTML;
						if (invoicenumber == null || invoicenumber == "") {
							invNotext = "Invoice number can't be blank";
							valid = false;
						} /* else if(isActive=="false" || isActive==null){  
		                	  isActiveStatus="Deleted invoices can not be uploaded";
		                      valid =false;  
	                    }  */
						else if (ponumber == null || ponumber == "") {
							setErrorOnTR(node);
							poNotext = "PO number can't be blank.";
							valid = false;
						} else if (dueDate == null || dueDate == "") {
							setErrorOnTR(node);
							duedatetext = "Due Date can't be blank.";
							valid = false;
						} else if (invTotal == null || invTotal == "" || invTotal < 1) {
							setErrorOnTR(node);
							invTotaltext = "Invoice Total can't be blank.";
							valid = false;
						} else if (invoiceDate == null || invoiceDate == "") {
							setErrorOnTR(node);
							invdatetext = "Invoice Date can't be blank.";
							valid = false;
						} else if (invStatus != "APPROVED" && invStatus != "Invoice Status") {
							setErrorOnTR(node);
							invStatusText = "All selected invoices must be approved.";
							valid = false;
						}
					}
				});

				if(cntInvChkd == 0) {
		   			invStatusText="No Invoice Selected";
	                valid =false;
		   		}
			   	if(valid) {
					document.getElementById("uploadToBill").disabled = true; 
					var rows_selected = $('.table-striped').DataTable().rows().data(); 
		     		var invoiceData=[];
					$('.table-striped').DataTable().rows().iterator('row', function(context, index) {
			    	    var node = $(this.row(index).node()); 
			        	var isChecked = $(node).find('[name=invoiceData]').prop("checked");
			        	if(isChecked) {
			        		invoiceData.push($(node).find('[name=invoiceData]').val());
			        	}
			    	});
		        	if(invoiceData.length > 0) {
		        		$.ajax({
			   				url:"${pageContext.request.contextPath}/ajax/invoiceDetail/goToBills",
			   				type: "POST",   				
			   				contentType: "application/json; charset=utf-8",
			   				data:   JSON.stringify(invoiceData),
			   				success: function (data) {
				   					if(data.result=="Success"){
				   						showSuccessBox("Invoice successfully uploaded to Bill.com");
										document.getElementById("uploadToBill").disabled = false;
				   						// window.location.reload();
										table.ajax.reload();
				   					} else if(data.result=="Error") {
				   						var keys = Object.keys(data.invoiceErrors);
				   						document.getElementById("uploadToBill").disabled = false;
				   						hideErrorBox();
				   						if(keys.length > 0) {
				   							var errorMessage = showErrorAfterSubmitData(keys,data.invoiceErrors);
				   							if(errorMessage != '') {
				   								showErrorBox(errorMessage);
				   							}
				   						}
				   					} else if(data.result=="Both") {
				   						var keys = Object.keys(data.invoiceErrors);
				   						document.getElementById("uploadToBill").disabled = false;
				   						hideErrorBox();
				   						globalResponse.errorKeys = keys;
				   						globalResponse.invoiceErrors = data.invoiceErrors;
				   						globalResponse.result = data.result;
				   						globalResponse.data = data.data;
										table.ajax.reload();
				   					}
				   				},
			   				error: function (jqXHR, textStatus, errorThrown) {
			   					console.log(textStatus);
			   					console.log(errorThrown);
			   				}
			   			});
					}
		    	} else {
		    		var alertMsg = "";
					if(invNotext != "") {
						alertMsg += invNotext + "<br>";
					}
					if(duedatetext != "") {
						alertMsg += duedatetext + "<br>";
					}
					if(invTotaltext != "") {
						alertMsg += invTotaltext + "<br>";
					}
					if(invdatetext != "") {
						alertMsg += invdatetext + "<br>";
					}
					if(invStatusText != "") {
						alertMsg += invStatusText + "<br>";
					}
					showErrorBox(alertMsg);
				}
		   	});
	   		$(".openAllPdf").on("click",openAllInvoiceLink);
	   		$(document).on("change", ".vendorIdToAdd" , function() {
				var vendorName = $(this).find("option:selected").data("vendor-name");
				var row = $(this).closest('tr');
				row.find("td:nth-child(5)").html(vendorName);
			});
	    });  // document.ready END HERE

	    function setErrorMessage(errorMessage) {
			var error = "Error - " + errorMessage;
			$('.eror-msg .text-danger').html(error);
		}

		function openAllInvoiceLink() {
			$('td a.invoiceLink').each(function(index,data) {
				data.click();
			});
		}

		function showErrorBox(errorMessage) {
			if(errorMessage != null && typeof errorMessage != 'undefined') {
				setErrorMessage(errorMessage);
			}
			$('.succes-msg-div').hide();
			$('.eror-msg').show();
		}
		function showSuccessBox(successMessage) {
			if(successMessage != null && typeof successMessage != 'undefined') {
				hideErrorBox();
				$('.succes-msg-div .success-msg p').text(successMessage);
				$('.succes-msg-div').show();
			}
		}

		function hideErrorBox() {
			$('.eror-msg .text-danger').html('');
			$('.eror-msg').hide();
		}
		function setErrorOnTR(node) {
			node.addClass("tr-error");
		}
		function removeAllErrors() {
			$(".tr-error").each(function() {
				var tr = $(this);
				tr.removeClass("tr-error");
			});
		}
		function showErrorAfterSubmitData(invoiceNumbers,invoiceErrorsPair) {
			var errorMessage = "";
			$('#table-p-chk-bx').DataTable().rows().iterator('row', function(context, index) {
				var node = $(this.row(index).node());
				var row = this.row(index);
				for(i=0; i < invoiceNumbers.length; i++) {
					var invoice = invoiceNumbers[i];
					if(row.data().invoiceDetailsId == invoice) {
						setErrorOnTR(node);
						if(! errorMessage.includes(invoiceErrorsPair[invoice]) && invoiceErrorsPair[invoice] != "Success") {
							errorMessage += invoiceErrorsPair[invoice] + "<br>";
						}
						break;
					}
				}
			});
			return errorMessage;
		}

		$(".cancleBulkEdit").on("click",function() {
			table.rows().iterator('row', function(context, index) {
	    	    var row = $(this.row(index).node());
				var dataTableRow = table.row(row);
				viewable(row,dataTableRow);
	    	});
			$(".cancleBulkEdit").hide();
			$(".editInBulk").html("Bulk Edit Invoices");
		});
		$(".editInBulk").on("click",function() {
			var updateCount = 0;
			if($(".editInBulk").html().trim() === "Bulk Edit Invoices") {
				table.rows().iterator('row', function(context, index) {
		    	    var row = $(this.row(index).node());
					var dataTableRow = table.row(row);
					if(dataTableRow.data().invStatus != "UPLOADED") {
						updateCount++;
						editable(row,dataTableRow);
					}
		    	});
				if(updateCount > 0) {
					// Updatings something
					$($.fn.dataTable.tables(true)).DataTable().columns.adjust().responsive.recalc();
					$(".editInBulk").html("Update Bulk Invoices");
					$(".cancleBulkEdit").show();
				} else {
					// No records going to update
					showErrorBox("There is no any invoice to edit.");
				}
			} else {
				var data = validate();
				if(Array.from(data.errors).length == 0) {
					var rowObjects = getRowObjectAndReadyToSave();
					// save data in database.
					$.ajax({
		   				url:"${pageContext.request.contextPath}/invoiceDetail/updateInvoiceFromList/",
		   				type: "POST",   				
		   				contentType: "application/json; charset=utf-8",
		   				data:   JSON.stringify(rowObjects),
		   				success: function (data) {
		   					if(data.result=='Success'){
// 		   						window.location.reload();
		   						showSuccessBox("Invoices are updated successfully.");
		   					} else {
// 		   						showErrorBox(data.result)
		   					}
		   				},
		   				error: function (jqXHR, textStatus, errorThrown) {
		   					console.log(textStatus);
		   					console.log(errorThrown);
		   				}
					});
					table.rows().iterator('row', function(context, index) {
			    	    var row = $(this.row(index).node());
						var dataTableRow = table.row(row);
						viewable(row,dataTableRow);
			    	});
					$(".editInBulk").html("Bulk Edit Invoices");
					$($.fn.dataTable.tables(true)).DataTable().columns.adjust().responsive.recalc();
					$(".cancleBulkEdit").hide();
				} else {
					var error = "All fields must be completed.";
					// Show error here if any.
					if(typeof data.errors.get("invTotalNegative") != 'undefined') {
						error += "<br>" + data.errors.get("invTotalNegative");
					}
					if(typeof data.errors.get("invSubtotalNegative") != 'undefined') {
						error += "<br>" + data.errors.get("invSubtotalNegative");
					}
					showErrorBox(error);
				}
			}
   		});
		function getRowObjectAndReadyToSave() {
			var rowObjects = [];
			table.rows().iterator('row', function(context, index) {
				var row = $(this.row(index).node());
				var dataTableRow = table.row(row);
				if(row.find("input[name=ponumber]").length > 0) {
					var rowObject = {};
					var poNumber = row.find("input[name=ponumber]").val();
					var vendorId = row.find("select[name=vendorIdToAdd]").val();
					var store = row.find("select[name=storeToAdd]").val();
					var invStatusNew = row.find("select[name=invStatusToAdd]").val();
					var invoiceDate = row.find("input[name=invoiceDate]").val();
					var dueDate = row.find("input[name=dueDate]").val();
					var invSubtotal = row.find("input[name=invSubtotal]").val();
					var freight = row.find("input[name=freight]").val();
					var tax = row.find("input[name=tax]").val();
					var invTotal = row.find("input[name=invTotal]").val();
					var shippingMethod = row.find("input[name=shippingMethod]").val();
					var id = row.find("input[name=invoiceData]").val();

					var vendorName = row.find("select[name=vendorIdToAdd] option:selected").data("vendor-name");
					rowObject.invoiceDetailsId = id;
					rowObject.ponumber = poNumber;
					rowObject.vendorNo = vendorId;
					rowObject.store = store;
					rowObject.invStatus = invStatusNew;
					rowObject.invoiceDate = invoiceDate;
					rowObject.dueDate = dueDate;
					rowObject.invSubtotal = invSubtotal;
					rowObject.freight = freight;
					rowObject.tax = tax;
					rowObject.invTotal = invTotal;
					rowObject.shippingMethod = shippingMethod;
						
					rowObjects.push(rowObject);

					dataTableRow.data().ponumber = poNumber;
					dataTableRow.data().vendorNo = vendorId;
					dataTableRow.data().store = store;
					dataTableRow.data().invStatus = invStatusNew;
					dataTableRow.data().invoiceDate = invoiceDate;
					dataTableRow.data().dueDate = dueDate;
					dataTableRow.data().invSubtotal = invSubtotal;
					dataTableRow.data().freight = freight;
					dataTableRow.data().tax = tax;
					dataTableRow.data().invTotal = invTotal;
					dataTableRow.data().shippingMethod = shippingMethod;
					dataTableRow.data().vendorName = vendorName;
				}
	    	});
			return rowObjects;
		}

		function validate() {
    	    var errors = new Map();
    	    var data = {};
			table.rows().iterator('row', function(context, index) {
				var row = $(this.row(index).node());
				var dataTableRow = table.row(row);
				if(row.find("input[name=ponumber]").length > 0) {
					var poNumber = row.find("input[name=ponumber]").val();
					var vendorId = row.find("select[name=vendorIdToAdd]").val();
					var store = row.find("select[name=storeToAdd]").val();
					var invStatusNew = row.find("select[name=invStatusToAdd]").val();
					var invoiceDate = row.find("input[name=invoiceDate]").val();
					var dueDate = row.find("input[name=dueDate]").val();
					var invSubtotal = row.find("input[name=invSubtotal]").val();
// 					var freight = row.find("input[name=freight]").val();
					var tax = row.find("input[name=tax]").val();
					var invTotal = row.find("input[name=invTotal]").val();
					var shippingMethod = row.find("input[name=shippingMethod]").val();

					if(poNumber == null || poNumber == "") {
						row.find("input[name=ponumber]").addClass("form-control-error");
						errors.set("ponumber", "PO Number must not be empty.");
					}
					if(vendorId == null || vendorId == "") {
						row.find("select[name=vendorIdToAdd]").addClass("form-control-error");
						errors.set("vendorId", "Vendor Id must not be empty.");
					}
					if(store == null || store == "") {
						row.find("select[name=storeToAdd]").addClass("form-control-error");
						errors.set("store", "Store must not be empty.");
					}
	
					if(invStatusNew == null || invStatusNew == "") {
						row.find("select[name=invStatusToAdd]").addClass("form-control-error");
						errors.set("invStatusNew", "Invoice Status must not be empty.");
					}
					if(invoiceDate == null || invoiceDate == "") {
						row.find("input[name=invoiceDate]").addClass("form-control-error");
						errors.set("invoiceDate", "Invoice Date must not be empty.");
					}
					if(dueDate == null || dueDate == "") {
						row.find("input[name=dueDate]").addClass("form-control-error");
						errors.set("dueDate", "Due Date must not be empty.");
					}
// 					if(freight == null || freight == "") {
// 						row.find("input[name=freight]").addClass("form-control-error");
// 						errors.set("freight", "Freight must not be empty.");
// 					}
					if(invSubtotal == null || invSubtotal == "") {
						row.find("input[name=invSubtotal]").addClass("form-control-error");
						errors.set("invSubtotal", "Sub total must not be empty.");
					} else if(invSubtotal <= 0) {
						row.find("input[name=invSubtotal]").addClass("form-control-error");
						errors.set("invSubtotalNegative", "Sub total must be positive.");
					}
					if(tax == null || tax == "") {
						row.find("input[name=tax]").addClass("form-control-error");
						errors.set("tax", "Tax must not be empty.");
					}
					if(invTotal == null || invTotal == "") {
						row.find("input[name=invTotal]").addClass("form-control-error");
						errors.set("invTotal", "Invoice Total must not be empty.");
					} else if(invTotal <= 0) {
						row.find("input[name=invTotal]").addClass("form-control-error");
						errors.set("invTotalNegative", "Invoice Total must be positive.");
					} 
					if(shippingMethod == null || shippingMethod == "") {
						row.find("input[name=shippingMethod]").addClass("form-control-error");
						errors.set("shippingMethod", "Shipping Method must not be empty.");
					}
				}
	    	});
			$(".form-control-error:first").focus();
			data.errors = errors;
			return data;
		}

		function setSearchData(data) {
    		var filterObject = JSON.parse(localStorage.getItem("InvoiceFilterObject"));
    		if(typeof filterObject === 'undefined') {
    			filterObject = {};
    		}
    		filterObject.search= data;
    		localStorage.setItem("InvoiceFilterObject", JSON.stringify(filterObject));
 		}

		var validInputTypes = ["text", "hidden", "number","date"];
		function editable(row, datatableRow) {
			var tr ="";
 		    for (var i=0; i < columnsData.length; i++) {
				var colData = columnsData[i];
				var aoData = aoColumns[i];
				var td = '<td>';
				var inputE = "";
				if(colData.attribute.editable) {
					if(validInputTypes.indexOf(colData.attribute.inputType) >= 0) {
						if(colData.attribute.inputType == "date") {
							inputE = getInput(colData.name, colData.attribute.inputType, mmddyyyyTOyyyymmdd(toDate(datatableRow.data()[colData.name])),'form-control ', colData.attribute.extraAttribute);
						} else {
							inputE = getInput(colData.name, colData.attribute.inputType, datatableRow.data()[colData.name],'form-control ', colData.attribute.extraAttribute);
						}
					} else if(colData.attribute.inputType == "SelectBox") {
						if(colData.name == "vendorNo") {
							var vendorClone = $("#vendorIdToAdd").clone();
							vendorClone.attr("id","");
							vendorClone.addClass("vendorIdToAdd");
							vendorClone.find("option[value="+ datatableRow.data()[colData.name] +"]").attr("selected",true);;
							inputE = $('<div>').append(vendorClone).html();
						} else if(colData.name == "store") {
							var storeClone = $("#storeToAdd").clone();
							storeClone.attr("id","");
							storeClone.find("option[value="+ datatableRow.data()[colData.name] +"]").attr("selected",true);;
							inputE = $('<div>').append(storeClone).html();
						} else if(colData.name == "invStatus") {
							var invStatus = $("#invStatusToAdd").clone();
							invStatus.attr("id","");
							invStatus.find("option[value="+ datatableRow.data()[colData.name] +"]").attr("selected",true);;
							inputE = $('<div>').append(invStatus).html();
						}
					}
				} else {
					if(aoData["mData"] != null) {
						inputE = datatableRow.data()[aoData["mData"]]
					} else {
						inputE = aoData["mRender"](datatableRow.data(),null,datatableRow.data());
					}
					if(inputE == null || inputE == "undefined") {
						inputE = "";
					}
				}
				td += inputE + '</td>';
				tr += td;
			}
			row.html(tr);
		}
		function viewable(row, datatableRow) {
			var tr ="";
 		    for (var i=0; i<aoColumns.length; i++) {
				var aoData = aoColumns[i];
				var td = '<td>';
				if(aoData["mData"] != null) {
					element = datatableRow.data()[aoData["mData"]] != null ? datatableRow.data()[aoData["mData"]] : '';
				} else {
					element = aoData["mRender"](datatableRow.data(),null,datatableRow.data());
				}
				td += element + '</td>';
				tr += td;
			}
			row.html(tr);
		}
		
		function mmddyyyyTOyyyymmdd(mmddyyyy) {
			if(mmddyyyy == 'undefined' || mmddyyyy == null || mmddyyyy=='') {
				return '';
			}
			var arr = mmddyyyy.split("/");
			if(arr.length == 3) {
				return arr[2] + "-" + String(arr[0]).padStart(2,"0") + "-" + String(arr[1]).padStart(2,"0");
			}
			return '';
		}
		$(document).keyup(function(e) {
		     if (e.key === "Escape") { // escape key maps to keycode `27`
	    		$(".show-tooltip").each(function() {
	    			$(this).find(".tooltip-input-text textarea").val('');
	    			$(this).removeClass("show-tooltip");
	    		});
		    }
		});
		$(document).click(function(event){
			if(!$(event.target).closest("td").find(".c-tooltip").hasClass('show-tooltip')) {
				$(".show-tooltip").each(function() {
					$(this).find(".tooltip-input-text textarea").val('');
					$(this).removeClass("show-tooltip");
				});
			}
		});

// 	    function check_uncheck_checkbox(isChecked) {
//  			if(isChecked) {
//  				$('input[name="invoiceData"]').each(function() { 
//  					this.checked = true; 
//  				});
//  			} else {
//  				$('input[name="invoiceData"]').each(function() {
//  					this.checked = false;
//  				});
//  			}
//  		}
   	    </script>
   
    </body>
</html>
            	