<!DOCTYPE html>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>  

<html>
    <head>
        <title>Banners Hallmark - Invoices</title>
        <style type="text/css">
			.td-actions .action-buttons {
			    display: flex;
			    align-items: center;
			}
		</style>
    </head>
    <body>
    		
          <div id="main" class='layout-navbar'>
            <div id="main-content">

                <div class="page-heading">
                    <div class="page-title mb-5">
                        <div class="row">
                            <div class="col-12 col-md-6 order-md-1 order-last">
                                <h3>Invoices</h3>
                                <!-- <p class="text-subtitle text-muted">Navbar will appear in top of the page.</p> -->
                            </div>
                            <div class="col-12 col-md-6 order-md-2 order-first">
                                <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                                    <ol class="breadcrumb">
                                        <li class="breadcrumb-item"><a href="${pageContext.request.contextPath}">Dashboard</a></li>
                                        <li class="breadcrumb-item active" aria-current="page">Invoices
                                        </li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                    <section class="section blnk-db ">
						<%@ include file="../common/error-and-success-message.jsp" %>
                        <div class="card">
                            <div class="card-body">
							<div class="c-dflx">

								<div class="upld-bill-dlt">
									<button id="uploadToBill" type="button" class="btn btn-warning">Upload to Bill.com</button>
									<button id="syncFromBill" type="button" class="btn btn-warning">Synchronize from Bill.com</button>
									
								
                   <button id="deleteAllInvoices" type="button"  style="margin-left: 0px;" class="btn btn-danger">Delete All</button>
								
									<fieldset class="form-group">
										<select class="form-select" name="invStatus" id="invStatus"
											required="true">
											<option value="">No Action</option>
											<option value="REVIEWING">Mark it as REVIEWING</option>
											<option value="REVIEWED">Mark it as REVIEWED</option>
											<option value="APPROVED">Mark it as APPROVED</option>
										</select>
									</fieldset>
								</div>
								<a
									href="${pageContext.request.contextPath}/invoiceDetail/addInvoiceDetails"
									class="btn btn-primary "> <i
									class="bi bi-file-earmark-plus "></i> New Invoice
								</a>
							</div>
						</div>  
                        </div>

                           <div class="card">
                            <div class="card-body">
							<div class="c-dflx" style="justify-content:left">
							<div class="inv-mark">
<!-- 									<fieldset class="form-group me-2"> -->
<!-- 										<select class="form-select" name="formal" id="invoiceType" -->
<!-- 											onchange="handleSelect()" required> -->
<!-- 											<option selected -->
<!-- 												value="">All Invoices</option> -->

<!-- 											<option value="false" -->
<%-- 												<c:if test="${param.invoviceStatus eq 'false'}"> selected = "selected" </c:if>> --%>

<!-- 												Manual Invoices</option> -->

<!-- 											<option value="true" -->
<%-- 												<c:if test="${param.invoviceStatus eq 'true'}"> selected = "selected" </c:if>> --%>
<!-- 												Verified Invoices</option> -->
<!-- 										</select> -->
<!-- 									</fieldset> -->
							</div><div class="inv-mark">
								<fieldset class="form-group me-2">
									<select class="form-select" name="formal" id="filterDeleted"
										onchange="handleSelect()" required>
										<option selected
											value="">All Invoices</option>

										<option value="false"
											<c:if test="${param.filterDeleted eq 'false'}"> selected = "selected" </c:if>>
											Deleted</option>

										<option value="true"
											<c:if test="${param.filterDeleted eq 'true'}"> selected = "selected" </c:if>>
											Active</option>
									</select>
								</fieldset></div>
                        </div>
						</div>  
                        </div>
                        <div class="card">
                            <div class="card-body  ">
                             <div class="inv-data-tble">
                                <table class="table table-striped hello-worls fix-header-custom" id="table-p-chk-bx"  >
                                    <thead>
                                        <tr>
											<th>
											<div class="form-check">
                                                        <div class="checkbox">
                                                            <input type="checkbox" name="checkAll" 
                                                                class="form-check-input checkAll">
                                                        </div>
                                                    </div>
											<!--  <input type="checkbox"  class="form-check-input" onClick="check_uncheck_checkbox(this.checked);" />
											 --> 
											 </th>
											
											  
											<th>Invoice No.</th>		
											<th>PO No.</th>
											<!-- <th>Vendor</th> -->
											<th>Vendor Id</th>
											<th>Site</th>
											<th>Invoice Status</th>
											<th>QB</th>
											<!-- <th>Receives</th> -->
											<th>Shipment Status</th>
																	
											<th>Invoice Date</th>
											<th>Due Date</th>
											<!-- <th>Product Received</th> -->
											<th>Sub Total</th>
											<th>Freigh (shipping) charge</th>
											<th>Tax</th>
										    <th>Total</th>
										    <th>Shipping Method per Invoice</th>
										     <th>Shipping Method per PO</th>    
										     <th>Balance due</th>							     
 										     <th>Approval status</th> 
<!-- 										     <th>Deleted?</th>						     -->
										    <th>Actions</th>									
										</tr>
                                    </thead>
                                    <tbody>
                                       
                                       <c:forEach var="invoice" items="${invoices}">
											<tr>
												 <td >	
                  
                                                    <div class="form-check">
                                                        <div class="checkbox">
                                                            <input type="checkbox" name ="invoiceData" class="example-select-single  form-check-input" value="${invoice.invoiceDetailsId}">
                                                        </div>
                                                    </div>
												</td> 
												
												<td>${invoice.invoicenumber}</td>
												
												 <c:choose>
												  <c:when test="${poNumber.contains(invoice.ponumber) || poNumberReceive.contains(invoice.ponumber)}"> 
												      <td ><a href="${pageContext.request.contextPath}/invoiceDetail/getInvoicsandvenderpo/${invoice.invoiceDetailsId}" >${invoice.ponumber}</a></td>
												    </c:when>  
												    <c:otherwise>
												      <td>  ${invoice.ponumber}</td>
												    </c:otherwise>
												</c:choose>
												
												
												<td>${invoice.vendorNo}</td>
												<td>${invoice.store}</td>
												<td>${invoice.invStatus}</td>
												<td>${invoice.qb}</td>											
												<td>${invoice.shipmentCheckin}</td>		
												<td id="invDate">${invoice.invoiceDate}</td>
												<td id="dueDate">${invoice.dueDate}</td>
												<td>${invoice.invSubtotal}</td>
												<td>${invoice.freight}</td>
												<td>${invoice.tax}</td>
												<td>${invoice.invTotal}</td>
												<td>${invoice.shippingMethod}</td>
												<td>${invoice.shippingMethodPo}</td>												
 												<td>${invoice.dueAmount}</td>														<td>${invoice.approvalStatusText}</td>	
<!-- 												<td> -->
<%-- 													<c:choose> --%>
<%-- 												   	<c:when test="${ not invoice.isActive}"> --%>
<!-- 												   	Deleted      -->
<%-- 												    </c:when>  --%>
<%-- 												    <c:otherwise> --%>
<!-- 												    Active -->
<%-- 												    </c:otherwise> --%>
<%-- 												    </c:choose> --%>
<!-- 												</td> -->
												<td class="td-actions">
												
												 <c:choose>
												   <c:when test="${ not invoice.isActive}">	
												    	<div class="action-buttons">
												  	 <a class="red"
															href="${pageContext.request.contextPath}/invoiceDetail/undelete/${invoice.invoiceDetailsId}"
															onclick="return confirm('Are you sure to Undelete?')"
															id="remove"> <span class="badge btn-warning">
<!-- 															<i class="bi bi-trash-fill"></i> -->
<!-- 															<i class="bi bi-lock-fill"></i> -->
																<img class="icon-image" src="${pageContext.request.contextPath}/resources/assets/images/un-delete.png">
															</span>
														</a>
													</div>     
												    </c:when> 
												    <c:otherwise>
												    <div class="action-buttons">
														<a	href="${pageContext.request.contextPath}/invoiceDetail/getInvoiceDetail/${invoice.invoiceDetailsId}">
															<span class="badge bg-success"> <i
																class="bi bi-pencil"></i>
														</span>
														</a>						
                                                		<c:choose>
															<c:when test="${invoice.invStatus eq 'UPLOADED'}">
															<%-- 	<a class="red" style="pointer-events: none"
																	href="${pageContext.request.contextPath}/invoiceDetail/delete/${invoice.invoiceDetailsId}"
																	onclick="return confirm('Are you sure to delete?')"
																	id="remove"> <span class="badge bg-danger">
																	<!-- <i class="bi bi-trash-fill"></i> -->
																		<img class="icon-image" src="${pageContext.request.contextPath}/resources/assets/images/un-delete.png">
																		</span></a> --%>
																</c:when>
															<c:otherwise>
                                   							<a class="red"
																	href="${pageContext.request.contextPath}/invoiceDetail/delete/${invoice.invoiceDetailsId}"
																	onclick="return confirm('Are you sure to delete?')"
																	id="remove"> <span class="badge bg-danger">
																	<i class="bi bi-trash-fill"></i>
																	</span></a>
															</c:otherwise>
														</c:choose>
													</div>
												    </c:otherwise>
												</c:choose>
													
													
													
												</td>
											</tr>
										</c:forEach>
                                    </tbody>
                                </table>
                            </div>
                          </div>
                        </div>
                    </section>
                </div>

                <footer>
                    <div class="footer clearfix mb-0 text-muted c-ftr">
                        <div class="float-start">
                            <p>2021 &copy; Banners Hallmark</p>
                        </div>
                        <div class="float-end">
                            <p>Developed by <span class="text-danger"><i class="bi bi-heart"></i></span>  <a
                                    href="#">Suntek IT Solutions </a></p>
                        </div>
                    </div>
                </footer>
            </div>
        </div>
        
<script src="${pageContext.request.contextPath}/resources/assets/js/main.js"></script>

   <script>
    
    
   $('#deleteAllInvoices').on('click', function(e){
	   if(confirm('Are you sure to delete all invoices ?')){
  		document.getElementById("deleteAllInvoices").disabled = true;
		window.location = "${pageContext.request.contextPath}/invoiceDetail/deleteAll";
	   }
			
  	});

	    $(document).ready(function (){
	    	
	    	
	    	   
    	// $(".eror-msg").delay(5000).fadeOut(500);
	  
	   	$('#showLink').on('click', function(e){
	        var form = this;

	        var rows_selected = table.column(0).checkboxes.selected();
	        //alert(rows_selected);

	        // Iterate over all selected checkboxes
	        $.each(rows_selected, function(index, rowId){
	        	var data=rowId.split(",");
	           window.open(data[0],'_blank');
	        });
	     });
	   	 
	   	
		      	$('#delete').on('click', function(e){
		      	  
		      		 var invStatus=  $("#invStatus").val();
		    	   	 valid = true;
		    	   	 invStatusText="";
		    		   $("#table-p-chk-bx input[type=checkbox]:checked").each(function () {  
		    	        var row = $(this).closest("tr")[0];   
		    	        var invStatus =   row.cells[5].innerHTML;
		    	       // alert(invStatus);
		    	        if(invStatus=="UPLOADED"){  
		    	      	  invStatusText="Uploaded Invoice can'not delete ";
		    	              valid =false;    
		    	            } 
		    	    });
				   if(valid==true)     
				      {
			        var invoiceData = [];
					   $('[name=invoiceData]:checked').each(function() {
						   invoiceData.push($(this).val());
					   }); 
			        
			        if(invoiceData.length>0){
				        $.ajax({
				            url:"${pageContext.request.contextPath}/ajax/invoiceDetail/deleteAll",
			   				type: "POST",   				
			   				contentType: "application/json; charset=utf-8",
			   				data:   JSON.stringify(invoiceData),
			   				success: function (data) {
			   					if(data.result=='success'){
			   						window.location.reload();
			   					}else{
			   						alert(data.result);
			   					}
			   				},
			   				error: function (jqXHR, textStatus, errorThrown) {
			   					console.log(textStatus);
			   					console.log(errorThrown);
			   				}
			   			});
			        }
			        }
			        
			        else
			        	{
			        	alert(invStatusText);
			        	}
			     });
	 
	   	   
	   	$('#invStatus').on('change', function(e){		
	   	 var invStatus=  $("#invStatus").val();
	   	 valid = true;
	   	 invStatusText="";
		   $("#table-p-chk-bx input[type=checkbox]:checked").each(function () {  
	        var row = $(this).closest("tr")[0];   
	        var invStatus =   row.cells[5].innerHTML;
	       // alert(invStatus);
	        if(invStatus=="UPLOADED"){  
	      	  invStatusText="Selected Invoices already UPLOADED";
	              valid =false;    
	            } 
	    });
	  
		   
		   
	   if(valid==true)     
	     {  
	   	 if(invStatus !=null && invStatus!="")
	   		 {
	   		
	        var form = this;
	     /*    var rows_selected = table.column(0).checkboxes.selected();
	        var invoiceData=[];
	        $.each(rows_selected, function(index, rowId){
	        	var data=rowId.split(",");
	        	invoiceData.push(data[1]);
	        	//invoiceData.push(invStatus[1]);
	        }); */
	    
	        var invoiceData = [];
			   $('[name=invoiceData]:checked').each(function() {
				   invoiceData.push($(this).val());
			   }); 
	        
	        
	        if(invoiceData.length>0){
		        $.ajax({
	   				url:"${pageContext.request.contextPath}/ajax/invoiceDetail/approveInvoices/"+invStatus,
	   				type: "POST",   				
	   				contentType: "application/json; charset=utf-8",
	   				data:   JSON.stringify(invoiceData),
	   				success: function (data) {
	   					if(data.result=='success'){
	   						window.location.reload();
	   					}else{
	   						alert(data.result);
	   					}
	   				},
	   				error: function (jqXHR, textStatus, errorThrown) {
	   					console.log(textStatus);
	   					console.log(errorThrown);
	   				}
	   			});
	        }}
	   	 else{alert("No Option value");}}else{alert(invStatusText);}
	     });
	   	
	   	$('#syncFromBill').on('click', function(e){
	   		
	   		document.getElementById("syncFromBill").disabled = true;
			window.location = "${pageContext.request.contextPath}/invoiceDetail/syncFromBill";
			
			
	   	});
	   	// Bill.com
	   	$('#uploadToBill').on('click', function(e){
	   		//alert("hello");
	        var form = this;
	   		var cntInvChkd = 0;
			   	 valid = true;
			   	 invNotext="";
			   	 poNotext="";
			   	 duedatetext="";
			   	 invTotaltext="";
			   	 invdatetext="";
			   	 invStatusText="";
			   //	isActiveStatus="";
			   $("#table-p-chk-bx input[type=checkbox]:checked").each(function () {  
				   cntInvChkd += 1;
                var row = $(this).closest("tr")[0];
                var invoicenumber=row.cells[1].innerHTML;
                var ponumber  = row.cells[2].innerHTML;
                var invStatus =   row.cells[5].innerHTML;
                var invoiceDate=   row.cells[8].innerHTML; 
                var dueDate =   row.cells[9].innerHTML;
                var invTotal=row.cells[13].innerHTML;
               // var isActive=row.cells[16].innerHTML;
                 
                if (invoicenumber ==null || invoicenumber==""){  
	                   
                      invNotext="Invoice number can't be blank"; 
                  
                      valid =false;  
	                  } 
           /*      else if(isActive=="false" || isActive==null){  
	                	  isActiveStatus="Deleted invoices can not be uploaded";
	                      valid =false;  
	                      }  */

                else if(ponumber==null || ponumber==""){  
	                       poNotext="PO number can't be blank";
	                    
	                     valid =false;  
	                    } 
	                  else if(dueDate==null || dueDate==""){  
	                       duedatetext="Due Date can't be blank";
	                       
	                        valid =false;    
	                        } 
	                  else if(invTotal==null || invTotal==""){  
	                       invTotaltext="Invoice Total can't be blank";
	                   
	                    valid =false;    
	                    }  
	                
	                  else if(invoiceDate==null || invoiceDate==""){  
	                       invdatetext="Invoice Date can't be blank";
	                    
	                      valid =false;  
	                      } 
                
	                 
	                  else if(invStatus!="APPROVED" && invStatus!="Invoice Status"){  
	                	  invStatusText="All selected invoices must be approved";
	                       
	                        valid =false;    
	                        } 
            });
			   
	   		if(cntInvChkd == 0){
	   			invStatusText="No Invoice Selected";
                
                valid =false;
	   		
	   		}
	   		
       			   
		   if(valid==true)
			     
		     {      
			document.getElementById("uploadToBill").disabled = true;  
	       
			var rows_selected = $('.table-striped').DataTable().rows().data(); 
			
	      var invoiceData=[];
	      
	      $('.table-striped').DataTable().rows().iterator('row', function(context, index) {
	    	    var node = $(this.row(index).node()); 
	    	    var node = $(this.row(index).node()); 
	        	var isChecked = $(node).find('[name=invoiceData]').prop("checked");
	        	if(isChecked) {
	        		invoiceData.push($(node).find('[name=invoiceData]').val());
	        	}
	    	});
	        

	        /*var invoiceData = [];
			   $('[name=invoiceData]:checked').each(function() {
				   invoiceData.push($(this).val());
			   });*/
	        if(invoiceData.length>0){
		        $.ajax({
	   				url:"${pageContext.request.contextPath}/ajax/invoiceDetail/goToBills",
	   				type: "POST",   				
	   				contentType: "application/json; charset=utf-8",
	   				data:   JSON.stringify(invoiceData),
	   				success: function (data) {
		   				//	alert(JSON.stringify(data));
		   					//console.log("========responce data====="+data);
		   					//var msg=JSON.stringify(data);
		   					if(data.result=="Success"){
		   						
		   					     alert("Invoice successfully uploaded to Bill.com");
		   					  document.getElementById("uploadToBill").disabled = false;
		   					    //alert(msg.result);
		   						window.location.reload();
		   					}else{
		   					 alert(data.result);
		   					document.getElementById("uploadToBill").disabled = false;
		   					
		   					}
		   				},
	   				error: function (jqXHR, textStatus, errorThrown) {
	   					console.log(textStatus);
	   					console.log(errorThrown);
	   				}
	   			});
	        }
	        
	    }  
		   else {				   
			   var alertMsg = "";
				if(invNotext != "") {
					alertMsg += invNotext + "\n";
				}
				if(duedatetext != "") {
					alertMsg += duedatetext + "\n";
				}
				if(invTotaltext != "") {
					alertMsg += invTotaltext + "\n";
				}
				if(invdatetext != "") {
					alertMsg += invdatetext + "\n";
				}
				if(invStatusText != "") {
					alertMsg += invStatusText + "\n";
				}
			/* 	if(isActiveStatus != "") {
					alertMsg += isActiveStatus + "\n";
				} */
				
			   alert(alertMsg);
			}
	     });
	   	
	    }); 
	    
	    function handleSelect() {
	    	var deleted = $("#filterDeleted").val();
	    	var invoiceType = $("#invoiceType").val();
	    	url = "${pageContext.request.contextPath}/invoiceDetail/invoiceDetailsStatus" + "?invoviceStatus=" + invoiceType + "&filterDeleted=" + deleted;
// 	    	
// 	    	${param.filterDeleted}
	       	window.location = url;
	    }
	    
	    
	    function check_uncheck_checkbox(isChecked) {
 			if(isChecked) {
 				$('input[name="invoiceData"]').each(function() { 
 					this.checked = true; 
 				});
 			} else {
 				$('input[name="invoiceData"]').each(function() {
 					this.checked = false;
 				});
 			}
 		}
   	    </script>
   
    </body>
</html>
