<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

<!DOCTYPE html>
<html>
<head>
<title>Banners Hallmark - View Invoice</title>
<link rel="stylesheet"
	href="${pageContext.request.contextPath}/resources/assets/vendors/choices.js/choices.min.css" />
	<style type="text/css">
		.dataTables_scrollBody table.view-invoice-details-table {
			width: 100% !important;
		}
		.action-buttons a.button.disabled span {
			background-color: #cccccc !important;
	    	color: #666666;
		} 
	</style>
</head>
<body>
	<div id="main" class='layout-navbar'>
		<div id="main-content">
			<div class="page-heading">
				<div class="page-title mb-5">
					<div class="row">
						<div class="col-12 col-md-6 order-md-1 order-last">
							<h3>View Invoice</h3>
						</div>
						<div class="col-12 col-md-6 order-md-2 order-first">
							<nav aria-label="breadcrumb"
								class="breadcrumb-header float-start float-lg-end">
								<ol class="breadcrumb">
									<li class="breadcrumb-item"><a href="${pageContext.request.contextPath}/invoiceDetail/invoiceDetails">All Invoices</a></li>
									<li class="breadcrumb-item active" aria-current="page">View Invoice</li>
								</ol>
							</nav>
						</div>
					</div>
				</div>

				<section class="section blnk-db">
					<%@ include file="../common/error-and-success-message.jsp"%>
					<div class="card tp-inpt">
						<div class="card-body">
							<div class="row">
								<div class="col-md-4 col-12">
									<div class="form-group">
										<label for="invoice-number">Invoice Number:</label>
										<label id="invoice-number">${invoice.invoicenumber}</label>
									</div>
								</div>
								<div class="col-md-4 col-12">
									<div class="form-group">
										<label for="vendor">Vendor Id:</label>
										<label for="vendor">${vendor.vendorNo}</label>
									</div>
								</div>
								<div class="col-md-4 col-12">
									<div class="form-group">
										<label for="site">Site:</label>
										<label id="site">${store.store}</label>
									</div>
								</div>
							</div>
							<div class="row">
								<div class="col-md-4 col-12">
									<div class="form-group">
										<label for="po-number">PO Number:</label>
										<label id="po-number">${invoice.ponumber}</label>
									</div>
								</div>
								<div class="col-md-4 col-12">
									<div class="form-group">
										<label for="invoice-date">Invoice Date:</label>
										<label id="invoice-date"></label>
									</div>
								</div>
								<div class="col-md-4 col-12">
									<div class="form-group">
										<label for="due-date">Due Date:</label>
										<label id="due-date"></label>
									</div>
								</div>
							</div>
							<div class="row">
								<div class="col-md-4 col-12">
									<div class="form-group">
										<label for="payment-method">Payment Method:</label>
										<label id="payment-method">${invoice.qb}</label>
									</div>
								</div>
								<div class="col-md-4 col-12">
									<div class="form-group">
										<label for="shipping-method">Shipping Method:</label>
										<label id="shipping-method">${invoice.shippingMethod}</label>
									</div>
								</div>
								<div class="col-md-4 col-12">
									<div class="form-group mb-0">
										<label for="invoice-shipping">Invoice Shipping:</label>
										<label id="invoice-shipping">${invoice.invShipping}</label>
									</div>
								</div>
							</div>
							<div class="row">
								<div class="col-md-4 col-12">
									<div class="form-group">
										<label for="invoice-status">Invoice Status:</label>
										<label id="invoice-status">${invoice.invStatus}</label>
									</div>
								</div>
								<div class="col-md-4 col-12">
									<div class="form-group mb-0">
										<label for="invoice-shipping">Tax:</label>
										<label id="invoice-shipping">${invoice.tax }</label>
									</div>
								</div>
								<div class="col-md-4 col-12">
									<div class="form-group mb-0">
										<label for="invoice-subtotal">Invoice Subtotal:</label>
										<label id="invoice-subtotal">${invoice.invSubtotal }</label>
									</div>
								</div>
							</div>
							<div class="row">
								<div class="col-md-4 col-12">
									<div class="form-group mb-0">
										<label for="invoice-total">Invoice Total:</label>
										<label id="invoice-total">${invoice.invTotal}</label>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="card">
						<div class="card-body apnd-tble">
							<div class="cln-tble mb-5">
								<div class="table-responsive table-scroll-c c-tble mb-4 norm-tble">
									<table class="table table-striped mb-0 view-invoice-details-table">
										<thead>
											<tr>
												<th>Product</th>
								                <th>UPC</th>
								                <th>Description</th>
								                <th>Qty</th>
								                <th>Ship Qty</th>
								                <th>B/O</th>
								                <th>List Price</th>
								                <th>Your Price</th>
								                <th>Discount</th>
								                <th>Amount</th>
								                <th>Action</th>
											</tr>
										</thead>
										<tbody>
										</tbody>
									</table>
								</div>
							</div>
						</div>
					</div>
				</section>
			</div>
			<footer>
				<div class="footer clearfix mb-0 text-muted c-ftr">
					<div class="float-start">
						<p>2021 &copy; Banners Hallmark</p>
					</div>
					<div class="float-end">
						<p>
							Developed by <span class="text-danger"><i class="bi bi-heart"></i></span> <a href="#">Suntek IT Solutions </a>
						</p>
					</div>
				</div>
			</footer>
		</div>
	</div>
	<script src="${pageContext.request.contextPath}/resources/assets/vendors/choices.js/choices.min.js"></script>
	<script src="${pageContext.request.contextPath}/resources/assets/js/jquery-ui.js"></script>
	<script src="${pageContext.request.contextPath}/resources/assets/js/main.js"></script>
    <script src="${pageContext.request.contextPath}/resources/assets/js/costom-c.js"></script>
    
	<script>
		var saveSvgIcon = '<svg style="width: 30px;" class="svg-inline--fa fa-save fa-w-14 fa-fw select-all" aria-hidden="true" focusable="false" data-prefix="fas" data-icon="save" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512" data-fa-i2svg=""><path fill="currentColor" d="M433.941 129.941l-83.882-83.882A48 48 0 0 0 316.118 32H48C21.49 32 0 53.49 0 80v352c0 26.51 21.49 48 48 48h352c26.51 0 48-21.49 48-48V163.882a48 48 0 0 0-14.059-33.941zM224 416c-35.346 0-64-28.654-64-64 0-35.346 28.654-64 64-64s64 28.654 64 64c0 35.346-28.654 64-64 64zm96-304.52V212c0 6.627-5.373 12-12 12H76c-6.627 0-12-5.373-12-12V108c0-6.627 5.373-12 12-12h228.52c3.183 0 6.235 1.264 8.485 3.515l3.48 3.48A11.996 11.996 0 0 1 320 111.48z"></path></svg>';
		var editIcon = '<span class="badge bg-info"><i class="bi bi-pencil-fill"></i></span>';
		function yyyymmddTOmmddyyyy(yyyymmdd) {
			if(yyyymmdd == 'undefined' || yyyymmdd == null || yyyymmdd=='') {
				return '';
			}
			var arr = yyyymmdd.split("-");
			if(arr.length == 3) {
				return arr[1] + "/" + arr[2] + "/" + arr[0];
			}
			return '';
		}
		var invoiceDate = '${invoice.invoiceDate}';
		var dueDate = '${invoice.dueDate}';
		var invStatus = '${invoice.invStatus}';
		
		var propertyNames = [
			"product",
 			"upc",
 			"description",
 			"qty",
 			"shipQty",
 			"bo",
 			"listPrice",
 			"yourPrice",
 			"discount",
 			"amount"
		];
		
		var numaricFields = ["qty", "shipQty", "bo", "listPrice", "yourPrice", "discount", "amount"];
		var nonEditableFields = [];
		var aoColumns = [{
		    "mData": propertyNames[0]
		},{
		    "mData": propertyNames[1]
		},{
		    "mData": propertyNames[2]
		}, {
		    "mData": propertyNames[3]
		}, {
		    "mData": propertyNames[4]
		}, {
		    "mData": propertyNames[5]
		}, {
		    "mData": propertyNames[6]
		}, {
		    "mData": propertyNames[7]
		}, {
		    "mData": propertyNames[8]
		}, {
		    "mData": propertyNames[9]
		}, {
		    "mData": null,
		    "bSortable":false,
		    "mRender": function(data, type, full) {
		    	if(invStatus == 'UPLOADED') {
		    		return ' <div class="action-buttons"> <a class="button disabled" disabled>'+ editIcon +'</a> </div>';
		    	} else {
			    	var idHidden = getInput("invoiceItemId", "hidden", data.invoiceItemId);
			        return idHidden +
			        ' <div class="action-buttons"> <a class="edit button">'+ editIcon +'</a>' +
	              	' </div>';
		    	}
		    }
		}];

		function getInput(name, inputType, value, cssClass, extraProperties) {
	 		var inputE = '<input';
			inputE += " name='"+name + "'";

			if(typeof cssClass != 'undefined' && cssClass != null) {
		 		inputE += " class='"+ cssClass +"'";
			}
			if(typeof inputType != 'undefined' && inputType != null) {
				inputE += " type='" + inputType + "'";
			} else {
				inputE += " type=text";
			}
			if(typeof value != 'undefined' && value != null) {
				inputE += " value='" + value + "'"; // invoiceItem[property];
			}
			if(typeof extraProperties != 'undefined' && extraProperties != null) {
				inputE += " " + extraProperties;
			}
			return inputE + ">";
	 	}

		$(document).ready(function() {
			$("#invoice-date").html(yyyymmddTOmmddyyyy(invoiceDate));
			$("#due-date").html(yyyymmddTOmmddyyyy(dueDate));
			
			var datatableView = $(".view-invoice-details-table").DataTable({
				serverSide: true,
				scrollX : true,
				ajax: {
						url : '${pageContext.request.contextPath}/invoiceDetail/getPaginatedInvoiceItemDetails',
						data: {
							invoiceNumber: function() {
								var invoiceNumber = "${invoice.invoiceDetailsId}";
								return invoiceNumber;
							}
						}
					},
			 	info:           true,
			    paging:         true,
			    serverMethod : 'POST',
			    ordering: true,
				"aoColumns": aoColumns,
				"processing": true,
				language: {
					processing: "<div class='loader'></div>",
					paginate: {
			        	sNext: '<span class="pagination-default">&#x276f;</span>',
			        	sPrevious: '<span class="pagination-default">&#x276e;</span>'
			    	}
				},
			});

			datatableView.on('click', '.edit', function () {
				var row = $(this).closest('tr');
				var dataTableRow = datatableView.row(row);

				if(row.find("input[name="+ propertyNames[0] + "]").length == 0) {
					editable(row,dataTableRow);
					row.find(".edit").html(saveSvgIcon);
				} else {
					removeOldErrors();
					var isValid = validate(row);
					if(isValid) {
						var rowObject = readRowObject(row);
						console.log("rowObject", JSON.stringify(rowObject));

						$.ajax({
				            url:"${pageContext.request.contextPath}/ajax/saveInvoiceItemData",
				            data: JSON.stringify(rowObject),
			   				type: "POST",
			   				contentType: "application/json; charset=utf-8",
			   				success: function (response) {
		   						if(response.result == "Success") {
		   						} else if(response.result == "ERROR") {
		   							alert("Something went wrong, Please try again after sometime");
		   						} else if(response.result == 'noPermission') {
		   							alert("You don't have permission for this action.");
		   						} else {
		   							alert(response.result);
		   						}
			   				}
			   			});
						for(var j=0;j<propertyNames.length;j++) {
							var property = propertyNames[j];
							dataTableRow.data()[property] = rowObject[property];
			 			}
						viewable(row,dataTableRow);
						row.find(".edit").html(editIcon);
					}
				}
				$($.fn.dataTable.tables(true)).DataTable().columns.adjust().responsive.recalc();
			});
		});
		$(document).on('change', '.form-control-error', function() {
	        var input = $(this);
	        var value = input.val();
	        if(value == null || value.trim()  == ""); else {
	            input.removeClass("form-control-error");
	        }
	    });

		function removeOldErrors() {
			$('input.form-control-error').each(function(index, data){
				$(data).removeClass("form-control-error");
		    });
		}

		function validate(row) {
			var isValid = true;
			for (var i=0; i<aoColumns.length; i++) {
				var aoData = aoColumns[i];
				if(aoData["mData"] != null && aoData["mData"] != 'description') {
					var element = row.find("input[name=" + aoData['mData'] + "]");
					if(element.length > 0 && (element[0].value == null || typeof element[0].value == 'undefined' || element[0].value == '')) {
						element.addClass("form-control-error");
						isValid = false;
						element.focus();
					}
					if(aoData["mData"] == 'amount' && element.length > 0 && element[0].value < 1) {
						element.addClass("form-control-error");
						isValid = false;
						element.focus();
					}
				}
			}
			return isValid;
		}

		function readRowObject(row) {
			var rowObject ={};
			var id = row.find("input[name=invoiceItemId]").val();
			rowObject.invoiceItemId = id;
			for (var i=0; i<aoColumns.length; i++) {
				var aoData = aoColumns[i];
				if(aoData["mData"] != null ) {
					var element = row.find("input[name=" + aoData['mData'] + "]");
					if(element.length > 0) {
						rowObject[aoData["mData"]] = element[0].value;
					}
				}
			}
			return rowObject;
		}

		function editable(row, datatableRow) {
			var tr ="";
 		    for (var i=0; i < aoColumns.length; i++) {
				var aoData = aoColumns[i];
				var td = '<td>';
				var inputE;
				var inputType = "text";
				var extraProperty = "";
				var fieldIndex = numaricFields.indexOf(aoData["mData"]);
				if(fieldIndex >= 0) {
					inputType = "number";
					if(fieldIndex < 3) {
						extraProperty += "onkeypress=\"return isIntNumberKey(event)\"";
					} else {
						extraProperty += "onkeypress=\"return isFloatNumberKey(event)\"";
					}
				}
				if(aoData["mData"] != null) {
					inputE = getInput(aoData["mData"], inputType, datatableRow.data()[aoData["mData"]],'form-control ' + aoData["mData"], extraProperty);
				} else {
					inputE = aoData["mRender"](datatableRow.data());
				}
				td += inputE + '</td>';
				tr += td;
			}
			row.html(tr);
		}

		function viewable(row, datatableRow) {
			var tr ="";
 		    for (var i=0; i<aoColumns.length; i++) {
				var aoData = aoColumns[i];
				var td = '<td>';
				if(aoData["mData"] != null) {
					element = datatableRow.data()[aoData["mData"]] != null ? datatableRow.data()[aoData["mData"]] : '';
				} else {
					element = aoData["mRender"](datatableRow.data());
				}
				td += element + '</td>';
				tr += td;
			}
			row.html(tr);
		}
	</script>

</body>
</html>
