<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Hallmark</title>

    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@300;400;600;700;800&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="${pageContext.request.contextPath}/resources/assets/css/bootstrap.css">

    <link rel="stylesheet" href="${pageContext.request.contextPath}/resources/assets/vendors/simple-datatables/style.css">

    <link rel="stylesheet" href="${pageContext.request.contextPath}/resources/assets/vendors/perfect-scrollbar/perfect-scrollbar.css">
    <link rel="stylesheet" href="${pageContext.request.contextPath}/resources/assets/vendors/bootstrap-icons/bootstrap-icons.css">
    <link rel="stylesheet" href="${pageContext.request.contextPath}/resources/assets/css/app.css">
    <link rel="shortcut icon" href="${pageContext.request.contextPath}/resources/assets/images/favicon.svg" type="image/x-icon">
</head>

<body>
    <div id="app">
        <div id="sidebar" class="active">
            <div class="sidebar-wrapper active">
                <div class="sidebar-header">
                    <div class="d-flex justify-content-between">
                        <div class="logo">
                            <a href="index.html"><img src="${pageContext.request.contextPath}/resources/assets/images/logo/logo.png" alt="Logo" srcset=""></a>
                        </div>
                        <div class="toggler">
                            <a href="#" class="sidebar-hide d-xl-none d-block"><i class="bi bi-x bi-middle"></i></a>
                        </div>
                    </div>
                </div>
                <div class="sidebar-menu">
                    <ul class="menu">
                        <!-- <li class="sidebar-title">Menu</li> -->

                        <li class="sidebar-item  ">
                            <a href="index.html" class='sidebar-link'>
                                <i class="bi bi-grid"></i>
                                <span>Dashboard</span>
                            </a>
                        </li>

                        <li class="sidebar-item  has-sub">
                            <a href="#" class='sidebar-link'>
                                <i class="bi bi-file-earmark"></i>
                                <span>Invoices</span>
                            </a>
                            <ul class="submenu ">
                                <li class="submenu-item  ">

                                    <a href="#">
                                        <i class="bi bi-file-earmark-check"></i>
                                        All Invoices</a>
                                </li>
                                <li class="submenu-item ">
                                    <a href="#">
                                        <i class="bi bi-file-earmark-break"></i>
                                        Unverified Invoices</a>
                                </li>


                            </ul>
                        </li>

                        <li class="sidebar-item ">
                            <a href="index.html" class='sidebar-link'>
                                <i class="bi bi-box-arrow-in-down-right"></i>
                                <span>Receives</span>
                            </a>
                        </li>

                        <li class="sidebar-item  has-sub active ">
                            <a href="#" class='sidebar-link'>
                                <i class="bi bi-cart"></i>
                                <span>Purchase Orders</span>
                            </a>
                            <ul class="submenu ">
                                <li class="submenu-item  ">

                                    <a href="purchase-order.html">
                                        <i class="bi bi-cart-check"></i>
                                        All Purchase Orders</a>
                                </li>
                                <li class="submenu-item ">
                                    <a href="#">
                                        <i class="bi bi-cart-dash"></i>
                                        Unverified Purchase Orders</a>
                                </li>


                            </ul>
                        </li>


                        <li class="sidebar-item  has-sub">
                            <a href="#" class='sidebar-link'>
                                <i class="bi bi-gear-fill"></i>
                                <span>Settings</span>
                            </a>
                            <ul class="submenu ">
                                <li class="submenu-item  ">

                                    <a href="#">
                                        <i class="bi bi-people"></i>
                                        Vendors</a>
                                </li>

                                <li class="submenu-item ">
                                    <a href="#">
                                        <i class="bi bi-shop"></i>
                                        Stores
                                    </a>
                                </li>
                                <li class="submenu-item ">
                                    <a href="#">
                                        <i class="bi bi-graph-up"></i>
                                        Chart of Accounts
                                    </a>
                                </li>
                                <li class="submenu-item ">
                                    <a href="#">
                                        <i class="bi bi-box"></i>
                                        Item Groups</a>
                                </li>
                                <li class="submenu-item ">
                                    <a href="#">
                                        <i class="bi bi-credit-card-2-back"></i>
                                        Pay by</a>
                                </li>

                            </ul>
                        </li>



                    </ul>
                </div>
                <button class="sidebar-toggler btn x"><i data-feather="x"></i></button>
            </div>
        </div>

        <div id="main" class='layout-navbar'>
            <header class='mb-3'>
                <nav class="navbar navbar-expand navbar-light ">
                    <div class="container-fluid">
                        <a href="#" class="burger-btn d-block">
                            <i class="bi bi-justify fs-3"></i>
                        </a>

                        <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                            data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                            aria-expanded="false" aria-label="Toggle navigation">
                            <span class="navbar-toggler-icon"></span>
                        </button>
                        <div class="collapse navbar-collapse" id="navbarSupportedContent">
                            <ul class="navbar-nav ms-auto mb-2 mb-lg-0">
                                <li class="nav-item dropdown me-1">
                                    <a class="nav-link active dropdown-toggle" href="#" data-bs-toggle="dropdown"
                                        aria-expanded="false">
                                        <i class='bi bi-envelope bi-sub fs-4 text-gray-600'></i>
                                    </a>
                                    <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdownMenuButton">
                                        <li>
                                            <h6 class="dropdown-header">Mail</h6>
                                        </li>
                                        <li><a class="dropdown-item" href="#">No new mail</a></li>
                                    </ul>
                                </li>
                                <li class="nav-item dropdown me-3">
                                    <a class="nav-link active dropdown-toggle" href="#" data-bs-toggle="dropdown"
                                        aria-expanded="false">
                                        <i class='bi bi-bell bi-sub fs-4 text-gray-600'></i>
                                    </a>
                                    <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdownMenuButton">
                                        <li>
                                            <h6 class="dropdown-header">Notifications</h6>
                                        </li>
                                        <li><a class="dropdown-item">No notification available</a></li>
                                    </ul>
                                </li>
                            </ul>
                            <div class="dropdown">
                                <a href="#" data-bs-toggle="dropdown" aria-expanded="false">
                                    <div class="user-menu d-flex c-algn-itm-cntr">
                                        <div class="user-name text-end me-3">
                                            <h6 class="mb-0 text-gray-600">John Ducky</h6>
                                            <!-- <p class="mb-0 text-sm text-gray-600">Administrator</p> -->
                                        </div>
                                        <div class="user-img d-flex align-items-center">
                                            <div class="avatar avatar-md">
                                                <img src="${pageContext.request.contextPath}/resources/assets/images/faces/1.jpg">
                                            </div>
                                        </div>
                                    </div>
                                </a>
                                <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdownMenuButton">
                                    <li>
                                        <h6 class="dropdown-header">Hello, John!</h6>
                                    </li>
                                    <li><a class="dropdown-item" href="#"><i class="icon-mid bi bi-person me-2"></i> My
                                            Profile</a></li>

                                    <li>
                                        <hr class="dropdown-divider">
                                    </li>
                                    <li><a class="dropdown-item" href="#"><i
                                                class="icon-mid bi bi-box-arrow-left me-2"></i> Logout</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </nav>
            </header>
            <div id="main-content">



                <div class="page-heading">

                    <div class="page-title mb-5">
                        <div class="row">
                            <div class="col-12 col-md-6 order-md-1 order-last">
                                <h3>Add Purchase Orders</h3>
                                <!-- <p class="text-subtitle text-muted">Navbar will appear in top of the page.</p> -->
                            </div>
                            <div class="col-12 col-md-6 order-md-2 order-first">
                                <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                                    <ol class="breadcrumb">
                                        <li class="breadcrumb-item"><a href="index.html">All Purchase Orders</a></li>
                                        <li class="breadcrumb-item active" aria-current="page">Add Purchase Orders
                                        </li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>

                    <section class="section blnk-db">
                       
                        <form:form class="form-form" method="post" id="user_form" name="user_form" modelAttribute="vendorPO">
                             <%@ include file="../common/error-and-success-message.jsp" %>

                            <div class="card tp-inpt">
                                <div class="card-body">

                                    <div class="row">
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="po-number">PO Number</label>
                                                <input type="text" id="poNumber" class="form-control"
                                                    placeholder="PO Number" name="poNumber">
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="vendor">Vendor ID</label>
                                                <fieldset class="">
                                                
                                                    
                                                    <form:select type="text" name="vendor" id="vendor"
																path="vendorId" class="select"
																placeholder="Vendor" value="" required="true"
																onchange="autoPopulate(this.value)">
																<form:option value="">--Select Vendor--</form:option>
																<c:forEach items="${vendors}" var="vendor">
																	<form:option
																		value="${vendor.id},${vendor.repEmail},${vendor.repPhoneNumber},${vendor.paymentTermsName},${vendor.discountOptions},${vendor.discountPercentOnSubtotal},${vendor.discountPercentOnEachProduct}">${vendor.vendorName}</form:option>
																</c:forEach>
															</form:select>
                                                    
                                                </fieldset>

                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="vendor-name">Vendor Name</label>
                                                <input type="text" id="vendor-name" class="form-control"
                                                    placeholder="Vendor Name" name="vendor-name">
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="rep-email">Rep Email</label>
                                                <input type="text" id="repEmail" class="form-control"
                                                    placeholder="Rep Email " name="repEmail" disabled>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="rep-phone-number">Rep Phone Number</label>
                                                <input type="text" id="repPhoneNumber" class="form-control"
                                                    name="repPhoneNumber" placeholder="Rep Phone Number" disabled>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="terms">Terms</label>
                                                <input type="text" id="terms" class="form-control" name="terms"
                                                    placeholder="Terms" disabled>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="discount-method">Discount Method</label>
                                                <input type="text" id="discountMethod" class="form-control"
                                                    name="discountMethod" placeholder="Discount Method" disabled>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="discount-percent-on-subtotal">Discount Percent On
                                                    Subtotal</label>
                                                <input type="text" id="discountPercentOnSubtotal"
                                                    class="form-control" name="discountPercentOnSubtotal"
                                                    placeholder="Discount Percent On Subtotal" disabled>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="discount-percent-on-each">Discount Percent On Each
                                                    Product</label>
                                                <input type="text" id="discountPercentOnEachProduct" class="form-control"
                                                    name="discountPercentOnEachProduct"
                                                    placeholder="Discount Percent On Each Product" disabled>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            
                                            <div class="form-group">
                                                <label for="order-date">Order Date</label>
                                                <input class="datePicker form-control" id="orderDate" name="orderDate" type="text"
                                                    value="MM/DD/YYYY" />
                                            </div>
                                        </div>


                                        <div class="col-md-4 col-12">
                                            

                                            <div class="form-group">
                                                <label for="ship-date">Ship Date</label>
                                                <input class="datePicker form-control" id="shipDate" name="shipDate" type="text"
                                                    value="MM/DD/YYYY" />
                                            </div>

                                        </div>
                                        <div class="col-md-4 col-12">
                                           
                                            <div class="form-group">
                                                <label for="cancel-date">Cancel Date</label>
                                                <input class="datePicker form-control" id="cancelDate" name="cancelDate" type="text"
                                                    value="MM/DD/YYYY" />
                                            </div>
                                            <!-- <div class="datePicker"> </div> -->
                                        </div>

                                        <div class="col-md-4 col-12">
                                            <div class="form-group mb-0">
                                                <label for="order-total">Order Total</label>
                                                <input type="number" id="orderTotal" name="orderTotal" class="form-control"
                                                    name="cancel-date" placeholder="Order Total" disabled>
                                            </div>
                                        </div>

                                        <div class="col-md-4 col-12">
                                            <div class="form-group mb-0">
                                                <label for="final-total">Final Total</label>
                                                <input type="number" id="finalTotal"  name = "finalTotal" class="form-control"
                                                    name="cancel-date" placeholder="Final Total" disabled>
                                            </div>



                                        </div>



                                    </div>

                                </div>
                            </div>


                            <div class="card">
                                <div class="card-body apnd-tble">

                                    <div class="cln-tble mb-5">
                                        <div class="table-responsive c-tble mb-4">

                                            <table class="table table-striped mb-0 ">
                                                <tbody>
                                                    <tr>
                                                        <th>Row</th>
                                                        <th>UPC</th>
                                                        <th>Item Group</th>
                                                        <th>Item Group Repl</th>
                                                        <th>Item Group Spec</th>
                                                        <th>Item Number</th>
                                                        <th>Description</th>
                                                        <th>Pack</th>
                                                        <th>Quantity</th>
                                                        <th>CBM</th>
                                                        <th>Unit Cost</th>
                                                        <th>Extended Cost</th>
                                                        <th>Retail</th>
                                                        <th>GM(%)</th>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <a class="add btn btn-warning "> <i
                                                                    class="icon-mid bi bi-file-earmark-plus"></i> </a>
                                                            <a class="delete btn btn-danger"><i
                                                                    class="icon-mid bi bi-trash"></i></a>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <input type="text" class="form-control"  name ="upc" id="upc"
                                                                    placeholder="UPC">
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <fieldset class="form-group">
                                                                <select class="form-select"  name ="itemGroup" id="itemGroup">
                                                                    <option value="2">IGI</option>
                                                                </select>
                                                            </fieldset>
                                                        </td>
                                                        <td>
                                                            <fieldset class="form-group">
                                                                <select class="form-select"  name ="itemGroupRepl" id="itemGroupRepl">
                                                                    <option  value="2">Manish Yaa</option>
                                                                </select>
                                                            </fieldset>
                                                        </td>
                                                        <td>
                                                            <fieldset class="form-group">
                                                                <select class="form-select"  name ="itemGroupSpec" id="itemGroupSpec">
                                                                    <option value="2">IGI</option>
                                                                </select>
                                                            </fieldset>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <input type="text" class="form-control" name ="itemNumber" id="itemNumber" 
                                                                    placeholder="Item Number">
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <input type="text" class="form-control"  name ="description" id="description"
                                                                    placeholder="Description">
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <input type="number" class="form-control"  name ="pack" id="pack"
                                                                    placeholder="Pack">
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <input type="number" class="form-control"  name ="quantity" id="quantity"
                                                                    placeholder="Quantity">
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <input type="text" class="form-control"  name ="cbm" id="cbm"
                                                                    placeholder="CBM">
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <input type="number" class="form-control"  name ="unitCost" id="unitCost"
                                                                    placeholder="Unit Cost">
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <input type="number" class="form-control"  name ="discountedCost" id="discountedCost"
                                                                    placeholder="Extended Cost" disabled>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <input type="number" class="form-control"  name ="retail" id="retail"
                                                                    placeholder="Retail">
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <input type="number" class="form-control"  name ="gmPercent" id="gmPercent"
                                                                    placeholder="GM(%)" disabled>
                                                            </div>
                                                        </td>


                                                    </tr>

                                                </tbody>

                                            </table>


                                        </div>

                                        <div class="row">
                                            <div class="col-md-3">
                                                <div class="input-group ">
                                                    <select class="form-select" name="storeNumber" id = "storeNumber" >
                                                        <option selected="">Assign to store</option>
                                                        <option value="1">100</option>
                                                        <option value="2">200</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-md-9 align-items-center d-flex justify-content-end ">
                                                <a class=" cpy-tble btn btn-warning me-2 "> Copy Table </a>
                                                <a class=" dlte-tble btn btn-danger"> Delete Table </a>
                                            </div>
                                        </div>
                                    </div>




                                </div>



                            </div>

                            <div class="row">
                                <div class="col-12 d-flex justify-content-center">
                                    <button type="submit" class=" c-btn btn btn-primary me-3 mb-1">Save</button>
                                    <button type="reset" class="c-btn btn btn-danger  mb-1">Cancel</button>
                                </div>
                            </div>
                        </form:form>

                    </section>

                </div>



                <footer>
                    <div class="footer clearfix mb-0 text-muted c-ftr">
                        <div class="float-start">
                            <p>2021 &copy; Banners Hallmark</p>
                        </div>
                        <div class="float-end">
                            <p>Developed by <span class="text-danger"><i class="bi bi-heart"></i></span> <a
                                    href="#">Suntek
                                    IT Solutions </a></p>
                        </div>
                    </div>
                </footer>
            </div>
        </div>


    </div>
    <script src="${pageContext.request.contextPath}/resources/assets/vendors/perfect-scrollbar/perfect-scrollbar.min.js"></script>
    <script src="${pageContext.request.contextPath}/resources/assets/js/bootstrap.bundle.min.js"></script>

    <script src="${pageContext.request.contextPath}/resources/assets/vendors/simple-datatables/simple-datatables.js"></script>
   
        <script src="${pageContext.request.contextPath}/resources/assets/js/jquery-3.js"></script>
    <script src="${pageContext.request.contextPath}/resources/assets/js/jquery-ui.js"></script>
    <script src="${pageContext.request.contextPath}/resources/assets/js/main.js"></script>

    <script src="${pageContext.request.contextPath}/resources/assets/js/costom-c.js"></script>
    	<script type="text/javascript">
//action="addNewPurchaseOrder"

function hasDuplicates(array) {
    return (new Set(array)).size !== array.length;
}


	 	$(document).ready(function() {

	 		//var upc = $(this).closest("tr").find("#upc").val(); 	     
	 		$("#saveForm").on('click', function(){	
	 			
	 		 	 valid = true;
	 			
	 		    var ponumber=$("#ponumber").val();
	 			var vendor=$("#vendor").val();
	 			
	 			ponumberText="";
	 			vendorText="";
	 			
	 			
	 			 if (ponumber==null ||  ponumber==""){  
	 				ponumberText="PO Number can't be blank"; 
	                  valid =false;  
	                 } 
	 			
	 		    if ( vendor==null ||  vendor==""){  
	 		    	vendorText="Vendor can't be blank"; 
                 valid =false;  
                } 
		
	 			 upcText ="";
	 			 packText =""; 
	 			 quantityText ="";	
	 			 unitCostText = "";
	 			 retailText = "";
	 			 storeNumberText = "";	
	 			 upcText_1 = "";
	 			storeDuplicates="";
	 			 
	 			var upc = document.querySelectorAll("[id='upc']");	
	 			var pack = document.querySelectorAll("[id='pack']");
	 			var quantity = document.querySelectorAll("[id='quantity']");	
	 			var unitCost = document.querySelectorAll("[id='unitCost']");
	 			var retail = document.querySelectorAll("[id='retail']");
	 			var storeNumber=document.querySelectorAll("[id='storeNumber']");

	 			for(var i = 0; i < upc.length; i++) {
	 			 if ( upc[i].value==null ||  upc[i].value==""){     
	 				  upcText="UPC can't be blank" ;
	                  valid =false;  
	                 } 
	 			}
	 			for(var i = 0; i < pack.length; i++) {	  
		 			 if ( pack[i].value==null ||  pack[i].value==""){    
		 				  packText="Pack can't be blank" ;
		                  valid =false;  
		                 } 
		 			}
	 			for(var i = 0; i < quantity.length; i++) {	  
		 			 if ( quantity[i].value==null ||  quantity[i].value==""){   
			 			  quantityText="Quantity can't be blank"; 
		                  valid =false;  
		                 } 
		 			}
	 			for(var i = 0; i < unitCost.length; i++) {  
		 			 if ( unitCost[i].value==null ||  unitCost[i].value==""){  
		 				  unitCostText="Unit Cost can't be blank"; 
		                  valid =false;  
		                 } 
		 			}
	 			for(var i = 0; i < retail.length; i++) {  
		 			 if ( retail[i].value==null ||  retail[i].value==""){     
		 				  retailText="Retail can't be blank"; 
		                  valid =false;  
		                 } 
		 			}
	 			for(var i = 0; i < storeNumber.length; i++) {	  
		 			 if ( storeNumber[i].value==null ||  storeNumber[i].value==""){     
		 				  storeNumberText="Store can't be blank"; 
		                  valid =false;  
		                 } 
		 			}
	 			
	 			$('#tableInput table').each(function(){
				     //alert('hello');
	 			var tbl_UPC_1 = [];
				var custTable_1 = this;
				var rowLength_1 = custTable_1.rows.length-2  ;	
				
				for (i = 1; i <= rowLength_1; i++) {
				   
					var inputs_1 = custTable_1.rows.item(i).getElementsByTagName("input");
						//alert(i+'='+inputs_1[2].value);
						 tbl_UPC_1.push(inputs_1[2].value);
						
				}
				if(hasDuplicates(tbl_UPC_1)){
					//alert('hi');
					upcText_1="UPC can't be same into one table"; 
					valid =false;
					//break;
				}
	 		 });
	 	 		
	 			
	 			var storeNumber_1 = [];
	 			
	 			for(i=0;i<document.getElementsByName("storeNumber").length;i++)
	 			{
	 				 storeNumber_1.push(document.getElementsByName("storeNumber")[i].value);
	 		//	alert(document.getElementsByName("storeNumber")[i].value);
	 			if(hasDuplicates(storeNumber_1)){
					 storeDuplicates="Two or more stores can not be same "; 
					valid =false;
					//break;
				}
	 			}
	 			
	 			
			   if(valid==true)  { 			     
				var vendorPo = {}
				vendorPo["vendorId"] = $("#vendor").val();
				vendorPo["poNumber"] = $("#ponumber").val();
				vendorPo["repEmail"] = $("#repEmail").val();
				vendorPo["repPhoneNumber"] = $("#repPhoneNumber").val();
				vendorPo["terms"] = $("#terms").val();
				vendorPo["discountMethod"] = $("#discountMethod").val();
				vendorPo["discountPercentOnSubtotal"] = $("#discountPercentOnSubtotal").val();
				vendorPo["discountPercentOnEachProduct"] = $("#discountPercentOnEachProduct").val();
				vendorPo["orderDate"] = $("#orderDate").val();
				vendorPo["shipDate"] = $("#shipDate").val();
				vendorPo["cancelDate"] = $("#cancelDate").val();
				vendorPo["orderTotal"] = $("#orderTotal").val();
				vendorPo["finalTotal"] = $("#finalTotal").val();

				var formData = {};
				var tables = [];
				
		
				$('table.table').each(function(tableIndex, table){
					var trlist = [];
					var table = {};
					
					var tab = this;//table current object
					var rows = tab.rows;
					var rowsLen = rows.length;
		 			var tableCount = 0;
		 			
		 			
		 			console.log(tableIndex + "TABLE");
		 			
		 			var poobjs = [];
		 			var trdata = {};// for all row of indivisual table

		 			var actualInsertedRowsPerTable = calculateInsertedRows(rows);
		 			var displayRowsPerTable = rowsLen - 2;
		 			
					$(rows).each(function(rowIndex, tr){
						console.log(rowIndex + "TR");
						var postorevalue = "";
						// 0 index of tbody is for podetails row
						if(rowIndex != 0 && rowIndex < (rowsLen-1)) {
							//po_details_data
							var tdValueCounter = 0;	
							
							var podetail = [];
							var poobj = {};
							
		 		    		$(tr).find("td").each(function(tdIndex, td){
						 		//debugger;
						 		// skipping add and remove button of i.e. first td of tr 
										if(tdIndex > 0){
											var tdValue = "";
										 
											var element = $(td).html();

											if($(element).is('select')){

												tdValue = $(td).find('select').val();
											    tdValueCounter++;
											    poobj[$(td).find('select').attr('name')] = $(td).find('select').val();
											    
											} else if($(element).is('textarea')){

												tdValue = $(td).find('textarea').val();
												poobj[$(td).find('textarea').attr('name')] = $(td).find('textarea').val();
												tdValueCounter++;
												
											}else if($(element).is('input') ){

												tdValue = $(td).find('input').val(); 
												poobj[$(td).find('input').attr('name')] = $(td).find('input').val();
												tdValueCounter++;
												
											} 
											
											
										}
		 		    				//podetail.push(obj);		
			 		    		});
		 		    				poobjs.push(poobj);
		 		    			
						}
						// 0 index of tbody is for postore row
						if((rowsLen-1) == rowIndex) {
							
							// postore_data
							var postore = {};
			 		    	$(tr).find("td").each(function(tdIndex, td){
			 		    		debugger;
								if(tdIndex == 1) {
									var element = $(td).html();
									if($(element).is('select')){
										trdata["poStore"]  = $(td).children('select').val();// it give an array
									}
								}
						 	});
			 		    	
						}
					});
					
					trdata["poDetail"] = poobjs;
					trlist.push(trdata);
					
					table["tableSeqNo"] = tableIndex;
		 		 	table["tableData"]  = trlist;
		 		 	table["actualInsertedRowsPerTable"] = actualInsertedRowsPerTable;
		 		 	table["displayRowsPerTable"] = displayRowsPerTable; 
		 			tables.push(table);
					
				});
				debugger;
				formData["vendorPO"] = vendorPo;
		 		formData["tabledatas"] = tables;
		 		var hiddenJSONData = JSON.stringify(formData);
		 		$("#jsondata").val(hiddenJSONData);
		 		$('#serverForm').attr('action', 'saveNewPurchaseOrder');
		 		$('#serverForm').attr('method', 'post');
		 		$('#serverForm').submit();
		 		
			   }else
				   {				   
				   alert(ponumberText+"\n"+vendorText+"\n"+upcText+"\n"+packText+"\n" +quantityText+ "\n" +unitCostText+"\n" +retailText+"\n" +storeNumberText+"\n"+upcText_1+"\n"+storeDuplicates);
					  
				   }
		 	
	 		});	
	 		function calculateInsertedRows(rows){
		 		var rowsLen = rows.length;
		 		var insertedRowsPerTable = 0;
		 		$(rows).each(function(rowIndex, tr){
			 		if((rowsLen-1) == rowIndex){// only for poStoreIds

			 			$(tr).find("td").each(function(tdIndex, td){
		 		    		debugger;

							if(tdIndex == 1) {

								var element = $(td).html();

								if($(element).is('select')){

									var values = $(td).children('select').val();// it give an array

									if(values.length == 1 && rowsLen == 3)
									{
										insertedRowsPerTable = values.length;		
									} else if(values.length > 1 && (rowsLen-2) > 1 )
									{
										insertedRowsPerTable = (rowsLen - 2) * values.length;
									}
								}
							}
					 	});	
				 		
				 	}
		 		});
		 		return insertedRowsPerTable;
		 	}
	 	    
	 	       $("#removeBtn").hide();
		    $(document).on("click","#addBtn", function(){ 	    	
		    	  $("#removeBtn").show();
		            var rawHTML=$(this).parents("tr").clone();
		            rawHTML.find("input[type=number]").val(" ");
		            rawHTML.find("input[type=text]").val("");	            
		            rawHTML.insertAfter($(this).parents("tr"));		
		          
		         	
		    })
	    
		     $(document).on("click","#removeBtn", function(){ 	    	 		 
		    		 var rawHTMl=$(this).closest("tr").remove();	    		 
		    		// calculateOrderTotal();
		    		 calc();
		     })

			 $(document).on("click","#copyTable", function(){	
				  $("#removeBtn").show();
					 var rawHTMl=$(this).parents("table").clone().insertAfter($(this).parents("table"));						 	
				//	 calculateOrderTotal();		
					 calc();
			 })
		
			$(document).on("click","#deleteTable", function(){ 
					var rawHTMl=$(this).parents("table").remove();		
			     //   calculateOrderTotal();
					 calc();
					        
		    })		
		});
		
	 	$(document).on("change","#unitCost", function(){
	 		var ucost=$(this).val();
	 		alert("change unit cost :: " + ucost);
	 		var retailVal = $(this).closest("tr").find("#retail").val(); 
	 		if(ucost!=null && ucost!="" && retailVal!=null && retailVal!=""){
	 			if(retailVal==0){
	 				$(this).closest("tr").find("#gmPercent").val("0.00");
	 			}else{
	 				gmPercent=(retailVal-ucost)/retailVal;
		 			$(this).closest("tr").find("#gmPercent").val(gmPercent.toFixed(2));
	 			}
	 			
	 		}else{
	 			$(this).closest("tr").find("#gmPercent").val("");
	 		}
	 	});
	 	
	 	
	 	$(document).on("change","#retail", function(){
	 		var retailVal=$(this).val();
	 		alert("change Retail cost :: " + retailVal);
	 		var ucost = $(this).closest("tr").find("#unitCost").val(); 
	 		if(ucost!=null && ucost!="" && retailVal!=null && retailVal!=""){
	 			if(retailVal==0){
	 				$(this).closest("tr").find("#gmPercent").val("0.00");
	 			}else{
	 				gmPercent=(retailVal-ucost)/retailVal;
	 				
		 			$(this).closest("tr").find("#gmPercent").val(gmPercent.toFixed(2));
	 			}
	 			
	 		}else{
	 			$(this).closest("tr").find("#gmPercent").val("");
	 		}
	 	});
	 	
		function createArray(){	
		var tableSeqNo = 0;
		$('#tableInput table').each(function(){
			
			tableSeqNo = tableSeqNo + 1;
			var upcData=[];
			var itemGroupData=[];
			var itemGroupReplData=[];
			var itemGroupSpecData=[];
			var itemData=[];
			var descData=[];
			var packData=[];
			var cbmData=[];
			var unitData=[];
			var discData=[];			
			var retailData=[];
			var gmPercentData=[];
			var themesData=[];
			var batteriesData=[];
			var storeData=[];
			var detailedDescData=[];
			
		  	var custTable = this;
				var rowLength = custTable.rows.length;				
				for (i = 0; i < rowLength; i++) {
					var inputs = custTable.rows.item(i).getElementsByTagName("input");
					var inputslength = inputs.length;
					for (var j = 0; j < inputslength; j++) {
						switch(j){
						case 2:	upcData.push(inputs[j].value);
								break;		
						case 3:	itemData.push(inputs[j].value);
								break;
						case 4:	descData.push(inputs[j].value);
								break;
						case 5: packData.push(inputs[j].value);
								break;
						
					    case 6:cbmData.push(inputs[j].value);
						        break; 
						case 7:	unitData.push(inputs[j].value);
								break;	
				
						case 8:	discData.push(inputs[j].value);
								break;
						case 9:	retailData.push(inputs[j].value);
								break;
						case 10:gmPercentData.push(inputs[j].value);
								break;
					 
						}
					}
					
					var textAreas = custTable.rows.item(i).getElementsByTagName("textarea");
					var textAreasLength = textAreas.length;
					if(textAreasLength==1){
						detailedDescData.push(textAreas[0].value);
					}
					
					var selects = custTable.rows.item(i).getElementsByTagName("select");
					var selectsLength = selects.length;
					if(selectsLength>2){
						for (var j = 0; j < selectsLength; j++) {
							switch(j){
							case 0:	itemGroupData.push(selects[j].value);
									break;		
							case 1:	itemGroupReplData.push(selects[j].value);
									break;
							case 2:	itemGroupSpecData.push(selects[j].value);
									break;
							case 3: themesData.push(selects[j].value);
									break;
							case 4:	batteriesData.push(selects[j].value);
									break;	
							}
						}
					}else if(selectsLength==1){
						for(var k=0; k<selects[0].selectedOptions.length; k++){
							storeData.push(selects[0].selectedOptions[k].value);
						}
					}
					
				}
				$('#tableInput')
				.append('<input id="upcId" type="hidden" name="upc" path="upc" value="'+upcData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="itemGroupId" type="hidden" name="itemGroup" path="itemGroup" value="'+itemGroupData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="itemGroupReplId" type="hidden" name="itemGroupRepl" path="itemGroupRepl" value="'+itemGroupReplData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="itemGroupSpecId" type="hidden" name="itemGroupSpec" path="itemGroupSpec" value="'+itemGroupSpecData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="itemId" type="hidden" name="itemNumber" path="itemNumber" value="'+itemData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="descId" type="hidden" name="description" path="description" value="'+descData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="packId" type="hidden" name="pack" path="pack" value="'+packData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="cbmId" type="hidden" name="cbm" path="cbm" value="'+cbmData.map(String)+'"/>');		 
				$('#tableInput')
				.append('<input id="unitId" type="hidden" name="unitCost" path="unitCost" value="'+unitData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="discId" type="hidden" name="discountedCost" path="discountedCost" value="'+discData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="retailId" type="hidden" name="retail" path="retail" value="'+retailData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="gmPercentId" type="hidden" name="gmPercent" path="gmPercent" value="'+gmPercentData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="themesId" type="hidden" name="theme" path="theme" value="'+themesData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="batteriesIncludedId" type="hidden" name="batteriesIncluded" path="batteriesIncluded" value="'+batteriesData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="storeNumberId" type="hidden" name="storeNumber" path="storeNumber" value="'+storeData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="detailedDescriptionId" type="hidden" name="detailedDescription" path="detailedDescription" value="'+detailedDescData.map(String)+'"/>');
				$('#tableInput').append('<input id="tableSeqNo" type="hidden" name="tableSeqNo" path="tableSeqNo" value="'+tableSeqNo+'"/>');
			});		
		};

		
		function autoPopulate(value){
			var venId, repEmail, repPhone, venTerms, discOption, discPrcntOnSubtotal, discPrcntOnEachProd;
			var arr = value.split(",");
			for(var i=0;i<arr.length;i++){
				 switch(i){
					 case 1: $('#repEmail').val(arr[i]);
					 break;					 
					 case 2: $('#repPhoneNumber').val(arr[i]);
					 break;					 
					 case 3: $('#terms').val(arr[i]);
					 break;					 
					 case 4: $('#discountMethod').val(arr[i]);
					 break;					 
					 case 5: $('#discountPercentOnSubtotal').val(arr[i]);
					 break;					 
					 case 6: $('#discountPercentOnEachProduct').val(arr[i]);
					 break;
				 }
			 }
		};
		
		function calc(){
			debugger;
		    var discOnPerProd = $('#discountPercentOnEachProduct').val();
		    var discOnSub=$('#discountPercentOnSubtotal').val();
		    var total_rw_all = 0;
		    var total_rw_all1 = 0;
			 $('#tableInput table').each(function(){
			     total_rw_all1 = 0;
			 //alert(this.length);
			var custTable = this;
			var rowLength = custTable.rows.length-2;	
			
			for (i = 1; i <= rowLength; i++) {
			    //alert(rowLength);
				var inputs = custTable.rows.item(i).getElementsByTagName("input");
				var inputslength = inputs.length;
				var total_rw = 0;
				
				var var_pack = 0, var_qt = 0, var_uc = 0;
				for (var j = 0; j < inputslength; j++) {
				   // alert(var_pack);
					switch(j){	
					case 5: if(inputs[j].value != null && inputs[j].value  != ''){
					    var_pack=parseFloat(inputs[j].value);
					}else{
					    var_pack=0;
					}
					break;
					case 6: if(inputs[j].value != null && inputs[j].value  != ''){      
					    var_qt=parseFloat(inputs[j].value);
					}else{
					    var_qt=0;
					}
					break;
					case 8: if(inputs[j].value != null && inputs[j].value  != ''){
					    var_uc=parseFloat(inputs[j].value);
					}else{
					    var_uc=0;
					}
					break;					    
					}
					
				}
				if(discOnPerProd!= null && discOnPerProd!=''&& discOnPerProd!=0){
				    
				    if(var_pack!=0 && var_qt!=0 && var_uc!=0){
					    total_rw = (var_pack * var_qt * var_uc)-(discOnPerProd * var_pack * var_qt * var_uc);
					}
					else if(var_pack==0 && var_qt==0 && var_uc==0){
					    total_rw = 0;
					}
					else if(var_pack==0 && var_qt!=0 && var_uc!=0){
					    
					    total_rw = (var_qt * var_uc)-(discOnPerProd * var_qt * var_uc);
					}
					else if(var_pack==0 && var_qt==0 && var_uc!=0){
					   
					    total_rw = (var_uc)-(discOnPerProd * var_uc);
					}
					else if(var_pack!=0 && var_qt==0 && var_uc!=0){
					
					    total_rw = (var_pack * var_uc)-(discOnPerProd * var_pack * var_uc);
					}
					else if(var_pack!=0 && var_qt!=0 && var_uc==0){
					 
					    total_rw = (var_pack * var_qt)-(discOnPerProd * var_pack * var_qt);
					}
					else if(var_pack!=0 && var_qt==0 && var_uc==0){
					  
					    total_rw = (var_pack)-(discOnPerProd * var_pack);
					}
					else if(var_pack==0 && var_qt!=0 && var_uc==0){
					 
					    total_rw = (var_qt)-(discOnPerProd * var_qt);
					}
				}
				else{
				    
				    if(var_pack!=0 && var_qt!=0 && var_uc!=0){
					    total_rw = (var_pack * var_qt * var_uc);
					}
					else if(var_pack==0 && var_qt==0 && var_uc==0){
					    total_rw = 0;
					}
					else if(var_pack==0 && var_qt!=0 && var_uc!=0){
					   
					    total_rw = (var_qt * var_uc);
					}
					else if(var_pack==0 && var_qt==0 && var_uc!=0){
					    
					    total_rw = (var_uc);
					}
					else if(var_pack!=0 && var_qt==0 && var_uc!=0){
					
					    total_rw = (var_pack * var_uc);
					}
					else if(var_pack!=0 && var_qt!=0 && var_uc==0){
					   total_rw = (var_pack * var_qt);
					}
					else if(var_pack!=0 && var_qt==0 && var_uc==0){
					   total_rw = (var_pack);
					}
					else if(var_pack==0 && var_qt!=0 && var_uc==0){
					  total_rw = (var_qt);
					}
				}
				
					//alert(total_rw);
					inputs[9].value = total_rw;
				//alert(total_rw);
				 total_rw_all1 +=total_rw;
					
				//total_rw_all =
				
			}
			total_rw_all +=total_rw_all1;
		
		});   
		
		           $('#orderTotal').val(total_rw_all);
				   // $('#finalTotal').val(total_rw_all); 
				    
				    
					if(discOnSub != null && discOnSub != ''){
						var finTotal = total_rw_all - (discOnSub * total_rw_all);
						$('#finalTotal').val(finTotal.toFixed(2));
					}else{
					    
						$('#finalTotal').val(total_rw_all);
					}
				
			   
		}
		
		$(document).on("change", "#pack, #quantity, #unitCost, #vendor", function () {
		    calc();
		});
		
		
		

		
		function calculateExtendedCostAll() {
			var discOnPerProd = $('#discountPercentOnEachProduct').val();
			$('#tableInput table').each(function () {
				var custTable = this;
				var rowLength = custTable.rows.length;
				for (i = 0; i < rowLength; i++) {
					var packValue;
					var ucost;
					var quantityValue;
					var inputs = custTable.rows.item(i).getElementsByTagName("input");
					var inputslength = inputs.length;
					for (var j = 0; j < inputslength; j++) {						

						switch (j) {
							case 5:
								packValue = inputs[j].value;
								break;
							case 6:
							    quantityValue = inputs[j].value;
								break;
							case 8:
								ucost = inputs[j].value;
								break;
							case 9:	
									if (packValue != null && packValue != "" && packValue !=0 && ucost != null && ucost != "" && ucost !=0 && quantityValue != null && quantityValue != "" && quantityValue !=0) {
										//var extndCost = (ucost * packValue) - ((discOnPerProd * ucost) * packValue);
										var extndCost = (ucost * packValue * quantityValue)-(discOnPerProd * ucost * packValue * quantityValue);
										inputs[j].value=extndCost.toFixed(2);
									}
							     else {
									inputs[j].value="0.00";
								}
						}
					}
				}
			})
			
		};
		
		
		
	
		
		$(document).on("change", "#itemGroup", function () {
			var optionValue=$(this).val();
			$(this).html($(this).html().replace('selected="selected"',''));
			$(this).find("option[value='" + optionValue + "']").attr("selected","selected");
		});		
		
		$(document).on("change", "#itemGroupRepl", function () {
			var optionValue=$(this).val();
			$(this).html($(this).html().replace('selected="selected"',''));
			$(this).find("option[value='" + optionValue + "']").attr("selected","selected");
		});
		
		$(document).on("change", "#itemGroupSpec", function () {
			var optionValue=$(this).val();
			$(this).html($(this).html().replace('selected="selected"',''));
			$(this).find("option[value='" + optionValue + "']").attr("selected","selected");
		});

		function isNumberKey(evt)
		{
		   var charCode = (evt.which) ? evt.which : evt.keyCode;
		   if (charCode < 48 || charCode > 57)
		      return false;	
		   return true;
		};
	</script>
    

</body>

</html>