<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

<!DOCTYPE html>
<html>
<head>
<title>BannersHallmark | Add Purchase Order</title>
<style type="text/css">
select {
	width: 170px;
}
</style>
</head>
<body>

	<!-- Content Header (Page header) -->
	<section class="content-header">
		<h1>Add Purchase Order</h1>
	</section>

	<!-- Main content -->
	<section class="content">
		<div class="row">
			<div class="box box-info">
				<div class="overlay" id="loading_overlay" style="display: none;">
					<i class="fa fa-refresh fa-spin"></i>
				</div>
				<div class="container">
					<!-- Horizontal Form -->
					<form:form class="form-horizontals" method="post" id="user_form"
						name="user_form" modelAttribute="vendorPO">
						<!-- onsubmit="createArray()"> -->
						<div class="container">
							<div class="row centered-form">
								<div class="col-xs-12 col-sm-12 col-md-12">
									<div class="panel panel-default">
										<!-- <div class="panel-heading">
                                        <h3 class="panel-title">Edit Admin Role </h3>
                                    </div> -->
										<div class="panel-body" style="overflow: auto;">
											<div class="row">
												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="ponumber">PO Number</label>
														</div>
													 
														<div class="form-group">
															<form:input type="text" maxlength="20" name="ponumber"
																id="ponumber" path="poNumber" class="form-control"
																placeholder="PO Number" value="" required="true" />
														</div>
													</div>
												</div>
												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="vendor">Vendor</label>
														</div>
													 
														<div class="form-group">
															<form:select type="text" name="vendor" id="vendor"
																path="vendorId" class="form-control"
																placeholder="Vendor" value="" required="true"
																onchange="autoPopulate(this.value)">
																<form:option value="">--Select Vendor--</form:option>
																<c:forEach items="${vendors}" var="vendor">
																	<form:option
																		value="${vendor.id},${vendor.repEmail},${vendor.repPhoneNumber},${vendor.paymentTermsName},${vendor.discountOptions},${vendor.discountPercentOnSubtotal},${vendor.discountPercentOnEachProduct}">${vendor.vendorName}</form:option>
																</c:forEach>
															</form:select>
														</div>
													</div>
												</div>
											</div>

											<!-- start -->

											<div class="row">
												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="repEmail">Rep Email</label>
														</div>
													 
														<div class="form-group">
															<form:input type="repEmail" name="repEmail" id="repEmail"
																path="repEmail" class="form-control"
																placeholder="Rep Email" value="" readonly="true" />
														</div>
													</div>
												</div>

												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="repPhoneNumber">Rep Phone Number</label>
														</div>
													 
														<div class="form-group">
															<form:input type="number" name="repPhoneNumber"
																id="repPhoneNumber" path="repPhoneNumber"
																class="form-control" placeholder="Rep Phone Number"
																value="" readonly="true" />
														</div>
													</div>
												</div>
												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="terms">Terms</label>
														</div>
													 
														<div class="form-group">
															<form:input type="text" name="terms" id="terms"
																path="terms" class="form-control" placeholder="Terms"
																value="" readonly="true" />
														</div>
													</div>
												</div>
											</div>

											<!-- start -->
											<div class="row">
												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="discountMethod">Discount Method</label>
														</div>
													 
														<div class="form-group">
															<form:input type="text" name="discountMethod"
																id="discountMethod" path="discountMethod"
																class="form-control" placeholder="Discount Method"
																value="" readonly="true" />
														</div>
													</div>
												</div>
												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="discountPercentOnSubtotal">Discount
																Percent On Subtotal</label>
														</div>
													 
														<div class="form-group">
															<form:input type="number"
																name="discountPercentOnSubtotal"
																id="discountPercentOnSubtotal"
																path="discountPercentOnSubtotal" class="form-control"
																placeholder="Discount Percent On Subtotal" value=""
																readonly="true" />
														</div>
													</div>
												</div>
												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="discountPercentOnEachProduct">Discount
																Percent On Each Product</label>
														</div>
													 
														<div class="form-group">
															<form:input type="number"
																name="discountPercentOnEachProduct"
																id="discountPercentOnEachProduct"
																path="discountPercentOnEachProduct" class="form-control"
																placeholder="Discount Percent On Each Product" value=""
																readonly="true" />
														</div>
													</div>
												</div>
											</div>

											<!--  start -->
											<div class="row">
												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="orderDate">Order Date</label>
														</div>
													 
														<div class="form-group">
															<form:input type="date" name="orderDate" id="orderDate"
																path="orderDate" class="form-control"
																  placeholder="Order Date"
																value="" required="true" />
														</div>
													</div>
												</div>
												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="shipDate">Ship Date</label>
														</div>
													 
														<div class="form-group">
															<form:input type="date" name="shipDate" id="shipDate"
																  path="shipDate"
																class="form-control" placeholder="Ship Date" value=""
																required="true" />
														</div>
													</div>
												</div>
												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="cancelDate">Cancel Date</label>
														</div>
													 
														<div class="form-group">
															<form:input type="date" name="cancelDate" id="cancelDate"
																  path="cancelDate"
																class="form-control" placeholder="Cancel Date" value=""
																required="true" />
														</div>
													</div>
												</div>
											</div>
											<!-- start -->
											<div class="row">
												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="orderTotal">Order Total</label>
														</div>
													 
														<div class="form-group">
															<form:input type="number" name="orderTotal"
																id="orderTotal" path="orderTotal" step="0.01"
																class="form-control" placeholder="Order Total" value=""
																required="true" readonly="true" />
														</div>
													</div>
												</div>

												<div class="col-4">
													<div class="col-xs-12 col-sm-12 col-md-4">
														<div class="form-group">
															<label for="finalTotal">Final Total</label>
														</div>
													 
														<div class="form-group">
															<form:input type="number" name="finalTotal"
																id="finalTotal" path="finalTotal" step="0.01"
																class="form-control" placeholder="Final Total" value=""
																required="true" readonly="true" />
														</div>
													</div>
												</div>




												<div id="tableInput">

													<table class="table no-margin" tableSeqNo="1">
														<thead>
															<tr>

																<td width="10%">
																	<div class="col-xs-12 col-sm-12 col-md-1">
																		<div class="form-group">
																			<label for="row">Row</label>
																		</div>

																	</div>
																</td>


																<td>
																	<div class="col-xs-12 col-sm-12 col-md-1">
																		<div class="form-group">
																			<label for="upc">UPC</label>
																		</div>
																	</div>
																</td>
																<td>
																	<div class="col-xs-12 col-sm-12 col-md-1">
																		<div class="form-group">
																			<label for="itemGroup">Item Group</label>
																		</div>
																	</div>
																</td>
																<td>
																	<div class="col-xs-12 col-sm-12 col-md-1">
																		<div class="form-group">
																			<label for="itemGroupRepl">Item Group Repl</label>
																		</div>
																	</div>
																</td>
																<td>
																	<div class="col-xs-12 col-sm-12 col-md-1">
																		<div class="form-group">
																			<label for="itemGroupSpec">Item Group Spec</label>
																		</div>
																	</div>
																</td>
																<td>
																	<div class="col-xs-12 col-sm-12 col-md-1">
																		<div class="form-group">
																			<label for="itemNumber">Item Number</label>
																		</div>
																	</div>
																</td>
																<td>
																	<div class="col-xs-12 col-sm-12 col-md-1">
																		<div class="form-group">
																			<label for="description">Description</label>
																		</div>
																	</div>
																</td>
																<td>
																	<div class="col-xs-12 col-sm-12 col-md-1">
																		<div class="form-group">
																			<label for="pack">Pack</label>
																		</div>
																	</div>
																</td>

																<td>
																	<div class="col-xs-12 col-sm-12 col-md-1">
																		<div class="form-group">
																			<label for="cbm">Quantity</label>
																		</div>
																	</div>
																</td>
																<td>
																	<div class="col-xs-12 col-sm-12 col-md-1">
																		<div class="form-group">
																			<label for="cbm">CBM</label>
																		</div>
																	</div>
																</td>

																<td>
																	<div class="col-xs-12 col-sm-12 col-md-1">
																		<div class="form-group">
																			<label for="unitCost">Unit Cost</label>
																		</div>
																	</div>
																</td>
																<td>
																	<div class="col-xs-12 col-sm-12 col-md-1">
																		<div class="form-group">
																			<label for="discountedCost">Extended Cost</label>
																		</div>
																	</div>
																</td>
																<td>
																	<div class="col-xs-12 col-sm-12 col-md-1">
																		<div class="form-group">
																			<label for="retail">Retail</label>
																		</div>
																	</div>
																</td>
																<td>
																	<div class="col-xs-12 col-sm-12 col-md-1">
																		<div class="form-group">
																			<label for="gmPercent">GM(%)</label>
																		</div>
																	</div>
																</td>
																<!-- 
																<td>
																	<div class="col-xs-12 col-sm-12 col-md-1">
																		<div class="form-group">
																			<label for="themes">Themes</label>
																		</div>
																	</div>
																</td>
																<td>
																	<div class="col-xs-12 col-sm-12 col-md-1">
																		<div class="form-group">
																			<label for="batteriesIncluded">Batteries
																				Included</label>
																		</div>
																	</div>
																</td>
																<td>
																	<div class="col-xs-12 col-sm-12 col-md-1">
																		<div class="form-group">
																			<label for="batteriesIncluded">Detailed Description</label>
																		</div>
																	</div>
																</td>
																 -->
															</tr>
														</thead>
														<!-- Start tbody -->
														<tbody class="add_content">

															<tr class="control-group" id="control-group">
																<td>
																	<div>

																		<input id="addBtn" type="button"
																			style="background-color: green;width:30px;" value="+" /> <input
																			id="removeBtn" type="button"
																			style="background-color: red;width:30px;" value="-" />

																	</div> <!--     <a id="removeButton"	 class="btn btn-danger btn-sm" name="remove" >Remove </a>	 
												  
												              <a  id="addButton" class="btn btn-primary  btn-sm" name="add"  >Add</a> -->

																</td>




																<td ><input type="text" maxlength="30" name="upc"
																	id="upc" required size="15" /></td>
																<td><select name="itemGroup" id="itemGroup"
																	required>

																		<option value=""></option>
																		<c:forEach items="${itemGroups}" var="item">
																			<c:if test="${item.itemGroup}">
																				<option value="${item.id}">${item.name}</option>
																			</c:if>
																		</c:forEach>
																</select> <a 
																	href="${pageContext.request.contextPath}/itemGroup/itemGroups"><span style="font-size:11px;">Quick
																			Edit</span> </a></td>
																<td><select name="itemGroupRepl" id="itemGroupRepl"
																	required>

																		<option value=""></option>
																		<c:forEach items="${itemGroups}" var="item">
																			<c:if test="${item.itemGroupRepl}">
																				<option value="${item.id}">${item.name}</option>
																			</c:if>
																		</c:forEach>
																</select> <a 
																	href="${pageContext.request.contextPath}/itemGroup/itemGroups"><span style="font-size:11px;">Quick
																			Edit</span> </a></td>
																<td><select name="itemGroupSpec" id="itemGroupSpec"
																	required>

																		<option value=""></option>
																		<c:forEach items="${itemGroups}" var="item">
																			<c:if test="${item.itemGroupSpec}">
																				<option value="${item.id}">${item.name}</option>
																			</c:if>
																		</c:forEach>
																</select> <a
																	href="${pageContext.request.contextPath}/itemGroup/itemGroups"><span style="font-size:11px;">Quick
																			Edit</span> </a></td>
																<td><input type="text" maxlength="100"
																	name="itemNumber" id="itemNumber" size="25" /></td>
																<td><input type="text" maxlength="250"
																	name="description" id="description" size="25"></td>
																<td><input type="number" name="pack" size="7"
																	min="0" max="1000000" id="pack"
																	onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"
																	required></td>

																<%-- <td><input type="number" name="quantity" min="1" id="quantity" step="1" pattern=" 0+\.[0-9]*[1-9][0-9]*$" onkeypress="return event.charCode >= 48 && event.charCode <= 57"  required size="7"></td>
																 --%>
																<td><input type="number" min="1" max="1000000"
																	name="quantity" id="quantity" size="7"
																	onkeypress="return isNumberKey(event)"></td>

																<td><input type="text" name="cbm" id="cbm"
																	size="11">
																</td>

																<td><input type="number" name="unitCost"
																	id="unitCost" min="0" max="10000000000" required
																	size="7"
																	onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"></td>
																<td><input type="number" name="discountedCost"
																	min="0" style="background-color: #eee;"
																	id="discountedCost" required size="12" readonly></td>
																<td><input type="number" min="0" max="10000000000"
																	name="retail" id="retail"
																	onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"
																	required size="7"></td>
																<td><input type="number" name="gmPercent"
																	style="background-color: #eee;" id="gmPercent" required
																	size="7" readonly></td>
																<!-- 	
																<td><select name="theme" id="theme" required>
																		<option value=""></option>
																		<option value="Star">Star</option>
																		<option value="Supporting">Supporting</option>
																		<option value="Extra">Extra</option>
																</select></td>
																<td><select name="batteriesIncluded"
																	id="batteriesIncluded" required>
																		<option value=""></option>
																		<option value="true">True</option>
																		<option value="false">False</option>
																</select></td>
																<td><textarea name="detailedDescription" rows="1" cols="5"
																	id="detailedDescription" required></textarea></td> -->

															</tr>

														</tbody>
														<!-- End tbody -->
														<tbody>

															<tr>

																<td>

																	<div class="form-group">
																		<label>Assign_To_Store</label>
																	</div>

																</td>
																<td><select name="storeNumber" id="storeNumber"
																	class="form-control" required="true">

																		<c:forEach items="${stores}" var="store">
																			<option value="${store.id}">${store.store}</option>
																		</c:forEach>
																</select></td>
																<td colspan="3" align="center">
																	<!--  <button type="button" id="addButton" class="btn btn-primary btn-sm" name="add" style="font-size: 11px;" >Add Row</button>
												             <button type="button" id="removeButton"	 class="btn btn-danger btn-sm" name="remove" style="font-size: 11px;">Remove Row</button>				
												             -->
																	<button type="button" id="copyTable"
																		class="btn btn-primary btn-sm" name="copy"
																		style="font-size: 11px;">Copy Table</button>
																	<button type="button" id="deleteTable"
																		class="btn btn-danger btn-sm" name="delete"
																		style="font-size: 11px;">Delete Table</button>
																</td>
															</tr>
														</tbody>
														</tbody>
													</table>

												</div>

											</div>
											<div class="box-footer">
												<a
													href="${pageContext.request.contextPath}/purchaseOrder/purchaseOrders"
													class="btn btn-warning">Cancel / Back</a>
												<button type="button" id="saveForm"
													class="btn btn-info pull-right">Save</button>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
						<!-- /.box-body -->
					</form:form>

				</div>
				<!-- /.box -->

				<!-- 
					Below form is used to set json data into hidden input to send server 
				 -->
				<form id="serverForm">
					<input type="hidden" id="jsondata" name="jsondata" value="">
				</form>
			</div>
		</div>
	</section>


	<script type="text/javascript">
//action="addNewPurchaseOrder"

function hasDuplicates(array) {
    return (new Set(array)).size !== array.length;
}


	 	$(document).ready(function() {

	 		//var upc = $(this).closest("tr").find("#upc").val(); 	     
	 		$("#saveForm").on('click', function(){	
	 			
	 		 	 valid = true;
	 			
	 		    var ponumber=$("#ponumber").val();
	 			var vendor=$("#vendor").val();
	 			
	 			ponumberText="";
	 			vendorText="";
	 			
	 			
	 			 if (ponumber==null ||  ponumber==""){  
	 				ponumberText="PO Number can't be blank"; 
	                  valid =false;  
	                 } 
	 			
	 		    if ( vendor==null ||  vendor==""){  
	 		    	vendorText="Vendor can't be blank"; 
                 valid =false;  
                } 
		
	 			 upcText ="";
	 			 packText =""; 
	 			 quantityText ="";	
	 			 unitCostText = "";
	 			 retailText = "";
	 			 storeNumberText = "";	
	 			 upcText_1 = "";
	 			storeDuplicates="";
	 			 
	 			var upc = document.querySelectorAll("[id='upc']");	
	 			var pack = document.querySelectorAll("[id='pack']");
	 			var quantity = document.querySelectorAll("[id='quantity']");	
	 			var unitCost = document.querySelectorAll("[id='unitCost']");
	 			var retail = document.querySelectorAll("[id='retail']");
	 			var storeNumber=document.querySelectorAll("[id='storeNumber']");

	 			for(var i = 0; i < upc.length; i++) {
	 			 if ( upc[i].value==null ||  upc[i].value==""){     
	 				  upcText="UPC can't be blank" ;
	                  valid =false;  
	                 } 
	 			}
	 			for(var i = 0; i < pack.length; i++) {	  
		 			 if ( pack[i].value==null ||  pack[i].value==""){    
		 				  packText="Pack can't be blank" ;
		                  valid =false;  
		                 } 
		 			}
	 			for(var i = 0; i < quantity.length; i++) {	  
		 			 if ( quantity[i].value==null ||  quantity[i].value==""){   
			 			  quantityText="Quantity can't be blank"; 
		                  valid =false;  
		                 } 
		 			}
	 			for(var i = 0; i < unitCost.length; i++) {  
		 			 if ( unitCost[i].value==null ||  unitCost[i].value==""){  
		 				  unitCostText="Unit Cost can't be blank"; 
		                  valid =false;  
		                 } 
		 			}
	 			for(var i = 0; i < retail.length; i++) {  
		 			 if ( retail[i].value==null ||  retail[i].value==""){     
		 				  retailText="Retail can't be blank"; 
		                  valid =false;  
		                 } 
		 			}
	 			for(var i = 0; i < storeNumber.length; i++) {	  
		 			 if ( storeNumber[i].value==null ||  storeNumber[i].value==""){     
		 				  storeNumberText="Store can't be blank"; 
		                  valid =false;  
		                 } 
		 			}
	 			
	 			$('#tableInput table').each(function(){
				     //alert('hello');
	 			var tbl_UPC_1 = [];
				var custTable_1 = this;
				var rowLength_1 = custTable_1.rows.length-2  ;	
				
				for (i = 1; i <= rowLength_1; i++) {
				   
					var inputs_1 = custTable_1.rows.item(i).getElementsByTagName("input");
						//alert(i+'='+inputs_1[2].value);
						 tbl_UPC_1.push(inputs_1[2].value);
						
				}
				if(hasDuplicates(tbl_UPC_1)){
					//alert('hi');
					upcText_1="UPC can't be same into one table"; 
					valid =false;
					//break;
				}
	 		 });
	 	 		
	 			
	 			var storeNumber_1 = [];
	 			
	 			for(i=0;i<document.getElementsByName("storeNumber").length;i++)
	 			{
	 				 storeNumber_1.push(document.getElementsByName("storeNumber")[i].value);
	 		//	alert(document.getElementsByName("storeNumber")[i].value);
	 			if(hasDuplicates(storeNumber_1)){
					 storeDuplicates="Two or more stores can not be same "; 
					valid =false;
					//break;
				}
	 			}
	 			
	 			
			   if(valid==true)  { 			     
				var vendorPo = {}
				vendorPo["vendorId"] = $("#vendor").val();
				vendorPo["poNumber"] = $("#ponumber").val();
				vendorPo["repEmail"] = $("#repEmail").val();
				vendorPo["repPhoneNumber"] = $("#repPhoneNumber").val();
				vendorPo["terms"] = $("#terms").val();
				vendorPo["discountMethod"] = $("#discountMethod").val();
				vendorPo["discountPercentOnSubtotal"] = $("#discountPercentOnSubtotal").val();
				vendorPo["discountPercentOnEachProduct"] = $("#discountPercentOnEachProduct").val();
				vendorPo["orderDate"] = $("#orderDate").val();
				vendorPo["shipDate"] = $("#shipDate").val();
				vendorPo["cancelDate"] = $("#cancelDate").val();
				vendorPo["orderTotal"] = $("#orderTotal").val();
				vendorPo["finalTotal"] = $("#finalTotal").val();

				var formData = {};
				var tables = [];
				
		
				$('table.table').each(function(tableIndex, table){
					var trlist = [];
					var table = {};
					
					var tab = this;//table current object
					var rows = tab.rows;
					var rowsLen = rows.length;
		 			var tableCount = 0;
		 			
		 			
		 			console.log(tableIndex + "TABLE");
		 			
		 			var poobjs = [];
		 			var trdata = {};// for all row of indivisual table

		 			var actualInsertedRowsPerTable = calculateInsertedRows(rows);
		 			var displayRowsPerTable = rowsLen - 2;
		 			
					$(rows).each(function(rowIndex, tr){
						console.log(rowIndex + "TR");
						var postorevalue = "";
						// 0 index of tbody is for podetails row
						if(rowIndex != 0 && rowIndex < (rowsLen-1)) {
							//po_details_data
							var tdValueCounter = 0;	
							
							var podetail = [];
							var poobj = {};
							
		 		    		$(tr).find("td").each(function(tdIndex, td){
						 		//debugger;
						 		// skipping add and remove button of i.e. first td of tr 
										if(tdIndex > 0){
											var tdValue = "";
										 
											var element = $(td).html();

											if($(element).is('select')){

												tdValue = $(td).find('select').val();
											    tdValueCounter++;
											    poobj[$(td).find('select').attr('name')] = $(td).find('select').val();
											    
											} else if($(element).is('textarea')){

												tdValue = $(td).find('textarea').val();
												poobj[$(td).find('textarea').attr('name')] = $(td).find('textarea').val();
												tdValueCounter++;
												
											}else if($(element).is('input') ){

												tdValue = $(td).find('input').val(); 
												poobj[$(td).find('input').attr('name')] = $(td).find('input').val();
												tdValueCounter++;
												
											} 
											
											
										}
		 		    				//podetail.push(obj);		
			 		    		});
		 		    				poobjs.push(poobj);
		 		    			
						}
						// 0 index of tbody is for postore row
						if((rowsLen-1) == rowIndex) {
							
							// postore_data
							var postore = {};
			 		    	$(tr).find("td").each(function(tdIndex, td){
			 		    		debugger;
								if(tdIndex == 1) {
									var element = $(td).html();
									if($(element).is('select')){
										trdata["poStore"]  = $(td).children('select').val();// it give an array
									}
								}
						 	});
			 		    	
						}
					});
					
					trdata["poDetail"] = poobjs;
					trlist.push(trdata);
					
					table["tableSeqNo"] = tableIndex;
		 		 	table["tableData"]  = trlist;
		 		 	table["actualInsertedRowsPerTable"] = actualInsertedRowsPerTable;
		 		 	table["displayRowsPerTable"] = displayRowsPerTable; 
		 			tables.push(table);
					
				});
				debugger;
				formData["vendorPO"] = vendorPo;
		 		formData["tabledatas"] = tables;
		 		var hiddenJSONData = JSON.stringify(formData);
		 		$("#jsondata").val(hiddenJSONData);
		 		$('#serverForm').attr('action', 'saveNewPurchaseOrder');
		 		$('#serverForm').attr('method', 'post');
		 		$('#serverForm').submit();
		 		
			   }else
				   {				   
				   alert(ponumberText+"\n"+vendorText+"\n"+upcText+"\n"+packText+"\n" +quantityText+ "\n" +unitCostText+"\n" +retailText+"\n" +storeNumberText+"\n"+upcText_1+"\n"+storeDuplicates);
					  
				   }
		 	
	 		});	
	 		function calculateInsertedRows(rows){
		 		var rowsLen = rows.length;
		 		var insertedRowsPerTable = 0;
		 		$(rows).each(function(rowIndex, tr){
			 		if((rowsLen-1) == rowIndex){// only for poStoreIds

			 			$(tr).find("td").each(function(tdIndex, td){
		 		    		debugger;

							if(tdIndex == 1) {

								var element = $(td).html();

								if($(element).is('select')){

									var values = $(td).children('select').val();// it give an array

									if(values.length == 1 && rowsLen == 3)
									{
										insertedRowsPerTable = values.length;		
									} else if(values.length > 1 && (rowsLen-2) > 1 )
									{
										insertedRowsPerTable = (rowsLen - 2) * values.length;
									}
								}
							}
					 	});	
				 		
				 	}
		 		});
		 		return insertedRowsPerTable;
		 	}
	 	    
	 	       $("#removeBtn").hide();
		    $(document).on("click","#addBtn", function(){ 	    	
		    	  $("#removeBtn").show();
		            var rawHTML=$(this).parents("tr").clone();
		            rawHTML.find("input[type=number]").val(" ");
		            rawHTML.find("input[type=text]").val("");	            
		            rawHTML.insertAfter($(this).parents("tr"));		
		          
		         	
		    })
	    
		     $(document).on("click","#removeBtn", function(){ 	    	 		 
		    		 var rawHTMl=$(this).closest("tr").remove();	    		 
		    		// calculateOrderTotal();
		    		 calc();
		     })

			 $(document).on("click","#copyTable", function(){	
				  $("#removeBtn").show();
					 var rawHTMl=$(this).parents("table").clone().insertAfter($(this).parents("table"));						 	
				//	 calculateOrderTotal();		
					 calc();
			 })
		
			$(document).on("click","#deleteTable", function(){ 
					var rawHTMl=$(this).parents("table").remove();		
			     //   calculateOrderTotal();
					 calc();
					        
		    })		
		});
		
	 	$(document).on("change","#unitCost", function(){
	 		var ucost=$(this).val();
	 		var retailVal = $(this).closest("tr").find("#retail").val(); 
	 		if(ucost!=null && ucost!="" && retailVal!=null && retailVal!=""){
	 			if(retailVal==0){
	 				$(this).closest("tr").find("#gmPercent").val("0.00");
	 			}else{
	 				gmPercent=(retailVal-ucost)/retailVal;
		 			$(this).closest("tr").find("#gmPercent").val(gmPercent.toFixed(2));
	 			}
	 			
	 		}else{
	 			$(this).closest("tr").find("#gmPercent").val("");
	 		}
	 	});
	 	
	 	
	 	$(document).on("change","#retail", function(){
	 		var retailVal=$(this).val();
	 		var ucost = $(this).closest("tr").find("#unitCost").val(); 
	 		if(ucost!=null && ucost!="" && retailVal!=null && retailVal!=""){
	 			if(retailVal==0){
	 				$(this).closest("tr").find("#gmPercent").val("0.00");
	 			}else{
	 				gmPercent=(retailVal-ucost)/retailVal;
	 				
		 			$(this).closest("tr").find("#gmPercent").val(gmPercent.toFixed(2));
	 			}
	 			
	 		}else{
	 			$(this).closest("tr").find("#gmPercent").val("");
	 		}
	 	});
	 	
		function createArray(){	
		var tableSeqNo = 0;
		$('#tableInput table').each(function(){
			
			tableSeqNo = tableSeqNo + 1;
			var upcData=[];
			var itemGroupData=[];
			var itemGroupReplData=[];
			var itemGroupSpecData=[];
			var itemData=[];
			var descData=[];
			var packData=[];
			var cbmData=[];
			var unitData=[];
			var discData=[];			
			var retailData=[];
			var gmPercentData=[];
			var themesData=[];
			var batteriesData=[];
			var storeData=[];
			var detailedDescData=[];
			
		  	var custTable = this;
				var rowLength = custTable.rows.length;				
				for (i = 0; i < rowLength; i++) {
					var inputs = custTable.rows.item(i).getElementsByTagName("input");
					var inputslength = inputs.length;
					for (var j = 0; j < inputslength; j++) {
						switch(j){
						case 2:	upcData.push(inputs[j].value);
								break;		
						case 3:	itemData.push(inputs[j].value);
								break;
						case 4:	descData.push(inputs[j].value);
								break;
						case 5: packData.push(inputs[j].value);
								break;
						
					    case 6:cbmData.push(inputs[j].value);
						        break; 
						case 7:	unitData.push(inputs[j].value);
								break;	
				
						case 8:	discData.push(inputs[j].value);
								break;
						case 9:	retailData.push(inputs[j].value);
								break;
						case 10:gmPercentData.push(inputs[j].value);
								break;
					 
						}
					}
					
					var textAreas = custTable.rows.item(i).getElementsByTagName("textarea");
					var textAreasLength = textAreas.length;
					if(textAreasLength==1){
						detailedDescData.push(textAreas[0].value);
					}
					
					var selects = custTable.rows.item(i).getElementsByTagName("select");
					var selectsLength = selects.length;
					if(selectsLength>2){
						for (var j = 0; j < selectsLength; j++) {
							switch(j){
							case 0:	itemGroupData.push(selects[j].value);
									break;		
							case 1:	itemGroupReplData.push(selects[j].value);
									break;
							case 2:	itemGroupSpecData.push(selects[j].value);
									break;
							case 3: themesData.push(selects[j].value);
									break;
							case 4:	batteriesData.push(selects[j].value);
									break;	
							}
						}
					}else if(selectsLength==1){
						for(var k=0; k<selects[0].selectedOptions.length; k++){
							storeData.push(selects[0].selectedOptions[k].value);
						}
					}
					
				}
				$('#tableInput')
				.append('<input id="upcId" type="hidden" name="upc" path="upc" value="'+upcData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="itemGroupId" type="hidden" name="itemGroup" path="itemGroup" value="'+itemGroupData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="itemGroupReplId" type="hidden" name="itemGroupRepl" path="itemGroupRepl" value="'+itemGroupReplData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="itemGroupSpecId" type="hidden" name="itemGroupSpec" path="itemGroupSpec" value="'+itemGroupSpecData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="itemId" type="hidden" name="itemNumber" path="itemNumber" value="'+itemData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="descId" type="hidden" name="description" path="description" value="'+descData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="packId" type="hidden" name="pack" path="pack" value="'+packData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="cbmId" type="hidden" name="cbm" path="cbm" value="'+cbmData.map(String)+'"/>');		 
				$('#tableInput')
				.append('<input id="unitId" type="hidden" name="unitCost" path="unitCost" value="'+unitData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="discId" type="hidden" name="discountedCost" path="discountedCost" value="'+discData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="retailId" type="hidden" name="retail" path="retail" value="'+retailData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="gmPercentId" type="hidden" name="gmPercent" path="gmPercent" value="'+gmPercentData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="themesId" type="hidden" name="theme" path="theme" value="'+themesData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="batteriesIncludedId" type="hidden" name="batteriesIncluded" path="batteriesIncluded" value="'+batteriesData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="storeNumberId" type="hidden" name="storeNumber" path="storeNumber" value="'+storeData.map(String)+'"/>');
				$('#tableInput')
				.append('<input id="detailedDescriptionId" type="hidden" name="detailedDescription" path="detailedDescription" value="'+detailedDescData.map(String)+'"/>');
				$('#tableInput').append('<input id="tableSeqNo" type="hidden" name="tableSeqNo" path="tableSeqNo" value="'+tableSeqNo+'"/>');
			});		
		};

		
		function autoPopulate(value){
			var venId, repEmail, repPhone, venTerms, discOption, discPrcntOnSubtotal, discPrcntOnEachProd;
			var arr = value.split(",");
			for(var i=0;i<arr.length;i++){
				 switch(i){
					 case 1: $('#repEmail').val(arr[i]);
					 break;					 
					 case 2: $('#repPhoneNumber').val(arr[i]);
					 break;					 
					 case 3: $('#terms').val(arr[i]);
					 break;					 
					 case 4: $('#discountMethod').val(arr[i]);
					 break;					 
					 case 5: $('#discountPercentOnSubtotal').val(arr[i]);
					 break;					 
					 case 6: $('#discountPercentOnEachProduct').val(arr[i]);
					 break;
				 }
			 }
		};
		
		function calc(){
		    var discOnPerProd = $('#discountPercentOnEachProduct').val();
		    var discOnSub=$('#discountPercentOnSubtotal').val();
		    var total_rw_all = 0;
		    var total_rw_all1 = 0;
			 $('#tableInput table').each(function(){
			     total_rw_all1 = 0;
			 //alert(this.length);
			var custTable = this;
			var rowLength = custTable.rows.length-2;	
			
			for (i = 1; i <= rowLength; i++) {
			    //alert(rowLength);
				var inputs = custTable.rows.item(i).getElementsByTagName("input");
				var inputslength = inputs.length;
				var total_rw = 0;
				
				var var_pack = 0, var_qt = 0, var_uc = 0;
				for (var j = 0; j < inputslength; j++) {
				   // alert(var_pack);
					switch(j){	
					case 5: if(inputs[j].value != null && inputs[j].value  != ''){
					    var_pack=parseFloat(inputs[j].value);
					}else{
					    var_pack=0;
					}
					break;
					case 6: if(inputs[j].value != null && inputs[j].value  != ''){      
					    var_qt=parseFloat(inputs[j].value);
					}else{
					    var_qt=0;
					}
					break;
					case 8: if(inputs[j].value != null && inputs[j].value  != ''){
					    var_uc=parseFloat(inputs[j].value);
					}else{
					    var_uc=0;
					}
					break;					    
					}
					
				}
				if(discOnPerProd!= null && discOnPerProd!=''&& discOnPerProd!=0){
				    
				    if(var_pack!=0 && var_qt!=0 && var_uc!=0){
					    total_rw = (var_pack * var_qt * var_uc)-(discOnPerProd * var_pack * var_qt * var_uc);
					}
					else if(var_pack==0 && var_qt==0 && var_uc==0){
					    total_rw = 0;
					}
					else if(var_pack==0 && var_qt!=0 && var_uc!=0){
					    
					    total_rw = (var_qt * var_uc)-(discOnPerProd * var_qt * var_uc);
					}
					else if(var_pack==0 && var_qt==0 && var_uc!=0){
					   
					    total_rw = (var_uc)-(discOnPerProd * var_uc);
					}
					else if(var_pack!=0 && var_qt==0 && var_uc!=0){
					
					    total_rw = (var_pack * var_uc)-(discOnPerProd * var_pack * var_uc);
					}
					else if(var_pack!=0 && var_qt!=0 && var_uc==0){
					 
					    total_rw = (var_pack * var_qt)-(discOnPerProd * var_pack * var_qt);
					}
					else if(var_pack!=0 && var_qt==0 && var_uc==0){
					  
					    total_rw = (var_pack)-(discOnPerProd * var_pack);
					}
					else if(var_pack==0 && var_qt!=0 && var_uc==0){
					 
					    total_rw = (var_qt)-(discOnPerProd * var_qt);
					}
				}
				else{
				    
				    if(var_pack!=0 && var_qt!=0 && var_uc!=0){
					    total_rw = (var_pack * var_qt * var_uc);
					}
					else if(var_pack==0 && var_qt==0 && var_uc==0){
					    total_rw = 0;
					}
					else if(var_pack==0 && var_qt!=0 && var_uc!=0){
					   
					    total_rw = (var_qt * var_uc);
					}
					else if(var_pack==0 && var_qt==0 && var_uc!=0){
					    
					    total_rw = (var_uc);
					}
					else if(var_pack!=0 && var_qt==0 && var_uc!=0){
					
					    total_rw = (var_pack * var_uc);
					}
					else if(var_pack!=0 && var_qt!=0 && var_uc==0){
					   total_rw = (var_pack * var_qt);
					}
					else if(var_pack!=0 && var_qt==0 && var_uc==0){
					   total_rw = (var_pack);
					}
					else if(var_pack==0 && var_qt!=0 && var_uc==0){
					  total_rw = (var_qt);
					}
				}
				
					//alert(total_rw);
					inputs[9].value = total_rw;
				//alert(total_rw);
				 total_rw_all1 +=total_rw;
					
				//total_rw_all =
				
			}
			total_rw_all +=total_rw_all1;
		
		});   
		
		           $('#orderTotal').val(total_rw_all);
				   // $('#finalTotal').val(total_rw_all); 
				    
				    
					if(discOnSub != null && discOnSub != ''){
						var finTotal = total_rw_all - (discOnSub * total_rw_all);
						$('#finalTotal').val(finTotal.toFixed(2));
					}else{
					    
						$('#finalTotal').val(total_rw_all);
					}
				
			   
		}
		
		$(document).on("change", "#pack, #quantity, #unitCost, #vendor", function () {
		    calc();
		});
		
		
		

		
		function calculateExtendedCostAll() {
			var discOnPerProd = $('#discountPercentOnEachProduct').val();
			$('#tableInput table').each(function () {
				var custTable = this;
				var rowLength = custTable.rows.length;
				for (i = 0; i < rowLength; i++) {
					var packValue;
					var ucost;
					var quantityValue;
					var inputs = custTable.rows.item(i).getElementsByTagName("input");
					var inputslength = inputs.length;
					for (var j = 0; j < inputslength; j++) {						

						switch (j) {
							case 5:
								packValue = inputs[j].value;
								break;
							case 6:
							    quantityValue = inputs[j].value;
								break;
							case 8:
								ucost = inputs[j].value;
								break;
							case 9:	
									if (packValue != null && packValue != "" && packValue !=0 && ucost != null && ucost != "" && ucost !=0 && quantityValue != null && quantityValue != "" && quantityValue !=0) {
										//var extndCost = (ucost * packValue) - ((discOnPerProd * ucost) * packValue);
										var extndCost = (ucost * packValue * quantityValue)-(discOnPerProd * ucost * packValue * quantityValue);
										inputs[j].value=extndCost.toFixed(2);
									}
							     else {
									inputs[j].value="0.00";
								}
						}
					}
				}
			})
			
		};
		
		
		
	
		
		$(document).on("change", "#itemGroup", function () {
			var optionValue=$(this).val();
			$(this).html($(this).html().replace('selected="selected"',''));
			$(this).find("option[value='" + optionValue + "']").attr("selected","selected");
		});		
		
		$(document).on("change", "#itemGroupRepl", function () {
			var optionValue=$(this).val();
			$(this).html($(this).html().replace('selected="selected"',''));
			$(this).find("option[value='" + optionValue + "']").attr("selected","selected");
		});
		
		$(document).on("change", "#itemGroupSpec", function () {
			var optionValue=$(this).val();
			$(this).html($(this).html().replace('selected="selected"',''));
			$(this).find("option[value='" + optionValue + "']").attr("selected","selected");
		});

		function isNumberKey(evt)
		{
		   var charCode = (evt.which) ? evt.which : evt.keyCode;
		   if (charCode < 48 || charCode > 57)
		      return false;	
		   return true;
		};
	</script>

</body>
</html>