<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

<!DOCTYPE html>
<html>
<head>
 <title>Banners Hallmark - Edit Purchase Order</title>    
</head>
	<body>
		<div id="main" class='layout-navbar'>
	         <div id="main-content">
	
	             <div class="page-heading">
	
	                 <div class="page-title mb-5">
	                     <div class="row">
	                         <div class="col-12 col-md-6 order-md-1 order-last">
	                             <h3>Edit Purchase Orders</h3>
	                             <!-- <p class="text-subtitle text-muted">Navbar will appear in top of the page.</p> -->
	                         </div>
	                         <div class="col-12 col-md-6 order-md-2 order-first">
	                             <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
	                                 <ol class="breadcrumb">
	                                     <li class="breadcrumb-item"><a href="${pageContext.request.contextPath}/purchaseOrder/purchaseOrders">All Purchase Orders</a></li>
	                                     <li class="breadcrumb-item active" aria-current="page">Edit Purchase Orders
	                                     </li>
	                                 </ol>
	                             </nav>
	                         </div>
	                     </div>
	                 </div>
	
	                 <section class="section blnk-db">
	                    <form:form class="form-horizontals" method="post" id="user_form"
				name="user_form" modelAttribute="vendorPO">
				<!-- onsubmit="createArray()"> -->
				<form:hidden path="vendorPO.id" id="vendorPoId"
					value="${vendorPO.id}" />
				<form:hidden path="vendorVO.id" id="vendorId"
					value="${vendorPO.vendor.id}" />
					
	                       <!--   <div class="eror-msg">
	                             <div class="card">
	                                 <div class="card-body">
	
	                                     <p class="text-danger"> Error - You missed a field, pay attention!
	                                     </p>
	
	                                     <a class="delete-msg btn btn-light">X</a>
	                                 </div>
	                             </div>
	                         </div> -->
	
	                         <div class="card tp-inpt">
	                             <div class="card-body">
	
	                                 <div class="row">
	                                     <div class="col-md-4 col-12">
	                                         <div class="form-group">
	                                             <label for="ponumber">PO Number</label>                                                
	                                             <form:input type="text" maxlength="20" name="ponumber"
											id="ponumber" path="vendorPO.poNumber"
											class="form-control" placeholder="PO Number"
											value="${vendorPO.poNumber}" readonly="true"
											required="true" />    
	                                         </div>
	                                     </div>
	                                     <div class="col-md-4 col-12">
	                                         <div class="form-group">
	                                             <label for="vendor">Vendor Id</label>
	                                             <fieldset class="">
	                                                 <select  name="vendor" onchange="autoPopulate(this)" id="vendor" class="form-control" required="true">
												<c:forEach items="${vendors}" var="vendor">
												<c:if test="${vendor.isActive == true or vendor.id eq vendorPO.vendor.id}">
														 
													<option value="${vendor.id}" data-populate="${vendor.id},${vendor.vendorName},${vendor.repEmail},${vendor.repPhoneNumber},${vendor.paymentTermsName},${vendor.discountOptions},${vendor.discountPercentOnSubtotal},${vendor.discountPercentOnEachProduct}"
														<c:if test="${vendor.id eq vendorPO.vendor.id}"> selected = "selected" </c:if>>${vendor.vendorNo}</option>
												 </c:if>	
												</c:forEach>
											</select>  
	                                             </fieldset>
	                                         </div>
	                                     </div>
	                                     <div class="col-md-4 col-12">
	                                         <div class="form-group">
	                                             <label for="vendor-name">Vendor Name</label>
	                                             <input type="text" id="vendor-name" class="form-control"
	                                                 placeholder="Vendor Name" name="vendor-name" value="${vendorPO.vendor.vendorName}" readonly="true">
	                                         </div>
	                                     </div>
	                                     <div class="col-md-4 col-12">
	                                         <div class="form-group">
	                                             <label for="rep-email">Rep Email</label>
	                                             <form:input type="repEmail" name="repEmail" id="repEmail"
											path="vendorVO.repEmail" class="form-control"
											placeholder="Rep Email"
											value="${vendorPO.vendor.repEmail}" readonly="true" />
	                                         </div>
	                                     </div>
	                                     <div class="col-md-4 col-12">
	                                         <div class="form-group">
	                                             <label for="rep-phone-number">Rep Phone Number</label>
	                                             <form:input type="text" name="repPhoneNumber"
											id="repPhoneNumber" path="vendorVO.repPhoneNumber"
											class="form-control" placeholder="Rep Phone Number"
											value="${vendorPO.vendor.repPhoneNumber}"
											readonly="true" />
	                                         </div>
	                                     </div>
	                                     <div class="col-md-4 col-12">
	                                         <div class="form-group">
	                                             <label for="terms">Terms</label>
	                                            <form:input type="text" name="terms" id="terms"
											path="vendorVO.paymentTermsName" class="form-control"
											placeholder="Terms"
											value="${vendorPO.vendor.paymentTermsName}"
											readonly="true" />
	                                         </div>
	                                     </div>
	                                     <div class="col-md-4 col-12">
	                                         <div class="form-group">
	                                             <label for="discount-method">Discount Method</label>
	                                             <form:input type="text" name="discountMethod"
											id="discountMethod" path="vendorVO.discountOptions"
											class="form-control" placeholder="Discount Method"
											value="${vendorPO.vendor.discountOptions}"
											readonly="true" />
	                                         </div>
	                                     </div>
	                                     <div class="col-md-4 col-12">
	                                         <div class="form-group">
	                                             <label for="discount-percent-on-subtotal">Discount Percent On
	                                                 Subtotal</label>
	                                            <form:input type="number"
											name="discountPercentOnSubtotal"
											id="discountPercentOnSubtotal"
											path="vendorVO.discountPercentOnSubtotal"
											class="form-control"
											placeholder="Discount Percent On Subtotal"
											value="${vendorPO.vendor.discountPercentOnSubtotal}"
											readonly="true" />
	                                         </div>
	                                     </div>
	                                     <div class="col-md-4 col-12">
	                                         <div class="form-group">
	                                             <label for="discount-percent-on-each">Discount Percent On Each
	                                                 Product</label>
	                                             <form:input type="number"
											name="discountPercentOnEachProduct"
											id="discountPercentOnEachProduct"
											path="vendorVO.discountPercentOnEachProduct"
											class="form-control"
											placeholder="Discount Percent On Each Product"
											value="${vendorPO.vendor.discountPercentOnEachProduct}"
											readonly="true" />
	                                         </div>
	                                     </div>
	                                     <div class="col-md-4 col-12">
	                                         
	                                         <div class="form-group">
	                                             <label for="order-date">Order Date</label>
	                                            <form:input type="date" name="orderDate" id="orderDate"
											path="vendorPO.orderDate" class="form-control"
											placeholder="Order Date" value="${vendorPO.orderDate}"
											required="true" />
	                                         </div>
	                                     </div>
	
	
	                                     <div class="col-md-4 col-12">
	                                         
	
	                                         <div class="form-group">
	                                             <label for="ship-date">Ship Date</label>
	                                             <form:input type="date" name="shipDate" id="shipDate"
											path="vendorPO.shipDate" class="form-control"
											placeholder="Ship Date" value="${vendorPO.shipDate}"
											required="true" />
	                                         </div>
	
	                                     </div>
	                                     <div class="col-md-4 col-12">
	                                        
	                                         <div class="form-group">
	                                             <label for="cancel-date">Cancel Date</label>
	                                            <form:input type="date" name="cancelDate"
											id="cancelDate" path="vendorPO.cancelDate"
											class="form-control" placeholder="Cancel Date"
											value="${vendorPO.cancelDate}" required="true" />
	                                         </div>
	                                         <!-- <div class="datePicker"> </div> -->
	                                     </div>
	                                     
	                                     <div class="col-md-4 col-12">
	                                        
	                                         <div class="form-group">
	                                             <label for="expected-date">Expected Date</label>
	                                            <form:input type="date" name="expecteDate" id="expecteDate"
														  path="expecteDate"
														class="form-control" placeholder="Expected Date" value=""
														required="true" />
	                                         </div>
	                            
	                                     </div>
	
	                                     <div class="col-md-4 col-12">
	                                         <div class="form-group mb-0">
	                                             <label for="order-total">Order Total</label>
	                                             <form:input type="number" name="orderTotal"
											id="orderTotal" path="vendorPO.orderTotal" step="0.01"
											class="form-control" placeholder="Order Total"
											value="${vendorPO.orderTotal}" required="true"
											readonly="true" />
	                                         </div>
	                                     </div>
	
	                                     <div class="col-md-4 col-12">
	                                         <div class="form-group mb-0">
	                                             <label for="final-total">Final Total</label>
	                                             <form:input type="number" name="finalTotal"
											id="finalTotal" path="vendorPO.finalTotal" step="0.01"
											class="form-control" placeholder="Final Total"
											value="${vendorPO.finalTotal}" required="true"
											readonly="true" />
	                                         </div>
	                                     </div>
	                                 </div>
	                             </div>
	                         </div>
					<c:forEach var="row" items="${rows}" varStatus="count">
	                          <div class="card">
	                              <div class="card-body apnd-tble">
	
	                                  <div class="cln-tble mb-5">
	                                      <div class="table-responsive c-tble mb-4 norm-tble">
										<div id="tableInput">
	                                           <table class="table table-striped mb-0 ${row.poDetails.get(0).shipmentCheckin ne null and row.poDetails.get(0).shipmentCheckin.trim().length() > 0 ? 'received-by-site' : ''}">
	                                              <thead>
	                                                   <tr>
	                                                       <th>Row</th>
	                                                       <th>VPN</th>
	                                                       <th>UPC</th>
	<!-- 		                                                        <th>Item Group</th> -->
	<!-- 		                                                        <th>Item Group Repl</th> -->
	<!-- 		                                                        <th>Item Group Spec</th> -->
	                                                       <th>Item Number</th>
	                                                       <th>Description</th>
	                                                       <th>Pack</th>
	                                                       <th>Pack Factor</th>
	                                                       <th>Quantity</th>
	                                                       <th>CBM</th>
	                                                       <th>Unit Cost</th>
	                                                       <th>Extended Cost</th>
	                                                       <th>Retail</th>
	                                                       <th>GM(%)</th>
	                                                   </tr>
												</thead> 
												<tbody>
													<c:forEach var="itemRow" items="${row.poDetails}" varStatus="rowCount">
	                                                    <tr class="control-group" id="control-group">
	                                                        <td>
	                                                        <div class="c-tble-add-dlt-btn">
	                                                            <a class="add btn btn-warning "> <i
	                                                                    class="icon-mid bi bi-file-earmark-plus"></i> </a>
	                                                            <a class="delete btn btn-danger"><i
	                                                                    class="icon-mid bi bi-trash"></i></a>
	                                                            </div>        
	                                                        </td>
	                                                        <td>
	                                                            <div class="form-group">
	                                                            	<input type="text" maxlength="30" name="vpn" id="vpn" required size="25" class="form-control"
	                                                                  value="${itemRow.vpn}"  placeholder="VPN"/>
	                                                            </div>
	                                                        </td>
	                                                        <td>
	                                                            <div class="form-group">
	                                                            	<input type="text" maxlength="30" name="upc" id="upc" required size="15" class="form-control"
	                                                                  value="${itemRow.upc}"  placeholder="UPC"/>
	                                                            </div>
	                                                        </td>
	<!-- 			                                                        <td> -->
	<!-- 			                                                            <fieldset class="form-group"> -->
	<!-- 			                                                            <div> -->
	<!-- 			                                                               <select name="itemGroup" id="itemGroup" class="form-select"	required> -->
	<!-- 																				<option value=""></option> -->
	<%-- 																				<c:forEach items="${itemGroups}" var="item" --%>
	<%-- 																					varStatus="index"> --%>
	<%-- 																					<option value="${item.id}" --%>
	<%-- 																						<c:if test="${item.id eq itemRow.itemGroup}"> --%>
	<!-- 																							selected="selected" -->
	<%-- 																						</c:if>> --%>
	<%-- 																						${item.name}</option> --%>
	<%-- 																				</c:forEach> --%>
	<!-- 																			</select> -->
	<!-- 																			</div> -->
	<!-- 			                                                            </fieldset> -->
	<%-- 			                                                        <a href="${pageContext.request.contextPath}/itemGroup/itemGroups"><i class="icon-mid bi bi-pencil"></i></a>
	<%-- 			                                                       </td> --%>
	<!-- 			                                                        <td> -->
	<!-- 			                                                            <fieldset class="form-group"> -->
	<!-- 			                                                            <div> -->
	<!-- 			                                                                <select name="itemGroupRepl" id="itemGroupRepl" class="form-select" -->
	<!-- 																				required> -->
	<!-- 																				<option value=""></option> -->
	<%-- 																				<c:forEach items="${itemGroups}" var="item"> --%>
	<%-- 																					<option value="${item.id}" --%>
	<%-- 																						<c:if test="${item.id eq itemRow.itemGroupRepl}"> --%>
	<!-- 																							 selected="selected" -->
	<%-- 																						</c:if>> --%>
	<%-- 																						${item.name} --%>
	<!-- 																					</option> -->
	<%-- 																				</c:forEach> --%>
	<!-- 																			</select> -->
	<!-- 																			</div> -->
	<!-- 			                                                            </fieldset> -->
	<%-- 			                                                              <a href="${pageContext.request.contextPath}/itemGroup/itemGroups"><i class="icon-mid bi bi-pencil"></i></a>
	<%-- 			                                                       </td> --%>
	<!-- 			                                                        <td> -->
	<!-- 			                                                            <fieldset class="form-group"> -->
	<!-- 			                                                            <div> -->
	<!-- 			                                                               <select name="itemGroupSpec" id="itemGroupSpec" class="form-select" required> -->
	
	<!-- 																				<option value=""></option> -->
	<%-- 																				<c:forEach items="${itemGroups}" var="item"> --%>
	<%-- 																					<option value="${item.id}" --%>
	<%-- 																						<c:if test="${item.id eq itemRow.itemGroupSpec}">  --%>
	<!-- 																						selected="selected" -->
	<%-- 																						</c:if>> --%>
	<%-- 																						${item.name} --%>
	<!-- 																					</option> -->
	<%-- 																				</c:forEach> --%>
	<!-- 																			</select> -->
	<!-- 																			</div> -->
	<!-- 			                                                            </fieldset> -->
	<%-- 			                                                              <a href="${pageContext.request.contextPath}/itemGroup/itemGroups"><i class="icon-mid bi bi-pencil"></i></a>
	<%-- 			                                                     </td> --%>
	                                                        <td>
	                                                            <div class="form-group">
	                                                            <input type="text" maxlength="100" name="itemNumber" id="itemNumber" size="25" class="form-control"
	                                                               value="${itemRow.itemNumber}"     placeholder="Item Number" />
	                                                            </div>
	                                                        </td>
	                                                        <td>
	                                                            <div class="form-group">
	                                                                <input type="text" maxlength="250"
																		name="description" id="description" size="25" class="form-control"
	                                                                value="${itemRow.description}"    placeholder="Description">
	                                                            </div>
	                                                        </td>
	                                                        <td>
	                                                            <div class="form-group">
	                                                                <input type="number" name="pack" size="7"
																		min="0" max="1000000" id="pack"
																		onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"
																		 class="form-control"  value="${itemRow.pack}" 
	                                                                    placeholder="Pack" required>
	                                                            </div>
	                                                        </td>
	                                                        <td>
	                                                            <div class="form-group">
	                                                                <input type="text" name="packFactor" id="packFactor"
																		 class="form-control"  value="${itemRow.packFactor}" 
	                                                                    placeholder="Pack factor" required>
	                                                            </div>
	                                                        </td>
	                                                        <td>
	                                                            <div class="form-group">
	                                                               <input type="number" min="1" max="1000000"
																		name="quantity" id="quantity" size="7"  value="${itemRow.quantity}" 
																		onkeypress="return isNumberKey(event)" class="form-control"
	                                                                    placeholder="Quantity">
	                                                            </div>
	                                                        </td>
	                                                        <td>
	                                                            <div class="form-group">
	                                                                <input type="text" name="cbm" id="cbm"
																		size="11" class="form-control"  value="${itemRow.cbm}" 
	                                                                    placeholder="CBM">
	                                                            </div>
	                                                        </td>
	                                                        <td>
	                                                            <div class="form-group">
	                                                               <input type="number" name="unitCost"
																		id="unitCost" min="0" max="10000000000" required
																		size="7"  value="${itemRow.unitCost}" 
																		onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)" class="form-control"
	                                                                    placeholder="Unit Cost">
	                                                            </div>
	                                                        </td>
	                                                        <td>
	                                                            <div class="form-group">
	                                                                <input type="number" name="discountedCost"
																		min="0" value="${itemRow.discountedCost}"
																		id="discountedCost" required size="12" readonly class="form-control"
	                                                                    placeholder="Extended Cost" >
	                                                            </div>
	                                                        </td>
	                                                        <td>
	                                                            <div class="form-group">
	                                                                <input type="number" min="0" max="10000000000"
																		name="retail" id="retail" value="${itemRow.retail}"
																		onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"
																		required size="7" class="form-control"
	                                                                    placeholder="Retail">
	                                                            </div>
	                                                        </td>
	                                                        <td>
	                                                            <div class="form-group">
	                                                                <input type="number" name="gmPercent"
																	 id="gmPercent" required value="${itemRow.gmPercent}"
																		size="7" readonly class="form-control"
	                                                                    placeholder="GM(%)" disabled>
	                                                            </div>
	                                                            <input type="hidden" name="poStoresId"
																					id="poStoreId" value="${itemRow.poStores.id}" />
																<input type="hidden" name="id"
																					id="poDetailsId" value="${itemRow.id}" />
																<input type="hidden" name="listOfDamages" value="${itemRow.listOfDamages}" />
																<input type="hidden" name="packingSlip" value="${itemRow.packingSlip}" />
																<input type="hidden" name="personReceiveProduct" value="${itemRow.personReceiveProduct}" />
																<input type="hidden" name="shipmentCheckin" value="${itemRow.shipmentCheckin}" />
	                                                        </td>
	                                                    </tr>
													</c:forEach>
	                                               </tbody>
	                                           </table>
	                                       </div>
	                                   	</div>
	                                      <div class="row">
	                                          <div class="col-md-3">
	                                              <div class="input-group ">
											<select name="storeNumber" id="storeNumber"
												class="form-select" required="true">
												<c:forEach items="${stores}" var="store">
												
										         <c:if test="${store.isActive == true or store.id eq row.store.id}">					
													<option value="${store.id}"
															<c:if test="${store.id eq row.store.id}">selected="selected"</c:if>>				
														${store.store}
													</option>
													</c:if>	
													
												</c:forEach>
	
											</select>
										</div>
	                                          </div>
	                                          <div class="col-md-9 align-items-center d-flex justify-content-end ">
	                                              <a class=" cpy-tble btn btn-warning me-2 "> Copy Table </a>
	                                              <a class=" dlte-tble btn btn-danger"> Delete Table </a>
	                                          </div>
	                                      </div>
	                                  </div>
	                              </div>
	                          </div>
					</c:forEach>       
	                         <div class="row">
	                             <div class="col-12 d-flex justify-content-center">
	                                 <button type="button" id="saveForm"	class="c-btn btn btn-primary me-3 mb-1">Update</button>
	                                 <a href="${pageContext.request.contextPath}/purchaseOrder/purchaseOrders"
											class="c-btn btn btn-danger  mb-1">Cancel</a>
	                                 <!-- <button type="reset" class="c-btn btn btn-danger  mb-1">Cancel</button> -->
	                             </div>
	                         </div>
	                     </form:form>
				<form id="serverForm">
					<input type="hidden" id="jsondata" name="jsondata" value="">
				</form>
	                 </section>
	             </div>
	             <footer>
	                 <div class="footer clearfix mb-0 text-muted c-ftr">
	                     <div class="float-start">
	                         <p>2021 &copy; Banners Hallmark</p>
	                     </div>
	                     <div class="float-end">
	                         <p>Developed by <span class="text-danger"><i class="bi bi-heart"></i></span> <a
	                                 href="#">Suntek IT Solutions </a></p>
	                     </div>
	                 </div>
	             </footer>
			</div>
		</div>
	
	    <script src="${pageContext.request.contextPath}/resources/assets/js/jquery-ui.js"></script>
	    <script src="${pageContext.request.contextPath}/resources/assets/js/main.js"></script>
	    <script src="${pageContext.request.contextPath}/resources/assets/js/costom-c.js"></script>
	    
		<script>
	        
	        $('.delete').on('click', function (event) {
	        	if($(this).parents('tbody').find("tr").length > 1) {
		            $(this).parents('tr').remove();
		            calc();
	        	}
	        });
	
	        $(".add").on('click', function (event) {
	        	//alert($(this).find('tbody'));
	        	var tBdyCurr = $(this).closest('tbody');
	            $(this).parents('tr').clone(true).appendTo(tBdyCurr);
	            calc();
	            // to make the clone removable, set clone(true)
	        });
	
	
	   
	        $('.dlte-tble').on('click', function (event) {
	        	if($('.apnd-tble .cln-tble').length > 1) {
		        	$(this).parents('.cln-tble').remove();
		            calc();
	        	}
	        });
	
	        $(".cpy-tble").on('click', function (event) {
	        	var tBdyCurr = $(this).closest('.apnd-tble');
	            $(this).parents('.cln-tble').clone(true).appendTo(tBdyCurr);
	            calc();
	            // to make the clone removable, set clone(true)
	        });
	    </script>
	    
	    <script type="text/javascript">
			//action="addNewPurchaseOrder"
	
			function hasDuplicates(array) {
			    return (new Set(array)).size !== array.length;
			}
	
		 	$(document).ready(function() {
		 		$(".received-by-site input , .received-by-site select").attr("disabled", true);
		 		$(".received-by-site").closest(".cln-tble").find(".cpy-tble").addClass("disabled");
		 		$(".received-by-site").closest(".cln-tble").find(".dlte-tble").addClass("disabled");
		 		$(".received-by-site").closest(".cln-tble").find("#storeNumber").attr("disabled", true);
		 		$(".received-by-site .btn").addClass("disabled");
		 		//var upc = $(this).closest("tr").find("#upc").val(); 	     
	
		 		$("#saveForm").on('click', function() {
		 		 	valid = true;
		 		    var ponumber=$("#ponumber").val();
		 			var vendor=$("#vendor").val();
		 			ponumberText="";
		 			vendorText="";
		 			
		 			 if (ponumber==null ||  ponumber==""){  
		 				ponumberText="PO Number can't be blank"; 
		                  valid =false;  
		                 } 
		 			
		 		    if ( vendor==null ||  vendor==""){  
		 		    	vendorText="Vendor can't be blank"; 
	                 valid =false;  
	                } 
			
		 			 upcText ="";
		 			 packText =""; 
		 			 quantityText ="";	
		 			 unitCostText = "";
		 			 retailText = "";
		 			 storeNumberText = "";	
		 			 upcText_1 = "";
		 			storeDuplicates="";
		 			vpnText="";
		 			packFactorText="";
		 			 
		 			var upc = document.querySelectorAll("[id='upc']");	
		 			var pack = document.querySelectorAll("[id='pack']");
		 			var quantity = document.querySelectorAll("[id='quantity']");	
		 			var unitCost = document.querySelectorAll("[id='unitCost']");
		 			var retail = document.querySelectorAll("[id='retail']");
		 			var storeNumber=document.querySelectorAll("[id='storeNumber']");
		 			var vpn=document.querySelectorAll("[id='vpn']");
		 			var packFactor=document.querySelectorAll("[id='packFactor']");
	
		 			for(var i = 0; i < upc.length; i++) {
		 			 if ( upc[i].value==null ||  upc[i].value==""){     
		 				  upcText="UPC can't be blank" ;
		                  valid =false;  
		                 } 
		 			}
		 			for(var i = 0; i < pack.length; i++) {	  
			 			 if ( pack[i].value==null ||  pack[i].value==""){    
			 				  packText="Pack can't be blank" ;
			                  valid =false;  
			                 } 
			 			}
		 			for(var i = 0; i < quantity.length; i++) {	  
			 			 if ( quantity[i].value==null ||  quantity[i].value==""){   
				 			  quantityText="Quantity can't be blank"; 
			                  valid =false;  
			                 } 
			 			}
		 			for(var i = 0; i < unitCost.length; i++) {  
			 			 if ( unitCost[i].value==null ||  unitCost[i].value==""){  
			 				  unitCostText="Unit Cost can't be blank"; 
			                  valid =false;  
			                 } 
			 			}
		 			for(var i = 0; i < retail.length; i++) {  
			 			 if ( retail[i].value==null ||  retail[i].value==""){     
			 				  retailText="Retail can't be blank"; 
			                  valid =false;  
			                 } 
			 			}
		 			for(var i = 0; i < storeNumber.length; i++) {	  
			 			 if ( storeNumber[i].value==null ||  storeNumber[i].value==""){     
			 				  storeNumberText="Site can't be blank"; 
			                  valid =false;  
			                 } 
			 			}
		 			for(var i = 0; i < vpn.length; i++) {	  
			 			 if (vpn[i].value==null || vpn[i].value==""){     
			 				vpnText="VPN can't be blank"; 
			                valid =false;  
			             } 
			 		}
		 			for(var i = 0; i < packFactor.length; i++) {	  
			 			 if (packFactor[i].value==null || packFactor[i].value==""){     
			 				packFactorText="pack factor can't be blank"; 
			                valid =false;  
			             } 
			 		}
		 			
		 			$('#tableInput table').each(function(){				   
			 			var tbl_UPC_1 = [];
						var custTable_1 = this;
						var rowLength_1 = custTable_1.rows.length-1  ;	
						
						for (i = 1; i <= rowLength_1; i++) {				   
							var inputs_1 = $(custTable_1.rows.item(i)).find("[name=upc]");
							//alert(inputs_1[0].value);
							 tbl_UPC_1.push(inputs_1[0].value);						
						}
						if(hasDuplicates(tbl_UPC_1)){
							//alert('hi');
							upcText_1="UPC can't be same into one table"; 
							valid =false;
							//break;
						}
		 		 	});
		 	 		
		 			var storeNumber_1 = [];
		 			
		 			for(i=0;i<document.getElementsByName("storeNumber").length;i++)
		 			{
		 				 storeNumber_1.push(document.getElementsByName("storeNumber")[i].value);
		 		//	alert(document.getElementsByName("storeNumber")[i].value);
			 			if(hasDuplicates(storeNumber_1)){
							 storeDuplicates="Two or more sites can not be same"; 
							valid =false;
							//break;
						}
		 			}
		 			
		 			
				   if(valid==true)  { 				   
					
					document.getElementById("saveForm").disabled = true; 
					   
					var vendorPo = {}
					//debugger;
					vendorPo["id"] = $("#vendorPoId").val();
					vendorPo["vendorId"] = $("#vendor").val();
					vendorPo["poNumber"] = $("#ponumber").val();
					vendorPo["repEmail"] = $("#repEmail").val();
					vendorPo["repPhoneNumber"] = $("#repPhoneNumber").val();
					vendorPo["terms"] = $("#terms").val();
					vendorPo["discountMethod"] = $("#discountMethod").val();
					vendorPo["discountPercentOnSubtotal"] = $("#discountPercentOnSubtotal").val();
					vendorPo["discountPercentOnEachProduct"] = $("#discountPercentOnEachProduct").val();
					vendorPo["orderDate"] = $("#orderDate").val();
					vendorPo["shipDate"] = $("#shipDate").val();
					vendorPo["cancelDate"] = $("#cancelDate").val();
					vendorPo["orderTotal"] = $("#orderTotal").val();
					vendorPo["finalTotal"] = $("#finalTotal").val();
					vendorPo["expecteDate"] = $("#expecteDate").val();
					vendorPo["isActive"] =true;
	
					var formData = {};
					var tables = [];
					
			
					$('table.table').each(function(tableIndex, table){
						var trlist = [];
						var table = {};
						
						var tab = this;//table current object
						var rows = tab.rows;
						var rowsLen = rows.length;
			 			var tableCount = 0;
			 			
			 			var poobjs = [];
			 			var trdata = {};// for all row of indivisual table
	
			 			var actualInsertedRowsPerTable = rowsLen-1;
			 			
			 			var displayRowsPerTable = rowsLen - 1;
			 			$(rows).each(function(rowIndex, tr){
							var postorevalue = "";
							if(rowIndex > 0 && rowIndex <= (rowsLen)) {
								//po_details_data
								var tdValueCounter = 0;	
								
								var podetail = [];
								var poobj = {};
								
			 		    		$(tr).find("td div").each(function(tdIndex, td){
							 		//debugger;
							 		// skipping add and remove button of i.e. first td of tr 
											if(tdIndex > -1){
												var tdValue = "";
											 
												var element = $(td).html();
												
												if($(element).is('select')){
	
													tdValue = $(td).find('select').val();
												    tdValueCounter++;
												    poobj[$(td).find('select').attr('name')] = $(td).find('select').val();
												    
												} else if($(element).is('textarea')){
	
													tdValue = $(td).find('textarea').val();
													poobj[$(td).find('textarea').attr('name')] = $(td).find('textarea').val();
													tdValueCounter++;
													
												}else if($(element).is('input') ){
	
													tdValue = $(td).find('input').val(); 
													poobj[$(td).find('input').attr('name')] = $(td).find('input').val();
													tdValueCounter++;
													//alert($(td).find('input').val());
												} 
											}
			 		    				//podetail.push(obj);		
				 		    		});
			 		    			poobj['vpn'] = $(tr).find("[name=vpn]").val();
			 		    			poobj['packFactor'] = $(tr).find("[name=packFactor]").val();
			 		    			poobj['listOfDamages'] = $(tr).find("[name=listOfDamages]").val();
			 		    			poobj['packingSlip'] = $(tr).find("[name=packingSlip]").val();
			 		    			poobj['personReceiveProduct'] = $(tr).find("[name=personReceiveProduct]").val();
			 		    			poobj['shipmentCheckin'] = $(tr).find("[name=shipmentCheckin]").val();
			 		    			
		 		    				poobjs.push(poobj);
							}
							// 0 index of tbody is for postore row
							/* if((rowsLen-1) == rowIndex) {
								
								// postore_data
								var postore = {};
				 		    	$(tr).find("td").each(function(tdIndex, td){
				 		    		//debugger;
									if(tdIndex == 1) {
										var element = $(td).html();
										if($(element).is('select')){
											trdata["poStore"]  = $(td).children('select').val();// it give an array
										}
									}
							 	});
				 		    	
							} */
							
							trdata["poStore"]  = document.getElementsByName("storeNumber")[tableIndex].value;
						});
						
						trdata["poDetail"] = poobjs;
						trlist.push(trdata);
						
						table["tableSeqNo"] = 0;
			 		 	table["tableData"]  = trlist;
			 		 	table["actualInsertedRowsPerTable"] = actualInsertedRowsPerTable;
			 		 	table["displayRowsPerTable"] = displayRowsPerTable; 
			 			tables.push(table);
						
					});
					//debugger;
					formData["vendorPO"] = vendorPo;
			 		formData["tabledatas"] = tables;
			 		var hiddenJSONData = JSON.stringify(formData);
			 		$("#jsondata").val(hiddenJSONData);
			 		var actionUrl = '${pageContext.request.contextPath}/purchaseOrder/modifyPurchageOrder';
			 		$('#serverForm').attr('action', actionUrl);
			 		$('#serverForm').attr('method', 'post');
			 		$('#serverForm').submit();
			 		
					} else {				   
					   var alertMsg = "";
						if(ponumberText != "") {
							alertMsg += ponumberText + "\n";
						}
						if(vendorText != "") {
							alertMsg += vendorText + "\n";
						}
						if(upcText != "") {
							alertMsg += upcText + "\n";
						}
						if(packText != "") {
							alertMsg += packText + "\n";
						}
						if(quantityText != "") {
							alertMsg += quantityText + "\n";
						}
						if(unitCostText != "") {
							alertMsg += unitCostText + "\n";
						}
						if(retailText != "") {
							alertMsg += retailText + "\n";
						}
						if(storeNumberText != "") {
							alertMsg += storeNumberText + "\n";
						}
						if(upcText_1 != "") {
							alertMsg += upcText_1 + "\n";
						}
						if(storeDuplicates != "") {
							alertMsg += storeDuplicates + "\n";
						}
						if(vpnText != "") {
							alertMsg += vpnText + "\n";
						}
						if(packFactorText != "") {
							alertMsg += packFactorText + "\n";
						}
					   alert(alertMsg);
					}
			 	
		 		});/* //End Save */	
		 		function calculateInsertedRows(rows){
			 		var rowsLen = rows.length;
			 		var insertedRowsPerTable = 0;
			 		$(rows).each(function(rowIndex, tr){
				 		if((rowsLen-1) == rowIndex){// only for poStoreIds
	
				 			$(tr).find("td").each(function(tdIndex, td){
			 		    		// debugger;
	
								if(tdIndex == 1) {
	
									var element = $(td).html();
	
									if($(element).is('select')){
	
										var values = $(td).children('select').val();// it give an array
	
										if(values.length == 1 && rowsLen == 3)
										{
											insertedRowsPerTable = values.length;		
										} else if(values.length > 1 && (rowsLen-2) > 1 )
										{
											insertedRowsPerTable = (rowsLen - 2) * values.length;
										}
									}
								}
						 	});	
					 		
					 	}
			 		});
			 		return insertedRowsPerTable;
			 	}
	 	       	$("#removeBtn").hide();
			    $(document).on("click","#addBtn", function(){ 	    	
			    	  $("#removeBtn").show();
			            var rawHTML=$(this).parents("tr").clone();
			            rawHTML.find("input[type=number]").val(" ");
			            rawHTML.find("input[type=text]").val("");	            
			            rawHTML.insertAfter($(this).parents("tr"));		
			    })
			     $(document).on("click","#removeBtn", function(){ 	    	 		 
			    		 var rawHTMl=$(this).closest("tr").remove();	    		 
			    		// calculateOrderTotal();
			    		 calc();
			     })
	
				 $(document).on("click","#copyTable", function(){	
					  $("#removeBtn").show();
						 var rawHTMl=$(this).parents("table").clone().insertAfter($(this).parents("table"));						 	
					//	 calculateOrderTotal();		
						 calc();
				 })
			
				$(document).on("click","#deleteTable", function(){ 
						var rawHTMl=$(this).parents("table").remove();		
				     //   calculateOrderTotal();
						 calc();
						        
			    })		
			});
			
		 	$(document).on("change","#unitCost", function(){
		 		var ucost=$(this).val();
		 		var retailVal = $(this).closest("tr").find("#retail").val(); 
		 		if(ucost!=null && ucost!="" && retailVal!=null && retailVal!=""){
		 			if(retailVal==0){
		 				$(this).closest("tr").find("#gmPercent").val("0.00");
		 			}else{
		 				gmPercent=(retailVal-ucost)/retailVal;
			 			$(this).closest("tr").find("#gmPercent").val(gmPercent.toFixed(2));
		 			}
		 		}else{
		 			$(this).closest("tr").find("#gmPercent").val("");
		 		}
		 	});
		 	$(document).ready(function () {
			    calc();
			});
		 	
		 	$(document).on("change","#retail", function(){
		 		var retailVal=$(this).val();
		 		var ucost = $(this).closest("tr").find("#unitCost").val(); 
		 		if(ucost!=null && ucost!="" && retailVal!=null && retailVal!=""){
		 			if(retailVal==0){
		 				$(this).closest("tr").find("#gmPercent").val("0.00");
		 			}else{
		 				gmPercent=(retailVal-ucost)/retailVal;
		 				
			 			$(this).closest("tr").find("#gmPercent").val(gmPercent.toFixed(2));
		 			}
		 		}else{
		 			$(this).closest("tr").find("#gmPercent").val("");
		 		}
		 	});
		 	
	// 		function createArray(){	
	// 		var tableSeqNo = 0;
	// 		alert( 'enter =');
	// 		$('#tableInput table').each(function(){
				
	// 			tableSeqNo = tableSeqNo + 1;
	// 			var upcData=[];
	// 			var itemGroupData=[];
	// 			var itemGroupReplData=[];
	// 			var itemGroupSpecData=[];
	// 			var itemData=[];
	// 			var descData=[];
	// 			var packData=[];
	// 			var cbmData=[];
	// 			var unitData=[];
	// 			var discData=[];			
	// 			var retailData=[];
	// 			var gmPercentData=[];
	// 			var themesData=[];
	// 			var batteriesData=[];
	// 			var storeData=[];
	// 			var detailedDescData=[];
				
	// 		  	var custTable = this;
	// 				var rowLength = custTable.rows.length-1;
	// 				alert( 'rowLength =' +rowLength);
	// 				for (i = 1; i <= rowLength; i++) {
	// 					var inputs = custTable.rows.item(i).getElementsByTagName("input");
	// 					var inputslength = inputs.length;
	// 					for (var j = 0; j < inputslength; j++) {
	// 						alert(j + '=' + inputs[j].value);
	// 						switch(j){
	// 						case 0:	upcData.push(inputs[j].value);
	// 								break;		
	// 						case 1:	itemData.push(inputs[j].value);
	// 								break;
	// 						case 2:	descData.push(inputs[j].value);
	// 								break;
	// 						case 3: packData.push(inputs[j].value);
	// 								break;
							
	// 					    case 4:cbmData.push(inputs[j].value);
	// 						        break; 
	// 						case 5:	unitData.push(inputs[j].value);
	// 								break;	
					
	// 						case 6:	discData.push(inputs[j].value);
	// 								break;
	// 						case 7:	retailData.push(inputs[j].value);
	// 								break;
	// 						case 8:gmPercentData.push(inputs[j].value);
	// 								break;
						 
	// 						}
	// 					}
						
	// 					var textAreas = custTable.rows.item(i).getElementsByTagName("textarea");
	// 					var textAreasLength = textAreas.length;
	// 					if(textAreasLength==1){
	// 						detailedDescData.push(textAreas[0].value);
	// 					}
						
	// 					var selects = custTable.rows.item(i).getElementsByTagName("select");
	// 					var selectsLength = selects.length;
	// 					if(selectsLength>2){
	// 						for (var j = 0; j < selectsLength; j++) {
	// 							switch(j){
	// 							case 0:	itemGroupData.push(selects[j].value);
	// 									break;		
	// 							case 1:	itemGroupReplData.push(selects[j].value);
	// 									break;
	// 							case 2:	itemGroupSpecData.push(selects[j].value);
	// 									break;
	// 							case 3: themesData.push(selects[j].value);
	// 									break;
	// 							case 4:	batteriesData.push(selects[j].value);
	// 									break;	
	// 							}
	// 						}
	// 					}else if(selectsLength==1){
	// 						for(var k=0; k<selects[0].selectedOptions.length; k++){
	// 							storeData.push(selects[0].selectedOptions[k].value);
	// 						}
	// 					}
						
	// 				}
	// 				$('#tableInput')
	// 				.append('<input id="upcId" type="hidden" name="upc" path="upc" value="'+upcData.map(String)+'"/>');
	// 				$('#tableInput')
	// 				.append('<input id="itemGroupId" type="hidden" name="itemGroup" path="itemGroup" value="'+itemGroupData.map(String)+'"/>');
	// 				$('#tableInput')
	// 				.append('<input id="itemGroupReplId" type="hidden" name="itemGroupRepl" path="itemGroupRepl" value="'+itemGroupReplData.map(String)+'"/>');
	// 				$('#tableInput')
	// 				.append('<input id="itemGroupSpecId" type="hidden" name="itemGroupSpec" path="itemGroupSpec" value="'+itemGroupSpecData.map(String)+'"/>');
	// 				$('#tableInput')
	// 				.append('<input id="itemId" type="hidden" name="itemNumber" path="itemNumber" value="'+itemData.map(String)+'"/>');
	// 				$('#tableInput')
	// 				.append('<input id="descId" type="hidden" name="description" path="description" value="'+descData.map(String)+'"/>');
	// 				$('#tableInput')
	// 				.append('<input id="packId" type="hidden" name="pack" path="pack" value="'+packData.map(String)+'"/>');
	// 				$('#tableInput')
	// 				.append('<input id="cbmId" type="hidden" name="cbm" path="cbm" value="'+cbmData.map(String)+'"/>');		 
	// 				$('#tableInput')
	// 				.append('<input id="unitId" type="hidden" name="unitCost" path="unitCost" value="'+unitData.map(String)+'"/>');
	// 				$('#tableInput')
	// 				.append('<input id="discId" type="hidden" name="discountedCost" path="discountedCost" value="'+discData.map(String)+'"/>');
	// 				$('#tableInput')
	// 				.append('<input id="retailId" type="hidden" name="retail" path="retail" value="'+retailData.map(String)+'"/>');
	// 				$('#tableInput')
	// 				.append('<input id="gmPercentId" type="hidden" name="gmPercent" path="gmPercent" value="'+gmPercentData.map(String)+'"/>');
	// 				$('#tableInput')
	// 				.append('<input id="themesId" type="hidden" name="theme" path="theme" value="'+themesData.map(String)+'"/>');
	// 				$('#tableInput')
	// 				.append('<input id="batteriesIncludedId" type="hidden" name="batteriesIncluded" path="batteriesIncluded" value="'+batteriesData.map(String)+'"/>');
	// 				$('#tableInput')
	// 				.append('<input id="storeNumberId" type="hidden" name="storeNumber" path="storeNumber" value="'+storeData.map(String)+'"/>');
	// 				$('#tableInput')
	// 				.append('<input id="detailedDescriptionId" type="hidden" name="detailedDescription" path="detailedDescription" value="'+detailedDescData.map(String)+'"/>');
	// 				$('#tableInput').append('<input id="tableSeqNo" type="hidden" name="tableSeqNo" path="tableSeqNo" value="'+tableSeqNo+'"/>');
	// 			});		
	// 		};
	
			
			function autoPopulate(ref){
				var value = $(ref).find(":selected").data('populate');
				var arr = value.split(",");
				for(var i=0;i<arr.length;i++) {
					 switch(i) {
						 case 1: $('#vendor-name').val(arr[i]);
						 break;	
						 case 2: $('#repEmail').val(arr[i]);
						 break;
						 case 3: $('#repPhoneNumber').val(arr[i]);
						 break;					 
						 case 4: $('#terms').val(arr[i]);
						 break;					 
						 case 5: $('#discountMethod').val(arr[i]);
						 break;					 
						 case 6: $('#discountPercentOnSubtotal').val(arr[i]);
						 break;					 
						 case 7: $('#discountPercentOnEachProduct').val(arr[i]);
						 break;
					 }
				 }
			};
			
			function calc(){
				//alert(1);
			    var discOnPerProd = $('#discountPercentOnEachProduct').val();
			    var discOnSub=$('#discountPercentOnSubtotal').val();
			    var total_rw_all = 0;
			    var total_rw_all1 = 0;
				 $('#tableInput table').each(function(){
				     total_rw_all1 = 0;
				var custTable = this;
				var rowLength = custTable.rows.length-1;	
				//alert(" Calc :: " +  rowLength);
				for (i = 1; i <= rowLength; i++) {
				    //alert(rowLength);
					
	// 			    var inputs = custTable.rows.item(i).getElementsByTagName("input");
					
					var pack = $(custTable.rows.item(i)).find("[name=pack]");
					var quantity =  $(custTable.rows.item(i)).find("[name=quantity]");
					var unitCost =  $(custTable.rows.item(i)).find("[name=unitCost]");
	
	// 				var inputslength = inputs.length;
					var total_rw = 0;
					
					var var_pack = 0, var_qt = 0, var_uc = 0;
					
					if(pack[0].value != null && pack[0].value  != ''){
					    var_pack=parseFloat(pack[0].value);
					}else{
					    var_pack=0;
					}
					if(quantity[0].value != null && quantity[0].value  != ''){      
					    var_qt=parseFloat(quantity[0].value);
					}else{
					    var_qt=0;
					}
					if(unitCost[0].value != null && unitCost[0].value  != ''){
					    var_uc=parseFloat(unitCost[0].value);
					}else{
					    var_uc=0;
					}
					
	// 				for (var j = 0; j < inputslength; j++) {
						 //alert(j + '=' + inputs[j].value);
	// 					switch(j){	
	// 					case 4: if(inputs[j].value != null && inputs[j].value  != ''){
	// 					    var_pack=parseFloat(inputs[j].value);
	// 					}else{
	// 					    var_pack=0;
	// 					}
	// 					break;
	// 					case 6: if(inputs[j].value != null && inputs[j].value  != ''){      
	// 					    var_qt=parseFloat(inputs[j].value);
	// 					}else{
	// 					    var_qt=0;
	// 					}
	// 					break;
	// 					case 8: if(inputs[j].value != null && inputs[j].value  != ''){
	// 					    var_uc=parseFloat(inputs[j].value);
	// 					}else{
	// 					    var_uc=0;
	// 					}
	// 					break;					    
	// 					}
						
	// 				}
					if(discOnPerProd!= null && discOnPerProd!=''&& discOnPerProd!=0){
					    if(var_pack!=0 && var_qt!=0 && var_uc!=0){
						    total_rw = (var_pack * var_qt * var_uc)-(discOnPerProd * var_pack * var_qt * var_uc);
						}
						else if(var_pack==0 && var_qt==0 && var_uc==0){
						    total_rw = 0;
						}
						else if(var_pack==0 && var_qt!=0 && var_uc!=0){
						    
						    total_rw = (var_qt * var_uc)-(discOnPerProd * var_qt * var_uc);
						}
						else if(var_pack==0 && var_qt==0 && var_uc!=0){
						   
						    total_rw = (var_uc)-(discOnPerProd * var_uc);
						}
						else if(var_pack!=0 && var_qt==0 && var_uc!=0){
						
						    total_rw = (var_pack * var_uc)-(discOnPerProd * var_pack * var_uc);
						}
						else if(var_pack!=0 && var_qt!=0 && var_uc==0){
						 
						    total_rw = (var_pack * var_qt)-(discOnPerProd * var_pack * var_qt);
						}
						else if(var_pack!=0 && var_qt==0 && var_uc==0){
						  
						    total_rw = (var_pack)-(discOnPerProd * var_pack);
						}
						else if(var_pack==0 && var_qt!=0 && var_uc==0){
						 
						    total_rw = (var_qt)-(discOnPerProd * var_qt);
						}
					}
					else{
					    
					    if(var_pack!=0 && var_qt!=0 && var_uc!=0){
						    total_rw = (var_pack * var_qt * var_uc);
						}
						else if(var_pack==0 && var_qt==0 && var_uc==0){
						    total_rw = 0;
						}
						else if(var_pack==0 && var_qt!=0 && var_uc!=0){
						   
						    total_rw = (var_qt * var_uc);
						}
						else if(var_pack==0 && var_qt==0 && var_uc!=0){
						    
						    total_rw = (var_uc);
						}
						else if(var_pack!=0 && var_qt==0 && var_uc!=0){
						
						    total_rw = (var_pack * var_uc);
						}
						else if(var_pack!=0 && var_qt!=0 && var_uc==0){
						   total_rw = (var_pack * var_qt);
						}
						else if(var_pack!=0 && var_qt==0 && var_uc==0){
						   total_rw = (var_pack);
						}
						else if(var_pack==0 && var_qt!=0 && var_uc==0){
						  total_rw = (var_qt);
						}
					}
	
					var discountedCost =  $(custTable.rows.item(i)).find("[name=discountedCost]");
					discountedCost[0].value = total_rw.toFixed(2);
					total_rw_all1 +=total_rw;
				}
				total_rw_all +=total_rw_all1;
			});
	           $('#orderTotal').val(total_rw_all);
			   // $('#finalTotal').val(total_rw_all); 
			    
			    
				if(discOnSub != null && discOnSub != ''){
					var finTotal = total_rw_all - (discOnSub * total_rw_all);
					$('#finalTotal').val(finTotal.toFixed(2));
				}else{
				    
					$('#finalTotal').val(total_rw_all);
				}
			}
			
			$(document).on("change", "#pack, #quantity, #unitCost, #vendor", function () {
			    calc();
			});
	
			$(document).on("change", "#itemGroup", function () {
				var optionValue=$(this).val();
				$(this).html($(this).html().replace('selected="selected"',''));
				$(this).find("option[value='" + optionValue + "']").attr("selected","selected");
			});		
			
			$(document).on("change", "#itemGroupRepl", function () {
				var optionValue=$(this).val();
				$(this).html($(this).html().replace('selected="selected"',''));
				$(this).find("option[value='" + optionValue + "']").attr("selected","selected");
			});
			
			$(document).on("change", "#itemGroupSpec", function () {
				var optionValue=$(this).val();
				$(this).html($(this).html().replace('selected="selected"',''));
				$(this).find("option[value='" + optionValue + "']").attr("selected","selected");
			});
	
			function isNumberKey(evt) {
			   var charCode = (evt.which) ? evt.which : evt.keyCode;
			   if (charCode < 48 || charCode > 57)
			      return false;	
			   return true;
			}
		</script>
	</body>
</html>