<!DOCTYPE html>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<html>
    <head>
        <title>Banners Hallmark | Purchase Orders</title>
        <style type="text/css">
       		.fixedHeader-floating.vendorPoDatatable thead tr th {
				padding: 15px 40px 15px 15px;
       		}
       		.vendorPoDatatable .action-buttons {
			    display: flex;
			    align-items: center;
			}
			.action-buttons .delete-temp span {
				/*border: 2px solid green;
				background-color: #ff3b4e85 !important*/
			}
        </style>
    </head>
    <body>
    	<div id="main" class='layout-navbar'>
            
            <div id="main-content">

                <div class="page-heading">
                    <div class="page-title mb-5">
                        <div class="row">
                            <div class="col-12 col-md-6 order-md-1 order-last">
                                <h3>Purchase Orders</h3>
                                <!-- <p class="text-subtitle text-muted">Navbar will appear in top of the page.</p> -->
                            </div>
                            <div class="col-12 col-md-6 order-md-2 order-first">
                                <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                                    <ol class="breadcrumb">
                                        <li class="breadcrumb-item"><a href="${pageContext.request.contextPath}">Dashboard</a></li>
                                        <li class="breadcrumb-item active" aria-current="page">Purchase Orders
                                        </li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                    <section class="section blnk-db ">
                        <%@ include file="../common/error-and-success-message.jsp" %>
                        
                        <div class="card">
                            <div class="card-body">
                                <div class="ig-dflx">
		                         

                                       <!-- <button id="syncFromBill" type="button" class="btn btn-danger">Delete All</button> -->
                                    		
                                       <a href="${pageContext.request.contextPath}/purchaseOrder/addPurchaseOrder" class="btn btn-primary " >  <i class="bi bi-cart-plus "></i> New Purchase Order </a>
                                   
                                </div>
                            </div>  
                        </div>

						<div class="card">
                            <div class="card-body">
                                <div class="c-dflx">
	                                <div class="upld-bill-dlt">
		                                <fieldset class="form-group me-2">
											<select class="form-select" name="formal" id="invoiceType"
												onchange="saveFilterItem()">
												<option selected value="">All Purchase Orders</option>
												<option value="false"
													<c:if test="${param.invoviceStatus eq 'false'}"> selected = "selected" </c:if>>
													   Manual Purchase Orders</option>
												<option value="true"
													<c:if test="${param.invoviceStatus eq 'true'}"> selected = "selected" </c:if>>
												Verified Purchase Orders</option>
											</select>
										</fieldset>
										<fieldset class="form-group me-2">
											<select class="form-select" name="formal" id="filterDeleted"
												onchange="saveFilterItem()">
												<option selected value="">All Purchase Orders</option>
												<option value="false"
													<c:if test="${param.filterDeleted eq 'false'}"> selected = "selected" </c:if>>
													Deleted</option>
												<option value="true"
													<c:if test="${param.filterDeleted eq 'true'}"> selected = "selected" </c:if>>
													Active</option>
											</select>
										</fieldset>
										<fieldset class="form-group me-2">
											<select class="form-select" name="formal" id="filterReceived" onchange="saveFilterItem()">
												<option selected value="">All Purchase Orders</option>
												<option ${param.filterReceived eq 1 ? 'selected' : ''} value="1"> PO Having All 100% Shipment Checkin </option>
												<option ${param.filterReceived eq 2 ? 'selected' : ''} value="2"> PO Having None 100% Shipment Checkin </option>
												<option ${param.filterReceived eq 3 ? 'selected' : ''} value="3"> PO Not received at all </option>
<%-- 											<option ${param.filterReceived eq 4 ? 'selected' : ''} value="4"> PO Having some 100%  and some Partial / None </option> --%>
											</select>
										</fieldset>
										<fieldset class="form-group me-2">
											<input type="button" class="btn btn-warning reset-filters" value="Reset Filters">
										</fieldset>
									</div>
                           		</div>
                        	</div>
                        </div>

                        <div class="card">
                            <div class="card-body">
                               <div class="inv-data-tble table-scroll-c fix-scroll-t">
                                <table class="table table-striped hello-worls vendorPoDatatable" id="vendorPoDatatable">
                                    <thead>
                                        <tr>
                                            <th>PO Number</th>
                                            <th>Vendor Id</th>
                                            <th>Order Date</th>
                                            <th>Ship Date</th>
                                            <th>Cancel Date</th>
                                            <th>Order Total</th>
                                            <th>Final Total</th>
                                             <th>Deleted?</th>
                                            <th>Actions</th>
                                        </tr>
                                    </thead>
                                  
                                </table>
                            </div>
                             </div>

                        </div>
                    </section>
                </div>

                <footer>
                    <div class="footer clearfix mb-0 text-muted c-ftr">
                        <div class="float-start">
                            <p>2021 &copy; Banners Hallmark</p>
                        </div>
                        <div class="float-end">
                            <p>Developed by <span class="text-danger"><i class="bi bi-heart"></i></span>  <a
                                    href="#">Suntek IT Solutions </a></p>
                        </div>
                    </div>
                </footer>
            </div>
        </div>
    		          <!-- Content Header (Page header) -->
    
	    <script src="${pageContext.request.contextPath}/resources/assets/js/main.js"></script>
	   <script>
		var table = null;
	   	$(document).ready(function () {
			$('.po-submenu').show();
			$('.po-submenu').addClass("active");
			// To keep defalult values of datatable
			var pageLength = 10, displayStart = 0;
	    	var searchFilter = "";
	    	var order = [[2,'desc']];
	    	
	    	$(".reset-filters").on("click", function() {
				$("#invoiceType").val("");
	    		$("#filterDeleted").val("");
				$("#filterReceived").val("");
				saveFilterItem();

				$('.dataTables_filter input').val("");
				setSearchData("");
				table.search("").draw();
			});
	    	
			var filterObject = JSON.parse(localStorage.getItem("PurchaseOrderFilter"));
			if(filterObject != null) {
				$("select#invoiceType").val(filterObject.invoiceType);
				$("select#filterDeleted").val(filterObject.filterDeleted);
				$("select#filterReceived").val(filterObject.filterReceived);
				pageLength = Number(filterObject.pageSize);
			 	if(typeof filterObject.displayStart !== 'undefined') {
					displayStart = Number(filterObject.displayStart);
				}
				searchFilter = filterObject.search;
				if(typeof filterObject.sorting !== 'undefined') {
					order = [[filterObject.sorting.col ,filterObject.sorting.dir]];
				} 	
			} else {
				saveFilterItem();
			}
			table=$('#vendorPoDatatable').DataTable({
				serverSide: true,
				scrollX : true,
				"fixedHeader": {
 		            header: true
 		        },
 		       "pageLength": pageLength, 
 		       "displayStart":displayStart,
				"search": {
				    "search": searchFilter
				  },
				"processing": true,
				'order': order, 	
			  	ajax: {
				url : '${pageContext.request.contextPath}/purchaseOrder/getPaginatedVendorPo',
				data: {
						filterDeleted: function(data, type, full) {
							var filterObject = JSON.parse(localStorage.getItem("PurchaseOrderFilter"));
							if(filterObject != null) {
								return filterObject.filterDeleted;
							} else {
								return "";
							}
						},
						invoiceType: function(data, type, full) {
							var filterObject = JSON.parse(localStorage.getItem("PurchaseOrderFilter"));
							if(filterObject != null) {
								return filterObject.invoiceType;
							} else {
								return "";
							}
						},
						filterReceived: function(data, type, full) {
							var filterObject = JSON.parse(localStorage.getItem("PurchaseOrderFilter"));
							if(filterObject != null) {
								return filterObject.filterReceived;
							} else {
								return "";
							}
						}
					},
				},
				info:		true,
				paging:		true,
				serverMethod : 'POST',
				aSort: false,
				"aoColumns": aoColumns,
				"processing": true,
				language: {
					processing: "<div class='loader'></div>",
					paginate: {
 			        	sNext: '<span class="pagination-default">&#x276f;</span>',
 			        	sPrevious: '<span class="pagination-default">&#x276e;</span>'
 			    	}
				}
			});
			table.on("order", function(event,table,type,sortType) {
	    		var filterObject = JSON.parse(localStorage.getItem("PurchaseOrderFilter"));
	    		if(typeof filterObject === 'undefined') {
	    			filterObject = {};
	    		}
	    		var sorting = {
	   				"col":type[0].col, 
	   				"dir": type[0].dir
   				};
	    		filterObject.sorting= sorting;
	    		filterObject.displayStart = table._iDisplayStart;
	    		localStorage.setItem("PurchaseOrderFilter", JSON.stringify(filterObject));
 			});
	    	table.on("page", function(event,table) {
 				console.log("table " , table);
 				var filterObject = JSON.parse(localStorage.getItem("PurchaseOrderFilter"));
	    		if(typeof filterObject === 'undefined') {
	    			filterObject = {};
	    		}
	    		filterObject.displayStart= table._iDisplayStart;
	    		localStorage.setItem("PurchaseOrderFilter", JSON.stringify(filterObject));
 			});

	    	table.on("search", function(event,table,a,b,c) {
 				var data = $('.dataTables_filter input').val();
 				setSearchData(data);
 			});	
			$(".fix-scroll-t .dataTables_scrollBody").floatingScroll();
			$(document).on("change", ".dataTables_length select",saveFilterItem);
		});
	   	function setSearchData(data) {
	   		var filterObject = JSON.parse(localStorage.getItem("PurchaseOrderFilter"));
    		if(typeof filterObject === 'undefined') {
    			filterObject = {};
    		}
    		filterObject.search= data;
    		localStorage.setItem("PurchaseOrderFilter", JSON.stringify(filterObject));
	   	}
	   	function saveFilterItem() {
			var filterObject = {};
			filterObject.invoiceType =  $("select#invoiceType").val();
			filterObject.filterDeleted = $("select#filterDeleted").val();
			filterObject.filterReceived = $("select#filterReceived").val();

			var pageSize = 10;
			if(typeof $('.dataTables_length select').val() !== 'undefined') {
				pageSize = $('.dataTables_length select').val();
			}
			filterObject.pageSize = pageSize;

			localStorage.setItem("PurchaseOrderFilter", JSON.stringify(filterObject));
			if(table != null) {
				table.ajax.reload();
			}
		}

	 	$('#syncFromBill').on('click', function(e){
			if(confirm('Are you sure to delete all purchase orders?')){
				document.getElementById("syncFromBill").disabled = true;
				window.location = "${pageContext.request.contextPath}/purchaseOrder/deletePurchaseOrderAll";
			}
	   	});

		var aoColumns = [{
		      "mData": "poNumber"
		    }, {
		      "mData": "vendorNo"
		    },{
		    	"mData": null,
		      	"mRender": function(data, type, full) {
		      		return toDate(full.orderDate);
		      	}
		    },{
		    	"mData": null,
		      	"mRender": function(data, type, full) {
		      		return toDate(full.shipDate);
		      	}
		    },{
		    	"mData": null,
		      	"mRender": function(data, type, full) {
		      		return toDate(full.cancelDate);
		      	}
		    },{
		      "mData": "orderTotal"
		    },{
			   "mData": "finalTotal"
			  },
			  {
				  "mData": null,
			      	//"bSortable": false,
			      	"mRender": function(data, type, full) {
			      		var status="";
			      		
			      		if(full.isActive == true)
			      			{
			      			status+="Active";
			      			}else{status+="Deleted";}		
			      	   return(status) 	
			      	}
			},{
		      "mData": null,
		      "bSortable": false,
		      "mRender": function(data, type, full) {
		    	  var value = '<div class="action-buttons">'; 
		    	  var deletevalue = 'Are you sure to Undelete?';
		        	value += ' <a  href=${pageContext.request.contextPath}/purchaseOrder/viewPurchaseOrderDetails/'+full.id+'>'+ 
                  	' <span class="badge bg-info">	<i class="bi bi-eye-fill"></i>  </span></a>';
			        if( full.isActive != true) {
					        value += '<a class="red" href=${pageContext.request.contextPath}/purchaseOrder/unDeletePurchaseOrder/'+full.id+'  onclick="return confirm(\'Are you sure to undelete?\')">'+	
					        '<span class="badge btn-warning"><img class="icon-image" src="${pageContext.request.contextPath}/resources/assets/images/un-delete.png"></span></a>'+
		                 	' <a class="delete-temp" href=${pageContext.request.contextPath}/purchaseOrder/deletePermanently/'+full.id+' onclick="return confirm(\'Are you sure to delete Permanently?\')" title="Delete Permanently" id="remove">'+
		                    '<span class="badge bg-info"><i class="bi bi-trash-fill"></i></span> </a>';       
			        } else {
				        	value += ' <a href=${pageContext.request.contextPath}/purchaseOrder/getVendorPO/'+full.id+'>'+ 
		                  	' <span class="badge bg-success">	<i class="bi bi-pencil"></i>  </span></a>'+
		                 	' <a title="Safe Delete" href=${pageContext.request.contextPath}/purchaseOrder/deletePurchaseOrder/'+full.id+' onclick="return confirm(\'Are you sure to delete?\')" id="remove">'+
		                    '<span class="badge bg-danger"><i class="bi bi-trash-fill"></i></span> </a>';
		                 
				        }

					value += '</div>';
					return value;
		    	}
			}];
		</script>

	</body>
</html>