<!DOCTYPE html>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<html>
    <head>
        <title>Banners Hallmark | Purchase Orders</title>
    </head>
    <body>
    	<div id="main" class='layout-navbar'>
            
            <div id="main-content">

                <div class="page-heading">
                    <div class="page-title mb-5">
                        <div class="row">
                            <div class="col-12 col-md-6 order-md-1 order-last">
                                <h3>Purchase Orders</h3>
                                <!-- <p class="text-subtitle text-muted">Navbar will appear in top of the page.</p> -->
                            </div>
                            <div class="col-12 col-md-6 order-md-2 order-first">
                                <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                                    <ol class="breadcrumb">
                                        <li class="breadcrumb-item"><a href="${pageContext.request.contextPath}">Dashboard</a></li>
                                        <li class="breadcrumb-item active" aria-current="page">Purchase Orders
                                        </li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                    <section class="section blnk-db ">
                        <%@ include file="../common/error-and-success-message.jsp" %>
                        
                        <div class="card">
                            <div class="card-body">
                                <div class="ig-dflx">
		                         

                                       <!-- <button id="syncFromBill" type="button" class="btn btn-danger">Delete All</button> -->
                                    		
                                       <a href="${pageContext.request.contextPath}/purchaseOrder/addPurchaseOrder" class="btn btn-primary " >  <i class="bi bi-cart-plus "></i> New Purchase Order </a>
                                   
                                </div>
                            </div>  
                        </div>

						<div class="card">
                            <div class="card-body">
                                <div class="c-dflx">
	                                <div class="upld-bill-dlt">
		                                <fieldset class="form-group me-2">
											<select class="form-select" name="formal" id="invoiceType"
												onchange="handleSelect()">
												<option selected value="">All Purchase Orders</option>
												<option value="false"
													<c:if test="${param.invoviceStatus eq 'false'}"> selected = "selected" </c:if>>
													   Manual Purchase Orders</option>
												<option value="true"
													<c:if test="${param.invoviceStatus eq 'true'}"> selected = "selected" </c:if>>
												Verified Purchase Orders</option>
											</select>
										</fieldset>
										<fieldset class="form-group me-2">
											<select class="form-select" name="formal" id="filterDeleted"
												onchange="handleSelect()">
												<option selected value="">All Purchase Orders</option>
												<option value="false"
													<c:if test="${param.filterDeleted eq 'false'}"> selected = "selected" </c:if>>
													Deleted</option>
												<option value="true"
													<c:if test="${param.filterDeleted eq 'true'}"> selected = "selected" </c:if>>
													Active</option>
											</select>
										</fieldset>
										<fieldset class="form-group me-2">
											<select class="form-select" name="formal" id="filterReceived" onchange="handleSelect()">
												<option selected value="">All Purchase Orders</option>
												<option ${param.filterReceived eq 1 ? 'selected' : ''} value="1"> PO Having All 100% Shipment Checkin </option>
												<option ${param.filterReceived eq 2 ? 'selected' : ''} value="2"> PO Having None 100% Shipment Checkin </option>
												<option ${param.filterReceived eq 3 ? 'selected' : ''} value="3"> PO Not received at all </option>
<%-- 											<option ${param.filterReceived eq 4 ? 'selected' : ''} value="4"> PO Having some 100%  and some Partial / None </option> --%>
											</select>
										</fieldset>
									</div>
                           		</div>
                        	</div>
                        </div>

                        <div class="card">
                            <div class="card-body">
                               <div class="inv-data-tble">
                                <table class="table table-striped" id="table-poTable">
                                    <thead>
                                        <tr>
                                            <th>PO Number</th>
                                            <th>Vendor Id</th>
                                            <th>Order Date</th>
                                            <th>Ship Date</th>
                                            <th>Cancel Date</th>
                                            <th>Order Total</th>
                                            <th>Final Total</th>
                                             <th>Deleted?</th>
                                            <th>Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    
                                    	<c:forEach var="vendorPO" items="${vendorPOs}">
											<tr>
												<td>${vendorPO.poNumber}</td>
												<td>${vendorPO.vendor.vendorNo}</td>										
												<td>${vendorPO.orderDateCpmvert}</td>
												<td>${vendorPO.shipDateConvert}</td>
												<td>${vendorPO.cancelDateConvert}</td>
												<td>${vendorPO.orderTotal}</td>
												<td>${vendorPO.finalTotal}</td>
												<td>
												<c:choose>
												   	<c:when test="${ not vendorPO.isActive}">
												   	Deleted     
												    </c:when> 
												    <c:otherwise>
												    Active
												    </c:otherwise>
												    </c:choose>
												</td>
											<td class="td-actions">
					                           <c:choose>
												  <c:when test="${ not vendorPO.isActive}">
															<a class="red"
																href="${pageContext.request.contextPath}/purchaseOrder/unDeletePurchaseOrder/${vendorPO.id}"
																onclick="return confirm('Are you sure to Undelete?')"
																id="remove"> <span class="badge btn-warning">
																	<img class="icon-image" src="${pageContext.request.contextPath}/resources/assets/images/un-delete.png">
															</span>
															</a>
														</c:when>
												    <c:otherwise>
												     <a  href="${pageContext.request.contextPath}/purchaseOrder/getVendorPO/${vendorPO.id}"> 
					                                	 <span class="badge bg-success">	<i class="bi bi-pencil"></i>  </span>
					                                </a>
					                                <a class="red" href="${pageContext.request.contextPath}/purchaseOrder/deletePurchaseOrder/${vendorPO.id}" onclick="return confirm('Are you sure to delete?')" id="remove">
					                                   <span class="badge bg-danger"><i class="bi bi-trash-fill"></i></span>
					                                </a>
												    </c:otherwise>
												</c:choose>
					                            </td>		                            
											</tr>
										</c:forEach>
                                       
                                       </tbody>
                                </table>
                            </div>
                             </div>

                        </div>
                    </section>
                </div>

                <footer>
                    <div class="footer clearfix mb-0 text-muted c-ftr">
                        <div class="float-start">
                            <p>2021 &copy; Banners Hallmark</p>
                        </div>
                        <div class="float-end">
                            <p>Developed by <span class="text-danger"><i class="bi bi-heart"></i></span>  <a
                                    href="#">Suntek IT Solutions </a></p>
                        </div>
                    </div>
                </footer>
            </div>
        </div>
    		          <!-- Content Header (Page header) -->
    
	    <script src="${pageContext.request.contextPath}/resources/assets/js/main.js"></script>
	   <script>
	   	$(document).ready(function (){
			$('.po-submenu').show();
			$('.po-submenu').addClass("active");
		});
	   
	    function handleSelect() {
	    	var deleted = $("#filterDeleted").val();
	    	var filterReceived = $("#filterReceived").val();
	    	var invoiceType = $("#invoiceType").val();
	    	url = "${pageContext.request.contextPath}/purchaseOrder/vendorPoStatus" + 
	    				"?invoviceStatus=" + invoiceType + 
   						"&filterDeleted=" + deleted + 
   						"&filterReceived=" + filterReceived;
// 	    	
// 	    	${param.filterDeleted}
	       	window.location = url;
	    }
	   
	 	$('#syncFromBill').on('click', function(e){
	 		
	 		  if(confirm('Are you sure to delete all purchase orders?')){
	 			 document.getElementById("syncFromBill").disabled = true;
	 			window.location = "${pageContext.request.contextPath}/purchaseOrder/deletePurchaseOrderAll";
	 			
	 		  
	 		  }
	   			
	   	});
	   
	   </script>
		          
	</body>
</html>