<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<!DOCTYPE html>
<html>
    <head>
        <title>Banner's Hallmark | Purchase Orders</title>        
    </head>
    
    <style>
    select {
        width:180px;
        height:35px
    }
    </style>
	
    <body>

	<!-- Content Header (Page header) -->
	<section class="content-header">
		<h1>
			Purchase Orders<!--  <small>advanced tables</small> -->
		</h1>
		<c:if test="${not empty msg}">
			<p id="hide"   style="color: red;">${msg}</p>
		</c:if>
	</section>

	<!-- Main content -->
	<section class="content">
		<div class="row">
		<div></div>
			<div class="col-xs-12">
			
				<div class="box">
	
						<div class="box-header">						
						<div class="box-tools">
	                		<div class="input-group input-group-sm" style="width: 150px;">
	                		<p class="text-right"><button class="btn btn-default"><i class="fa fa-plus"></i> <a href="${pageContext.request.contextPath}/purchaseOrder/addPurchaseOrder">New Purchase Order</a></button></p>
	              
	                	 <select name="formal"  id="invoiceType" onchange="javascript:handleSelect(this)" required>                	
	                		<option value="${pageContext.request.contextPath}/purchaseOrder/purchaseOrders" >All Purchase Orders</option>
	                				
	                		<option value="${pageContext.request.contextPath}/purchaseOrder/vendorPoStatus/false"
																<c:if test="${requestScope['javax.servlet.forward.request_uri'].indexOf('false') >= 0}"> selected = "selected" </c:if>
																  >
										  														
						    Manual Purchase Orders</option>
						    
						    <option value="${pageContext.request.contextPath}/purchaseOrder/vendorPoStatus/true"
																<c:if test="${requestScope['javax.servlet.forward.request_uri'].indexOf('true') >= 0}"> selected = "selected" </c:if>
																  >
							Verified Purchase Orders</option>
							</select>
		                	 
	                	</div>	
	              	</div>
					</div>

					<!-- /.box-header -->
					<div class="box-body table-responsive">
						<table id="example" class="table table-bordered table-striped">
							<thead>
								<tr>
									<th>PO Number</th>
									<th>Vendor Number</th>
									<th>Order Date</th>
									<th>Ship Date</th>
									<th>Cancel Date</th>
									<th>Order Total</th>
									<th>Final Total</th>
									<th>Actions</th>
								</tr>
							</thead>
							<tbody>
								<c:forEach var="vendorPO" items="${vendorPOs}">
									<tr>
										<td>${vendorPO.poNumber}</td>
										<td>${vendorPO.vendor.vendorNo}</td>										
										<td>${vendorPO.orderDateCpmvert}</td>
										<td>${vendorPO.shipDateConvert}</td>
										<td>${vendorPO.cancelDateConvert}</td>
										<td>${vendorPO.orderTotal}</td>
										<td>${vendorPO.finalTotal}</td>
									<td class="td-actions">
			                                <div class="action-buttons">
			                                   <a class="" title="Edit" href="${pageContext.request.contextPath}/purchaseOrder/getVendorPO/${vendorPO.id}">
			                                   	<button  class="btn btn-primary btn-xs" ><i class="fa fa-pencil"></i></button></a>&nbsp;
			                                	<a class="red" href="${pageContext.request.contextPath}/purchaseOrder/deletePurchaseOrder/${vendorPO.id}" id="remove">
			                                   	<button  class="btn btn-danger btn-xs"><i class="fa fa-trash-o"></i></button></a>&nbsp;
			                                 </div>			                                
			                            </td>		                            
									</tr>
								</c:forEach>							
							</tbody>
						</table>
					</div>
					<!-- /.box-body -->
				</div>
				<!-- /.box -->
			</div>
		</div>

	</section>
	<!-- /.content -->

	<script src="${pageContext.request.contextPath}/resources/js/modules/alert/deleteAlert.js" type="text/javascript"></script>
    <script>
	    $(document).ready(function (){
	     	
	   	   var table = $('#example').DataTable({
	   	     'order': [[2, 'desc']]
	   	   })  
	   	   
	   	$("#hide").delay(5000).fadeOut(500);
	    });    	
	    $('INPUT[type="file"]').change(function () {
		    var ext = this.value.match(/\.(.+)$/)[1];
		    switch (ext) {
		        case 'xls':
		        case 'xlsx':
		            $('#uploadButton').attr('disabled', false);
		            break;
		        default:
		            alert("Only '.xls' and '.xlsx' file formats are allowed");
			        $('#uploadButton').attr('disabled', true);
		            this.value = '';
		    }
		});
	    
	    function handleSelect(elm)
	    {
	       window.location = elm.value;
	    }
	
   	    </script>
    
    </body>
</html>