<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<!DOCTYPE html>
<html>
<head>
<title>Banners Hallmark - View Purchase Order</title>
<style type="text/css">
	.dataTables_scrollBody table.view-details-table {
		width: 100% !important;
	}
	.store , .pack , .quantity , .unitCost , .discountedCost , .retail , .gmPercent {
		max-width: 100px;
	}
	.form-control-error {
		box-shadow: 0 0 4px red, 0 0 6px red;
	}
</style>
</head>
<body>
	<div id="main" class='layout-navbar'>
		<div id="main-content">
			<div class="page-heading">
				<div class="page-title mb-5">
					<div class="row">
						<div class="col-12 col-md-6 order-md-1 order-last">
							<h3>View Purchase Order</h3>
						</div>
						<div class="col-12 col-md-6 order-md-2 order-first">
							<nav aria-label="breadcrumb"
								class="breadcrumb-header float-start float-lg-end">
								<ol class="breadcrumb">
									<li class="breadcrumb-item"><a href="${pageContext.request.contextPath}/purchaseOrder/purchaseOrders">All Purchase Orders</a></li>
									<li class="breadcrumb-item active" aria-current="page">View Purchase Order</li>
								</ol>
							</nav>
						</div>
					</div>
				</div>

				<section class="section blnk-db">
					<div class="eror-msg" style="display: none;">
						<div class="card">
							<div class="card-body error-msg">
								<p class="text-danger"> <c:if test="${not empty msg}"> Error - ${msg} </c:if></p>
								<a class="delete-msg btn btn-danger">X</a>
							</div>
						</div>
					</div>
					<div class="card tp-inpt">
						<div class="card-body">
							<div class="row">
								<div class="col-md-4 col-12">
									<div class="form-group">
										<label for="ponumber">PO Number : </label>
										<label>${vendorPO.poNumber}</label>
									</div>
								</div>
								<div class="col-md-4 col-12">
									<div class="form-group">
										<label for="vendor">Vendor Id :</label>
										<label>${vendorPO.vendor.vendorNo}</label>
									</div>
								</div>
								<div class="col-md-4 col-12">
									<div class="form-group">
										<label for="vendor-name">Vendor Name :</label> 
										<label>${vendorPO.vendor.vendorName}</label> 
									</div>
								</div>
								<div class="col-md-4 col-12">
									<div class="form-group">
										<label for="rep-email">Rep Email :</label>
										<label>${vendorPO.vendor.repEmail}</label>
									</div>
								</div>
								<div class="col-md-4 col-12">
									<div class="form-group">
										<label for="rep-phone-number">Rep Phone Number :</label>
										<label>${vendorPO.vendor.repPhoneNumber}</label>
									</div>
								</div>
								<div class="col-md-4 col-12">
									<div class="form-group">
										<label for="terms">Terms :</label>
										<label>${vendorPO.vendor.paymentTermsName}</label>
									</div>
								</div>
								<div class="col-md-4 col-12">
									<div class="form-group">
										<label for="order-date">Order Date :</label>
										<label id="orderDate"></label>
									</div>
								</div>
								<div class="col-md-4 col-12">
									<div class="form-group">
										<label for="ship-date">Ship Date :</label>
										<label id="shipDate"></label>
									</div>
								</div>
								<div class="col-md-4 col-12">
									<div class="form-group">
										<label for="cancel-date">Cancel Date :</label>
										<label id="cancelDate"></label>
									</div>
								</div>
								<div class="col-md-4 col-12">
									<div class="form-group">
										<label for="expected-date">Expected Date :</label>
										<label id="expectedDate"></label>
									</div>
								</div>
								<div class="col-md-4 col-12">
									<div class="form-group mb-0">
										<label for="order-total">Order Total :</label>
										<label>${vendorPO.orderTotal}</label>
									</div>
								</div>
								<div class="col-md-4 col-12">
									<div class="form-group mb-0">
										<label for="final-total">Final Total :</label>
										<label>${vendorPO.finalTotal}</label>
										<input type="hidden" name="discountMethod" id="discountMethod" value="${vendorPO.vendor.discountOptions}" />
										<input type="hidden" name="discountPercentOnSubtotal" id="discountPercentOnSubtotal" 
											value="${vendorPO.vendor.discountPercentOnSubtotal}" />
										<input type="hidden" name="discountPercentOnEachProduct" id="discountPercentOnEachProduct" 
											value="${vendorPO.vendor.discountPercentOnEachProduct}" />
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="card">
						<div class="card-body apnd-tble">
							<div class="cln-tble mb-5">
								<div class="table-responsive table-scroll-c c-tble mb-4 norm-tble fix-scroll-t">
									<table class="table table-striped mb-0 view-details-table">
										<thead>
											<tr>
												<th>VPN</th>
												<th>UPC</th>
												<th>Site</th>
												<th>Item Number</th>
												<th>Description</th>
												<th>Pack</th>
												<th>Pack Factor</th>
												<th>Quantity</th>
												<th>CBM</th>
												<th>Unit Cost</th>
												<th>Extended Cost</th>
												<th>Retail</th>
												<th>GM(%)</th>
												<th>Action</th>
											</tr>
										</thead>
										<tbody>
										</tbody>
									</table>
								</div>
							</div>
						</div>
					</div>
				</section>
			</div>
			<footer>
				<div class="footer clearfix mb-0 text-muted c-ftr">
					<div class="float-start">
						<p>2021 &copy; Banners Hallmark</p>
					</div>
					<div class="float-end">
						<p>
							Developed by <span class="text-danger"><i class="bi bi-heart"></i></span> <a href="#">Suntek IT Solutions </a>
						</p>
					</div>
				</div>
			</footer>
		</div>
	</div>
	<script src="${pageContext.request.contextPath}/resources/assets/js/main.js"></script>

	<script type="text/javascript">
		var saveSvgIcon = '<svg style="width: 30px;" class="svg-inline--fa fa-save fa-w-14 fa-fw select-all" aria-hidden="true" focusable="false" data-prefix="fas" data-icon="save" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512" data-fa-i2svg=""><path fill="currentColor" d="M433.941 129.941l-83.882-83.882A48 48 0 0 0 316.118 32H48C21.49 32 0 53.49 0 80v352c0 26.51 21.49 48 48 48h352c26.51 0 48-21.49 48-48V163.882a48 48 0 0 0-14.059-33.941zM224 416c-35.346 0-64-28.654-64-64 0-35.346 28.654-64 64-64s64 28.654 64 64c0 35.346-28.654 64-64 64zm96-304.52V212c0 6.627-5.373 12-12 12H76c-6.627 0-12-5.373-12-12V108c0-6.627 5.373-12 12-12h228.52c3.183 0 6.235 1.264 8.485 3.515l3.48 3.48A11.996 11.996 0 0 1 320 111.48z"></path></svg>';
		var editIcon = '<span class="badge bg-info"><i class="bi bi-pencil-fill"></i></span>';
		function yyyymmddTOmmddyyyy(yyyymmdd) {
			if(yyyymmdd == 'undefined' || yyyymmdd == null || yyyymmdd=='') {
				return '';
			}
			var arr = yyyymmdd.split("-");
			if(arr.length == 3) {
				return arr[1] + "/" + arr[2] + "/" + arr[0];
			}
			return '';
		}
		var expecteDate = '${vendorPO.expecteDate}';
		var cancelDate = '${vendorPO.cancelDate}';
		var shipDate = '${vendorPO.shipDate}';
		var orderDate = '${vendorPO.orderDate}';
		$(document).ready(function() {
			$("#expectedDate").html(yyyymmddTOmmddyyyy(expecteDate));
			$("#cancelDate").html(yyyymmddTOmmddyyyy(cancelDate));
			$("#shipDate").html(yyyymmddTOmmddyyyy(shipDate));
			$("#orderDate").html(yyyymmddTOmmddyyyy(orderDate));
		});
		var numaricFields = ["upc","itemNumber","pack","quantity","unitCost","discountedCost","retail", "gmPercent"];
		var nonEditableFields = ["store"];
		var aoColumns = [{
		    "mData": "vpn"
		},{
		    "mData": "upc"
		},{
		    "mData": "store"
		}, {
		    "mData": "itemNumber"
		}, {
		    "mData": "description"
		}, {
		    "mData": "pack"
		}, {
		    "mData": "packFactor"
		}, {
		    "mData": "quantity"
		}, {
		    "mData": "cbm"
		}, {
		    "mData": "unitCost"
		}, {
		    "mData": "discountedCost"
		}, {
		    "mData": "retail"
		}, {
		    "mData": "gmPercent"
		}, {
		    "mData": null,
		    "mRender": function(data, type, full) {
		    	var idHidden = getInput("id", "hidden", data.id);
		        return idHidden +
		        ' <div class="action-buttons"> <a class="edit button">'+ editIcon +'</a>' +
              	' </div>';
		    }
		}];

		var datatableView = $(".view-details-table").DataTable({
			serverSide: true,
			scrollX : true,
			ajax: {
					url : '${pageContext.request.contextPath}/purchaseOrder/getPaginatedPODetails',
					data: {
						poNumber: function() {
							var poNumber = "${vendorPO.poNumber}";
							return poNumber;
						}
					}
				},
		 	info:           true,
		    paging:         true,
		    serverMethod : 'POST',
		    ordering: true,
		    order: [[2, 'asc']],
			"aoColumns": aoColumns,
			"processing": true,
			language: {
				processing: "<div class='loader'></div>"
			},
			oLanguage: {
		      	oPaginate: {
		        	sNext: '<span class="pagination-default">&#x276f;</span>',
		        	sPrevious: '<span class="pagination-default">&#x276e;</span>'
		    	}
			}
		});
		$(".fix-scroll-t .dataTables_scrollBody").floatingScroll();
	
		/* Editable datatable :: START */
		datatableView.on('click', '.edit', function () {
			var row = $(this).closest('tr');
			var dataTableRow = datatableView.row(row);

			if(row.find("input[name=vpn]").length == 0) {
				editable(row,dataTableRow);
				row.find(".edit").html(saveSvgIcon);
			} else {
				removeOldErrors();
				var isValid = validate(row);
				if(isValid) {
					var rowObject = readRowObject(row);
					console.log("rowObject", JSON.stringify(rowObject));

					$.ajax({
			            url:"${pageContext.request.contextPath}/ajax/savePoDetailsData",
			            data: JSON.stringify(rowObject),
		   				type: "POST",
		   				contentType: "application/json; charset=utf-8",
		   				success: function (response) {
	   						if(response.result == "Success") {
	   						}if(response.result == "ERROR") {
	   							alert("Something went wrong, Please try again after sometime");
	   						} else if(response.result == 'noPermission') {
	   							alert("You don't have permission for this action.");
	   						}
		   				}
		   			});
					dataTableRow.data()["vpn"] = rowObject["vpn"];
					dataTableRow.data()["upc"] = rowObject["upc"];
					dataTableRow.data()["itemNumber"] = rowObject["itemNumber"];
					dataTableRow.data()["description"] = rowObject["description"];
					dataTableRow.data()["pack"] = rowObject["pack"];
					dataTableRow.data()["packFactor"] = rowObject["packFactor"];
					dataTableRow.data()["quantity"] = rowObject["quantity"];
					dataTableRow.data()["cbm"] = rowObject["cbm"];
					dataTableRow.data()["unitCost"] = rowObject["unitCost"];
					dataTableRow.data()["discountedCost"] = rowObject["discountedCost"];
					dataTableRow.data()["retail"] = rowObject["retail"];
					dataTableRow.data()["gmPercent"] = rowObject["gmPercent"];
					viewable(row,dataTableRow);
					row.find(".edit").html(editIcon);
				} else {
				
				}
			}
			$($.fn.dataTable.tables(true)).DataTable().columns.adjust().responsive.recalc();
		});

		$(document).on('change', '.form-control-error', function() {
	        var input = $(this);
	        var value = input.val();
	        if(value == null || value.trim()  == ""); else {
	            input.removeClass("form-control-error");
	        }
	    });

		function removeOldErrors() {
			$('input.form-control-error').each(function(index, data){
				$(data).removeClass("form-control-error");
		    });
		}
		function validate(row) {
			var isValid = true;
			for (var i=0; i<aoColumns.length; i++) {
				var aoData = aoColumns[i];
				if(aoData["mData"] != null && aoData["mData"] != 'description') {
					var element = row.find("input[name=" + aoData['mData'] + "]");
					if(element.length > 0 && (element[0].value == null || typeof element[0].value == 'undefined' || element[0].value == '')) {
						element.addClass("form-control-error");
						isValid = false;
						element.focus();
					}
				}
			}
			return isValid;
		}

		function readRowObject(row) {
			var rowObject ={};
			var id = row.find("input[name=id]").val();
			rowObject.id = id;
			for (var i=0; i<aoColumns.length; i++) {
				var aoData = aoColumns[i];
				if(aoData["mData"] != null ) {
					var element = row.find("input[name=" + aoData['mData'] + "]");
					if(element.length > 0) {
						rowObject[aoData["mData"]] = element[0].value;
					}
				}
			}
			return rowObject;
		}
		function viewable(row, datatableRow) {
			var tr ="";
 		    for (var i=0; i<aoColumns.length; i++) {
				var aoData = aoColumns[i];
				var td = '<td>';
				if(aoData["mData"] != null) {
					element = datatableRow.data()[aoData["mData"]] != null ? datatableRow.data()[aoData["mData"]] : '';
				} else {
					element = aoData["mRender"](datatableRow.data());
				}
				td += element + '</td>';
				tr += td;
			}
			row.html(tr);
		}
		function editable(row, datatableRow) {
			var tr ="";
 		    for (var i=0; i < aoColumns.length; i++) {
				var aoData = aoColumns[i];
				var td = '<td>';
				var inputE;
				var inputType = "text";
				if(numaricFields.indexOf(aoData["mData"]) >= 0) {
					inputType = "number";
				}
				if(aoData["mData"] != null) {
					if(nonEditableFields.indexOf(aoData["mData"]) >= 0) {
						inputE = datatableRow.data()[aoData["mData"]];
					} else {
						inputE = getInput(aoData["mData"], inputType, datatableRow.data()[aoData["mData"]],'form-control ' + aoData["mData"]);
					}
				} else {
					inputE = aoData["mRender"](datatableRow.data());
				}
				td += inputE + '</td>';
				tr += td;
			}
			row.html(tr);
		}

		function getInput(name, inputType, value, cssClass, extraProperties) {
	 		var inputE = '<input';
			inputE += " name='"+name + "'";

			if(typeof cssClass != 'undefined' && cssClass != null) {
		 		inputE += " class='"+ cssClass +"'";
			}
			if(typeof inputType != 'undefined' && inputType != null) {
				inputE += " type='" + inputType + "'";
			} else {
				inputE += " type=text";
			}
			if(typeof value != 'undefined' && value != null) {
				inputE += " value='" + value + "'"; // invoiceItem[property];
			}
			if(typeof extraProperties != 'undefined' && extraProperties != null) {
				inputE += " " + extraProperties;
			}
			return inputE + ">";
	 	}
		
		function showSingleError(errorMessage) {
			var error = "Error - " + errorMessage;
			$('.eror-msg .text-danger').html(error);
			$('.eror-msg').show();
		}
		
		/* Editable datatable :: END */
		
	</script>
</body>
</html>
