<!DOCTYPE html>
<%@page import="com.bannershallmark.util.DateUtils"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<html>
    <head>
        <title>Banners Hallmark - Receives</title>
	    <style type="text/css">
		   	.fixedHeader-floating.hello-worls.receivesDatatable thead tr {
			   width: calc(100vw - 428px);
			}
			.fixedHeader-floating.hello-worls.receivesDatatable thead tr th {
			    white-space: nowrap;
			    padding: 15px 40px 15px 15px;
			}
			input[type=date] {
			    width: 170px;
			}
	    </style>
    </head>
    <body>
		<div id="main" class='layout-navbar'>
		
		 <div id="main-content">

                <div class="page-heading">
                    <div class="page-title mb-5">
                        <div class="row">
                            <div class="col-12 col-md-6 order-md-1 order-last">
                                <h3>Receives</h3>
                                <!-- <p class="text-subtitle text-muted">Navbar will appear in top of the page.</p> -->
                            </div>
                            <div class="col-12 col-md-6 order-md-2 order-first">
                                <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                                    <ol class="breadcrumb">
                                        <li class="breadcrumb-item"><a href="${pageContext.request.contextPath}">Dashboard</a></li>
                                        <li class="breadcrumb-item active" aria-current="page">Receives
                                        </li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                    <section class="section blnk-db ">
                    	<div class="card">
                            <div class="card-body">
								<div class="">
									<div class="upld-bill-dlt">
										<fieldset class="form-group me-2 select2-custom">
											<select class="form-select" id="filterVendorId" style="max-width: 185px;">
												<option value="" selected="selected"> All Vendors </option>	
												<c:forEach items="${filterVendors}" var="vendor">
													<option value="${vendor.vendorNo}">[${vendor.vendorNo}] ${vendor.vendorName}</option>
												</c:forEach>
											</select>
										</fieldset>
										<fieldset class="form-group me-2 select2-custom">
											<select class="form-select" id="filterStores" style="max-width: 185px;">
												<option value="" selected="selected"> All Sites </option>	
												<c:forEach items="${filterStores}" var="store">
													<option value="${store.store}">[${store.store}] ${store.storeName}</option>	
												</c:forEach>
											</select>
										</fieldset>
										<fieldset class="form-group me-2">
											<select class="form-select" id="filterShipmentCheckin">
												<option value="" selected="selected">All Shipment Status</option>	
												<option value="100%">100%</option>	
												<option value="Partial">Partial</option>	
												<option value="Blank"></option>	
											</select>
										</fieldset>
										<fieldset class="form-group me-1">
											<Label style="font-weight: bold;">From:</Label>
										</fieldset> 
										<fieldset class="form-group me-2">
											<input type="date" class="form-control from-date" placeholder="From Date">
										</fieldset> 
										<fieldset class="form-group me-1">
											<Label style="font-weight: bold;">To:</Label>
										</fieldset> 
										<fieldset class="form-group me-2">
											<input type="date" class="form-control to-date" placeholder="To Date">
										</fieldset>
									</div>
									<div class="upld-bill-dlt">
										<fieldset class="form-group me-2">
											<select class="form-select" id="receiveInvoiceFilter" style="max-width: 185px;">
												<option value="" selected="selected"> All Receives </option>	
												<option value="1" selected="selected">Receives Not Having Invoice</option>	
											</select>
										</fieldset>
										<fieldset class="form-group me-2">
											<input type="button" class="btn btn-warning reset-filters" value="Reset Filters">
										</fieldset>
									</div>
								</div>
							</div>  
                        </div>
                        <div class="card">
                            <div class="card-body">
                             <div class="inv-data-tble fix-scroll-t">
                                <table class="table table-striped hello-worls receivesDatatable" id="receivesDatatable">
                                    <thead>
                                        <tr>
                                            <th class="po-number-r">PO Number</th>
                                            <th class="vendor-r" >Vendor Id</th>
                                            <th class="store-r" >Site</th>
                                            <th class="store-r" >Invoice Number</th>
                                            <th class="store-r" >Order Number</th>
                                            <th class="store-r" >Qty Received</th>
                                            <th class="ship-chk-n-r" >Shipment Check In</th>
                                            <th class="lod-r" >List Of Damages</th>
                                            <th class="prp-r" >Person Receive Product</th>
                                            <th class="prp-r" >TimeStamp</th>
                                            <th class="ps-r" >Packing Slip</th>
                                        </tr>
                                    </thead>
                                </table>
                            </div>
                             </div>
                        </div>
                    </section>
                </div>
                <footer>
                    <div class="footer clearfix mb-0 text-muted c-ftr">
                        <div class="float-start">
                            <p>2021 &copy; Banners Hallmark</p>
                        </div>
                        <div class="float-end">
                            <p>Developed by <span class="text-danger"><i class="bi bi-heart"></i></span>  <a
                                    href="#">Suntek IT Solutions </a></p>
                        </div>
                    </div>
                </footer>
            </div>
		</div>
	 	<script src="${pageContext.request.contextPath}/resources/assets/js/jquery-ui.js"></script>
	    <script src="${pageContext.request.contextPath}/resources/assets/js/main.js"></script>

		<script>
		var aoColumns = [{
		      "mData": "ponumber"
		    }, {
		      "mData": "vendor"
		    }, {
		      "mData": "store"
		    }, {
		      "mData": "invoiceNumber"
		    }, {
		      "mData": "orderNumber"
		    }, {
		      "mData": "noOfItemsReceived"
		    }, {
		      "mData": "shipmentCheckin"
		    }, {
		      "mData": "listOfDamages"
		    }, {
		      "mData": "personReceiveProduct"
		    }, {
		    	"mData": null,
		      	"mRender": function(data, type, full) {
		      		return toDate(full.timeStamp);
//       			return (new Date(full.timeStamp).getMonth()+1) + "/" + new Date(full.timeStamp).getDate() + "/" +  new Date(full.timeStamp).getFullYear()
		      	}
		    }, {
		      "mData": null,
		      "bSortable": false,
		      "mRender": function(data, type, full) {
		        return  '<div class="action-buttons">' +
		        '	<a class="" title="View Slip" href=' + full.packingSlip + ' target="_blank">'+
		        '	<span class="badge bg-info"><i class="bi bi-sticky"></i></span></a>'+
	        	'</div>';
		      }
		    }];
			var table=null;
			$(document).ready(function() {
				// To keep defalult values of datatable
				var pageLength = 10, displayStart = 0;
		    	var searchFilter = "";
		    	var order = [[1,'desc']]; 
				$("#filterVendorId").select2();
				$("#filterStores").select2();
				
				$(".reset-filters").on("click", function() {
					$("#filterVendorId").val("");
					$("#filterStores").val("");
					$(".from-date").val("");
		    		$(".to-date").val("");
		    		$("#receiveInvoiceFilter").val("");
		    		$("#filterShipmentCheckin").val("");
		    		$('#filterVendorId').trigger('change');
		    		$('#filterStores').trigger('change');
		    		
		    		$('.dataTables_filter input').val("");
					setSearchData("");
					table.search("").draw();
				});

				var filterObject = JSON.parse(localStorage.getItem("ReceivesFilter"));
				if(filterObject != null) {
					$("#filterVendorId").val(filterObject.vendorId);
					$('#filterVendorId').trigger('change');
					$("#filterStores").val(filterObject.store);
					$(".from-date").val(filterObject.fromDate);
		    		$(".to-date").val(filterObject.toDate);
		    		$("#filterShipmentCheckin").val(filterObject.shipmentCheckin);
					pageLength = Number(filterObject.pageSize);
				 	if(typeof filterObject.displayStart !== 'undefined') {
						displayStart = Number(filterObject.displayStart);
					}
				 	if(typeof filterObject.receiveInvoiceFilter !== 'undefined') {
				 		$("#receiveInvoiceFilter").val(filterObject.receiveInvoiceFilter);
					}
					searchFilter = filterObject.search;
					if(typeof filterObject.sorting !== 'undefined') {
						order = [[filterObject.sorting.col ,filterObject.sorting.dir]];
					}  
					
				} else {
					saveFilterItem();
				}
				$(document).on("change", ".dataTables_length select",saveFilterItem);
				table = $('#receivesDatatable').DataTable({
					serverSide: true,
					scrollX : true,
					"fixedHeader": {
	 		            header: true,
	 		        },
	 		       ajax: {
						url: '${pageContext.request.contextPath}/receive/getPaginatedReceives',
						data: {
							vendorId : function() {
								return getfromFilterCache("vendorId");
							},
							store : function() {
								return getfromFilterCache("store");
							},
							fromDate : function() {
								return getfromFilterCache("fromDate");
							},
							toDate : function() {
								return getfromFilterCache("toDate");
							},
							shipmentCheckin : function() {
								return getfromFilterCache("shipmentCheckin");
							},
							receiveInvoiceFilter : function() {
								return getfromFilterCache("receiveInvoiceFilter");
							}
						}
					},
				 	info:           true,
				    paging:         true,
				    serverMethod : 'POST',
				    "pageLength": pageLength,
			 		   "displayStart":displayStart,
					   "search": {
							    "search": searchFilter
							  },
					  'order': order, 
				    aSort: false,
					"aoColumns": aoColumns,
					"processing": true,
					language: {
						processing: "<div class='loader'></div>",
						paginate: {
	 			        	sNext: '<span class="pagination-default">&#x276f;</span>',
	 			        	sPrevious: '<span class="pagination-default">&#x276e;</span>'
	 			    	}
					}
				});
				
				table.on("order", function(event,table,type,sortType) {
		    		var filterObject = JSON.parse(localStorage.getItem("ReceivesFilter"));
		    		if(typeof filterObject === 'undefined') {
		    			filterObject = {};
		    		}
		    		var sorting = {
		   				"col":type[0].col, 
		   				"dir": type[0].dir
	   				};
		    		filterObject.sorting= sorting;
		    		filterObject.displayStart = table._iDisplayStart;
		    		localStorage.setItem("ReceivesFilter", JSON.stringify(filterObject));
	 			});
		    	table.on("page", function(event,table) {
	 				console.log("table " , table);
	 				var filterObject = JSON.parse(localStorage.getItem("ReceivesFilter"));
		    		if(typeof filterObject === 'undefined') {
		    			filterObject = {};
		    		}
		    		filterObject.displayStart= table._iDisplayStart;
		    		localStorage.setItem("ReceivesFilter", JSON.stringify(filterObject));
	 			});

		    	table.on("search", function(event,table,a,b,c) {
	 				var data = $('.dataTables_filter input').val();
	 				setSearchData(data);
	 			});
				
				$(".fix-scroll-t .dataTables_scrollBody").floatingScroll();

				$(document).on("change", "#filterVendorId, #filterStores, .from-date, .to-date, #filterShipmentCheckin, #receiveInvoiceFilter", saveFilterItem)
			});
			function setSearchData(data) {
		    		var filterObject = JSON.parse(localStorage.getItem("ReceivesFilter"));
		    	if(typeof filterObject === 'undefined') {
		    		filterObject = {};
		    	}
		    	filterObject.search= data;
		    	localStorage.setItem("ReceivesFilter", JSON.stringify(filterObject));
	 		}
			function saveFilterItem() {
				var filterObject = JSON.parse(localStorage.getItem("ReceivesFilter"));
	    		if(filterObject == null || typeof filterObject === 'undefined') {
	    			filterObject = {};
	    		}
	    		filterObject.vendorId = $("#filterVendorId").val();
	    		filterObject.store = $("#filterStores").val();
	    		filterObject.fromDate = $(".from-date").val();
	    		filterObject.toDate = $(".to-date").val();
	    		filterObject.shipmentCheckin = $("#filterShipmentCheckin").val();
	    		filterObject.receiveInvoiceFilter = $("#receiveInvoiceFilter").val();
				var pageSize = 10;
				if(typeof $('.dataTables_length select').val() !== 'undefined') {
					pageSize = $('.dataTables_length select').val();
				}
				filterObject.pageSize = pageSize;
				localStorage.setItem("ReceivesFilter", JSON.stringify(filterObject));
				if(table != null) {
					table.ajax.reload();
				}
			}
			function getfromFilterCache(property) {
				var filterObject = JSON.parse(localStorage.getItem("ReceivesFilter"));
	    		if(filterObject != null) {
		    		return filterObject[property];	
	    		} else {
	    			return "";
	    		}
			}
   	    </script>
	</body>
</html>
