<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<!DOCTYPE html>
<html>
    <head>
        <title>Banners Hallmark - User Roles</title>        
    </head>
    
	
    <body>
    
    	 <div id="main" class='layout-navbar'>
           <div id="main-content">

                <div class="page-heading">
                    <div class="page-title mb-5">
                        <div class="row">
                            <div class="col-12 col-md-6 order-md-1 order-last">
                                <h3>User Roles</h3>
                                <!-- <p class="text-subtitle text-muted">Navbar will appear in top of the page.</p> -->
                            </div>
                            <div class="col-12 col-md-6 order-md-2 order-first">
                                <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                                    <ol class="breadcrumb">
                                        <li class="breadcrumb-item"><a href="${pageContext.request.contextPath}">Dashboard</a></li>
                                        <li class="breadcrumb-item active" aria-current="page">User Roles
                                        </li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                    <section class="section blnk-db ">
                        <%@ include file="../common/error-and-success-message.jsp" %>  
                        <div class="card">
                            <div class="card-body">
                                <div class="ig-dflx ">

                                        <a href="${pageContext.request.contextPath}/role/addRole" class="btn btn-primary " >  <i class="bi bi-credit-card-2-back "></i> New User Role </a>
                                   
                                </div>
                            </div>  
                        </div>
                           <div class="card">
                            <div class="card-body  ">
                              <div class="inv-data-tble">
                                <table class="table table-striped " id="table-p"  >
                                    <thead>
                                       <tr>
											<th>User Role</th>
											<th width="10%"> Action</th>
										</tr>
                                    </thead>
                                    <tbody>
                                   	
                                    <c:forEach var="role" items="${role}">
											<tr>											
											  <td>											  									  
											    <c:choose>
													<c:when test="${role.name eq 'ADMIN'}">
														   ${role.name}
											 		</c:when>
													<c:otherwise>		
													 	 <a href="${pageContext.request.contextPath}/accessPermission/getRole/${role.id}" >${role.name}</a>
											 		</c:otherwise>
												</c:choose>
											  
											  </td>										
												<td class="td-actions">
					                                <div class="action-buttons">
					                                
					                                <c:choose>
													<c:when test="${role.name eq 'ADMIN'}">
														 <a class="" id="hidebutton1"   hidden="hidden" style="pointer-events: none" title="Edit" href="${pageContext.request.contextPath}/role/getRole/${role.id}">
					                                   	<button disabled class="btn btn-primary btn-xs" ><i class="fa fa-pencil"></i></button></a>&nbsp;
					                                					</c:when>
																	<c:otherwise>
																	
																	
																	 <a class="" title="Edit" href="${pageContext.request.contextPath}/role/getRole/${role.id}">
					                                   	<span class="badge bg-success"><i class="bi bi-pencil"></i></span></a>
					                                			
													
																	</c:otherwise>
																</c:choose>	
					                    
					                                   <c:choose>
																<c:when test="${role.name eq 'ADMIN'}">
																		<a disable class="red"  hidden="hidden" id="hidebutton2" style="pointer-events: none" href="${pageContext.request.contextPath}/role/deleteRole/${role.id}" id="remove">
					                                   	<span class="badge bg-danger"><i class="bi bi-trash-fill"></i></span></a>&nbsp;
																		</c:when>
																	<c:otherwise>		
																	<a class="red" href="${pageContext.request.contextPath}/role/deleteRole/${role.id}" onclick="return confirm('Are you sure to delete?')" id="remove">
					                                   	<span class="badge bg-danger"><i class="bi bi-trash-fill"></i></span></a>
							
																	</c:otherwise>
														</c:choose>	
											  </div>	                                
					                            </td>			            	                
											</tr>
										</c:forEach>	
                                    
                                    
                                       
                                    </tbody>
                                </table>
                            </div>
                             </div>

                        </div>
                    </section>
                </div>

                <footer>
                    <div class="footer clearfix mb-0 text-muted c-ftr">
                        <div class="float-start">
                            <p>2021 &copy; Banners Hallmark</p>
                        </div>
                        <div class="float-end">
                            <p>Developed by <span class="text-danger"><i class="bi bi-heart"></i></span>  <a
                                    href="#">Suntek IT Solutions </a></p>
                        </div>
                    </div>
                </footer>
            </div>
        </div>

    	
    
	

   	<script src="${pageContext.request.contextPath}/resources/assets/js/main.js"></script>
	  
</body>
</html>