<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

<!DOCTYPE html>
<html>
<head>
<title>Banners Hallmark - Edit Vendor</title>
</head>
<body>
	 <div id="main" class='layout-navbar'>
            <div id="main-content">
                <div class="page-heading">
                    <div class="page-title mb-5">
                        <div class="row">
                            <div class="col-12 col-md-6 order-md-1 order-last">
                                <h3>Edit Vendor</h3>
                                <!-- <p class="text-subtitle text-muted">Navbar will appear in top of the page.</p> -->
                            </div>
                            <div class="col-12 col-md-6 order-md-2 order-first">
                                <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                                    <ol class="breadcrumb">
                                        <li class="breadcrumb-item"><a href="${pageContext.request.contextPath}/vendor/vendors">Vendors</a></li>
                                        <li class="breadcrumb-item active" aria-current="page">Edit Vendor
                                        </li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>

                    <section class="section blnk-db">
                      <form class="form-horizontals" method="post" id="user_form"
						name="user_form" action="${pageContext.request.contextPath}/vendor/updateVendor">
						<input type="hidden" name="id" value="${vendor.id}"/>
							<%@ include file="../common/error-and-success-message.jsp" %>  

                            <div class="card tp-inpt">
                                <div class="card-body">

                                    <div class="row">
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="vendor-name">Vendor Name</label>
                                                <input type="text" maxlength="50" name="vendorName"
													id="vendorName" class="form-control"
													placeholder="Vendor Name" readonly value="${vendor.vendorName}"/>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="is-active">Is Active</label>
                                                <fieldset class="">
                                                    <select name="isActive" id="isActive" class="form-select" required="true">
														<option ${vendor.isActive ? 'selected':''} value="true">True</option>
														<option ${vendor.isActive ? '':'selected'} value="false">False</option>
													</select>
                                                </fieldset>

                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="vendor-name">Vendor Id</label>
                                                <input type="number" min="1" max="1000000"
													name="vendorNo" id="vendorNo" readonly
													class="form-control" placeholder="Vendor Id"
													pattern="([0-9]|[0-9]|[0-9])" value="${vendor.vendorNo}"
													onkeypress="return isNumberKey(event)"/>
                                            </div>
                                        </div>
                                        
                                       <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="vendor-name">GL Code</label>
                                                <input type="number" min="1" max="10000000"
													name="glCode" id="glCode"
													class="form-control" placeholder="GL Code"
													pattern="([0-9]|[0-9]|[0-9])" value="${vendor.glCode}"
													onkeypress="return isNumberKey(event)" />
                                            </div>
                                      </div>
                                     <div class="col-md-4 col-12">
										<div class="form-group">
											<label for="accountType">Account Type</label>
											<select name="accountType" class="form-select" >
                                                <c:forEach items="${accountTypeList}" var="item">
	                                                <option ${vendor.accountType eq item.id? 'selected' : ''} value="${item.id}">
	                                                	${item.name}
	                                                </option>
                                                </c:forEach>
                                             </select>
										</div>
									 </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="adress"> Address</label>
                                                <input type="text" maxlength="250"
													name="addressLine1" id="addressLine1" class="form-control"
													placeholder="Address Line 1" value="${vendor.addressLine1}" />
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">  
                                                <label for="adress-2"></label>
                                               <input type="text" maxlength="250"
													name="addressLine2" id="addressLine2" class="form-control"
													placeholder="Address Line 2" value="${vendor.addressLine2}" />
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">  
                                                <label for="adress-3"></label>                                             
                                                <input type="text" maxlength="250"
													name="addressLine3" id="addressLine3" class="form-control"
													placeholder="Address Line 3" value="${vendor.addressLine3}"/>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">  
                                            	<label for="adress-4"></label>
                                                <input type="text" maxlength="250"
													name="addressLine4" id="addressLine4" class="form-control"
													placeholder="Address Line 4" value="${vendor.addressLine4}"/>
                                            </div>
                                        </div>
                                         <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="country">Country</label>
                                                <fieldset class="">
                                                    <select name="country" id="country" class="form-select" >
															<c:forEach items="${countries}" var="country">
																<option ${vendor.country eq country.countryName ? 'selected' : ''} value="${country.countryName}">${country.countryName}</option>
															</c:forEach>
														</select>
                                                	</fieldset>
                                            </div>
                                        </div>
                                        
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="state">State</label>
                                              	<input type="text" maxlength="50" name="state" id="stateTxt" class="form-control"
													placeholder="State" value="${vendor.state}" />
												<fieldset class="">
                                                   <select name="state" id="stateSel" disabled style="display : none;"
														class="form-select" >
														<option value="-1">-- Select State--</option>
														<c:forEach items="${states}" var="state">
															<option ${vendor.state eq state.stateCode ? 'selected' : ''} value="${state.stateCode}">${state.stateCodeEnumValue}</option>
														</c:forEach>
													</select>
                                                </fieldset>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="zip-code">Zip Code</label>
                                                <input type="text" maxlength="10" name="zipCode"
													id="zipCode" class="form-control"
													placeholder="Postal Code" value="${vendor.postalCode}" />
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="city">City</label>
                                                <input type="text" maxlength="50" name="city"
													id="city" class="form-control"
													placeholder="City" value="${vendor.city}" />
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="tax-Id">Tax Id</label>
                                                <input type="text" name="taxId" id="taxId"
													class="form-control" maxlength="10"
													placeholder="Tax Id" value="${vendor.taxId}" />
                                            </div>
                                        </div>

                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="account-number">Account Number</label>
                                                <input type="text" name="accNumber" id="accNumber" 
													class="form-control" placeholder="Account Number"
													value="${vendor.accNumber}"/>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="primaryEmail">Primary Email</label>
                                                <input type="email" maxlength="100" name="primaryEmail"
															id="primaryEmail" class="form-control"
															placeholder="Email" value="${vendor.primaryEmail}" />
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="payment-notification-email">Payment Notification Email</label>
                                                <input type="email" maxlength="100"
													name="paymentNotificationEmail" id="paymentNotificationEmail" class="form-control"
													placeholder="Payment Notification Email" value="${vendor.paymentNotificationEmail}" />
                                            </div>
                                        </div>

                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="phoneNumber">Phone Number</label>
                                                <input type="text" maxlength="20"
													name="phoneNumber" id="phoneNumber" class="form-control"
													placeholder="Phone Number" value="${vendor.phoneNumber }" />
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="paymentContactPhone">Payment Contact Phone</label>
                                                
                                                <input type="text" maxlength="20" 
                                                	name="paymentContactPhone" id="paymentContactPhone" class="form-control" 
                                               		placeholder="Payment Contact Phone" value="${vendor.paymentContactPhone}" />
                                            </div>
                                        </div>

                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                              <label for="payBy">Pay By</label>
                                                <select name="payBy" id="payBy" class="form-control" >
													<option selected value="">--Select Pay by--</option>
												    <c:forEach items="${payby}" var="payby">
													<option ${vendor.payBy eq payby.id ? 'selected' : ''} value="${payby.id}">${payby.paybyName}</option>
													</c:forEach> 
												</select>
												<%-- <a href="${pageContext.request.contextPath}/payby/paybyData"  ><span >Quick Edit</span> </a>  --%>
                                            </div>
                                        </div>

                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                             <label for="paymentTermId">Payment Terms </label>
											   	<select name="paymentTermId" id="paymentTermId" class="form-control">
														<option selected value="">--Select Payment Terms--</option>
														<c:forEach items="${paymentTearms}" var="paymentTearm">
															<option ${vendor.paymentTermId eq paymentTearm.id ? 'selected' : ''} value="${paymentTearm.id}">${paymentTearm.name}</option>
														</c:forEach>
												</select>
                                            </div>
                                        </div>
										<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="nameOnCheck">Name on Check</label>
                                                    <input type="text" name="nameOnCheck" class=" form-control"  
                                                    	placeholder="Name on Check" value="${vendor.nameOnCheck}"/>
                                            </div>
                                        </div>
                                      	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for=companyName>Company Name</label>
                                                    <input type="text" name="companyName" class="form-control" placeholder="Company Name"
                                                    	value="${vendor.companyName}"/>
                                            </div>
                                        </div>
                                      	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="taxIdType">Tax ID Type</label>
                                                <select name="taxIdType" class="form-select" >
	                                                <c:forEach items="${taxIdTypeList}" var="item">
		                                                <option ${vendor.taxIdType eq item.id ? 'selected' : ''} value="${item.id}">
		                                                	${item.name}
		                                                </option>
	                                                </c:forEach>
                                                </select>
                                            </div>
                                        </div>
                                      	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="fax">Fax</label>
                                                    <input type="text" name="fax" class="form-control" placeholder="Fax"
                                                    value="${vendor.fax}" />
                                            </div>
                                        </div>
                                      	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="contactFirstName">First Name</label>
                                                    <input type="text" name="contactFirstName" class="form-control" placeholder="First Name"
                                                    	value="${vendor.contactFirstName}"/>
                                            </div>
                                        </div>
                                      	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="contactLastName">Last Name</label>
                                                    <input type="text" name="contactLastName" class="form-control"  placeholder="Last Name"
                                                    	value="${vendor.contactLastName}"/>
                                            </div>
                                        </div>
                                      	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="balance">Balance</label>
                                                    <input type="number" name="balance" class="form-control"  placeholder="Balance"
                                                    	value="${vendor.balance}"/>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="lastBalanceUpdate">Last Balance Update Time</label>
                                                    <input type="date" name="lastBalanceUpdate" class="form-control"  
                                                    	placeholder="MM/DD/YYYY" value="${vendor.lastBalanceUpdate}" />
                                            </div>
                                        </div>
                                      	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="externalBillPayIn12m">Bill Payments in Last 12 Months From Accounting Software</label>
                                                    <input type="number" name="externalBillPayIn12m"
                                                    	 class="form-control" placeholder="Bill Payments in Last 12 Months From Accounting Software"
                                                    	 value="${vendor.externalBillPayIn12m}"/>
                                            </div>
                                        </div>
                                      	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="since">Vendor Since</label>
                                                    <input type="number" name="since" class="form-control"
                                                    placeholder="Vendor Since" value="${vendor.since}"/>
                                            </div>
                                        </div>
                                      	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="billCurrency">Bill Currency</label>
												<select name="billCurrency" class="form-select" >
	                                                <c:forEach items="${currency}" var="item">
		                                                <option ${vendor.billCurrency eq item.name ? 'selected' : ''} value="${item.name eq 'Select' ? ' ' : item.name}">
		                                                	${item.name}
		                                                </option>
	                                                </c:forEach>
                                                </select>
                                            </div>
                                        </div>
                                      	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="billSyncPref">Bill Sync Preference</label>
                                                <select name="billSyncPref" class="form-select" >
	                                                <c:forEach items="${billSyncPrefList}" var="item">
		                                                <option ${vendor.billSyncPref eq item.id ? 'selected' : ''} value="${item.id}">
		                                                	${item.name}
		                                                </option>
	                                                </c:forEach>
                                                </select>
                                            </div>
                                        </div>
                                       	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="paymentCurrency">Payment Currency</label>
                                                <select name="paymentCurrency" class="form-select" >
	                                                <c:forEach items="${currency}" var="item">
		                                                <option  ${vendor.paymentCurrency eq item.name ? 'selected' : ''} value="${item.name eq 'Select' ? ' ' : item.name}">
		                                                	${item.name}
		                                                </option>
	                                                </c:forEach>
                                                </select>
                                            </div>
                                        </div>
                                       	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="prefPmtMethod">Preferred Payment Method</label>
                                                <select name="prefPmtMethod" class="form-select" >
	                                                <c:forEach items="${prefPmtMethodList}" var="item">
		                                                <option  ${vendor.prefPmtMethod eq item.id ? 'selected' : ''} value="${item.id}">
		                                                	${item.name}
		                                                </option>
	                                                </c:forEach>
                                                </select>
                                            </div>
                                        </div>
                                       	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="paymentPurpose">Purpose of Payment</label>
                                                <input type="text" name="paymentPurpose" class="form-control"
                                                placeholder="Purpose of Payment" value="${vendor.paymentPurpose}"/>
                                            </div>
                                        </div>
                                       	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="bankCountry">Vendor Bank Country</label>
                                                <select name="bankCountry" class="form-select" >
	                                                <c:forEach items="${countries}" var="item">
		                                                <option  ${vendor.bankCountry eq item.countryName ? 'selected' : ''} value="${item.countryName eq 'Select' ? '' : item.countryName}">
		                                                	${item.countryName}
		                                                </option>
	                                                </c:forEach>
                                                </select>
                                            </div>
                                        </div>
                                       	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="vendorBankAccountStatus">Vendor Bank Account Status</label>
                                                <input type="number" name="vendorBankAccountStatus" class="form-control"
                                                	placeholder="Vendor Bank Account Status" value="${vendor.vendorBankAccountStatus}"/>
                                            </div>
                                        </div>
                                       	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="vendorVCardRemitEmail">Vendor Virtual Card Remittance</label>
                                                <input type="text" name="vendorVCardRemitEmail" class="form-control"
                                                	placeholder="Vendor Virtual Card Remittance Email" value="${vendor.vendorVCardRemitEmail}"/>
                                            </div>
                                        </div>
                                       	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="remitEmail">Remit Email From Payer</label>
                                                <input type="text" name="remitEmail" class="form-control"
                                                	placeholder="Remit Email From Payer" value="${vendor.remitEmail}"/>
                                            </div>
                                        </div>
                                       	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="paymentMethod">Payment Method</label>
                                                <input type="text" name="paymentMethod" class="form-control"
                                                	placeholder="Payment Method" value="${vendor.paymentMethod}"/>
                                            </div>
                                        </div>
                                       	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="vcardEnrollDate">Vcard Enrolled Date</label>
                                                <input type="date" name="vcardEnrollDate" class="form-control"
                                                	placeholder="MM/DD/YYYY" value="${vendor.vcardEnrollDate}"/>
                                            </div>
                                        </div>
                                       	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="vcardDeclineDate">Vcard Declined Date</label>
                                                <input type="date" name="vcardDeclineDate" class="form-control"
                                                	placeholder="MM/DD/YYYY" value="${vendor.vcardDeclineDate}"/>
                                            </div>
                                        </div>
                                       	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="orgVCardOptOutCustReason">AP Org VCard Opt Out By Customer Reason</label>
                                                <%-- <input type="number" name="orgVCardOptOutCustReason" class="form-control" 
                                                placeholder="AP Org VCard Opt Out By Customer Reason" value="${vendor.orgVCardOptOutCustReason}"/>
                                             --%>
                                              <select name="orgVCardOptOutCustReason" class="form-select" >
	                                                <c:forEach items="${findAllOrgVcardCustReason}" var="item">
		                                                <option  ${vendor.orgVCardOptOutCustReason eq item.id ? 'selected' : ''} value="${item.id}">
		                                                	${item.value}
		                                                </option>
	                                                </c:forEach>
                                                </select>
                                            </div>
                                        </div>
                                       	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="lastPaymentDate">Last payment date</label>
                                                <input type="date" name="lastPaymentDate" class="form-control"
                                                	placeholder="MM/DD/YYYY" value="${vendor.lastPaymentDate}"/>
                                            </div>
                                        </div>
                                       	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="numberOfInvitesSent">Invites sent</label>
                                                <input type="number" name="numberOfInvitesSent" class="form-control"
                                                	placeholder="Invites sent" value="${vendor.numberOfInvitesSent}"/>
                                            </div>
                                        </div>
                                       	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="PaymentusMerchantId">Paymentus Merchant Id</label>
                                                <input type="text" name="PaymentusMerchantId" class="form-control"
                                                	placeholder="Paymentus Merchant Id" value="${vendor.paymentusMerchantId}"/>
                                            </div>
                                        </div>
                                       	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="unmodifiedBillsCount">Count of Consecutive Unmodified Bills from This Vendor</label>
                                                <input type="number" name="unmodifiedBillsCount" class="form-control"
                                                	placeholder="Count of Consecutive Unmodified Bills from This Vendor"
                                                	value="${vendor.unmodifiedBillsCount}"/>
                                            </div>
                                        </div>
                                       	<div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="autoSave">AutoSave Info</label>
                                                <input type="text" name="autoSave" class="form-control" placeholder="AutoSave Info"
                                                value="${vendor.autoSave}"/>
                                            </div>
                                        </div>

                                    </div>
                                    <div class="row filtering">
                                        <div class="col-md-4 col-12 ">
                                            <div class="form-group filter-cat">
                                                <label for="discount-options">Discount Options</label>
                                                <fieldset class="">
												<select name="discountOptions"
													id="discountOptions" path="discountOptions"
													class="form-control">
													<option ${vendor.discountOptions eq 'none' ? 'selected' : ''} value="none">None</option> 
													<option ${vendor.discountOptions eq 'Discount On Subtotal' ? 'selected' : ''} value="Discount On Subtotal">Discount On Sub total</option>
													<option ${vendor.discountOptions eq 'Discount On Per Product' ? 'selected' : ''} value="Discount On Per Product">Discount On Per Product</option>
													<option ${vendor.discountOptions eq 'Both' ? 'selected' : ''} value="Both">Both</option>
												</select>
											</fieldset>
                                            </div>
                                        </div>
                                           
                                           <div class="col-md-4 col-12 filter-cat-results ">
                                            <div class="form-group f-cat" data-cat="Discount On Subtotal">
                                                <label for="discount-on-subtotal">Discount (%) On Sub total</label>
                                               <input type="number" id="discountPercentOnSubtotal" onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"
                                                    class="form-control" name="discountPercentOnSubtotal" step="0.01" 
                                                   	placeholder="Discount percent On Subtotal" value="${vendor.discountPercentOnSubtotal}" />
                                            </div>
                                        </div>
                                        
                                        <div class="col-md-4 col-12 filter-cat-results ">
                                            <div class="form-group f-cat" data-cat="Discount On Per Product">
                                                <label for="discount-on-each-product">Discount (%) On Each Product</label>
                                                 <input type="number" id="discountPercentOnEachProduct" onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 46)"
														class="form-control"  name="discountPercentOnEachProduct" step="0.01"
														placeholder="Discount Percent On Each Product" value="${vendor.discountPercentOnEachProduct}" />
                                            </div>
                                        </div>
                                    </div>
                                    
                                <%--     <div class="row filtering">
                                        <div class="col-md-4 col-12 ">
                                            <div class="form-group filter-cat">
                                                <label for="discount-options">Discount Options</label>
                                                <fieldset class="">
                                                   <select type="text" name="discountOptions"
															id="discountOptions" path="discountOptions"
															class="form-select" placeholder="Discount Options"
															value="">
															<option value="" label=""/>
															<option >None</option>
	                                                        <option value="cat-red">Discount On Subtotal</option>
	                                                        <option value="cat-blue">Discount On Per Product</option>
	                                                        <option value="cat-all" >Both</option>
													</select>
                                                </fieldset>

                                            </div>
                                        </div>
                                      
                                           
                                        <div class="col-md-4 col-12 filter-cat-results ">
                                            <div class="form-group f-cat" data-cat="cat-red">
                                                <label for="discount-on-subtotal">Discount (%) On Subtotal</label>
                                                <input type="number" id="discount-on-subtotal"
                                                    class="form-control" name="cancel-date"
                                                    placeholder="Discount (%) On Subtotal">
                                            </div>

                                        </div>
                                        <div class="col-md-4 col-12 filter-cat-results ">
                                            <div class="form-group f-cat" data-cat="cat-blue">
                                                <label for="discount-on-each-product">Discount (%) On Each Product</label>
                                                <input type="number" id="discount-on-each-product" class="form-control"
                                                    name="cancel-date" placeholder="Discount (%) On Each Product" >
                                            </div>

                                        </div>
                                        

                                    </div> --%>
									<div class="card">
                                    	<div class="card-body">
                                    		<div class="row">
		                                    	<div class="col-md-6 col-12">
		                                            <div class="form-group">
				                                    	<input type="checkbox" ${vendor.track1099 ? 'checked' : ''} class="form-check-input" name="track1099" id="track1099"/>
		                                                <label for="track1099">1099 Vendor</label>
		                                            </div>
		                                        </div>
		                                    	<div class="col-md-6 col-12">
		                                            <div class="form-group">
				                                    	<input type="checkbox" ${vendor.sendNotifications ? 'checked' : ''} class="form-check-input" name="sendNotifications" id="sendNotifications"/>
		                                                <label for="sendNotifications">Send Notifications</label>
		                                            </div>
		                                        </div>
		                                    	<div class="col-md-6 col-12">
		                                            <div class="form-group">
				                                    	<input type="checkbox" ${vendor.enabledCombinePayments ? 'checked' : ''} class="form-check-input" name="enabledCombinePayments" id="enabledCombinePayments"/> 
		                                                <label for="enabledCombinePayments">Combine Payments</label>
		                                            </div>
		                                        </div>
		                                    	<div class="col-md-6 col-12">
		                                            <div class="form-group">
				                                    	<input type="checkbox" ${vendor.hasBankAccountAutoPay ? 'checked' : ''} class="form-check-input" name="hasBankAccountAutoPay" id="hasBankAccountAutoPay"/> 
		                                                <label for="hasBankAccountAutoPay">Has Bank Account Auto Pay</label>
		                                            </div>
		                                        </div>
		                                    	<div class="col-md-6 col-12">
		                                            <div class="form-group">
				                                    	<input type="checkbox" ${vendor.sendInviteForPrivateVendor ? 'checked' : ''} class="form-check-input" name="sendInviteForPrivateVendor" id="sendInviteForPrivateVendor"/> 
		                                                <label for="sendInviteForPrivateVendor">Send Invite For Private Vendor</label>
		                                            </div>
		                                        </div>
		                                    	<div class="col-md-6 col-12">
		                                            <div class="form-group">
				                                    	<input type="checkbox" ${vendor.enableFundedInvite ? 'checked' : ''} class="form-check-input" name="enableFundedInvite" id="enableFundedInvite"/> 
		                                                <label for="enableFundedInvite">Enable Funded Invite</label>
		                                            </div>
		                                        </div>
		                                    	<div class="col-md-6 col-12">
		                                            <div class="form-group">
				                                    	<input type="checkbox" ${vendor.allowConnectedVendorEditAddress ? 'checked' : ''} class="form-check-input" name="allowConnectedVendorEditAddress" id="allowConnectedVendorEditAddress"/> 
		                                                <label for="allowConnectedVendorEditAddress">Allows Edits to Connected Vendor Address</label>
		                                            </div>
		                                        </div>
		                                    	<div class="col-md-6 col-12">
		                                            <div class="form-group">
				                                    	<input type="checkbox" ${vendor.informConnectedVendorAddressSyncModified ? 'checked' : ''} class="form-check-input" name="informConnectedVendorAddressSyncModified" id="informConnectedVendorAddressSyncModified"/> 
		                                                <label for="informConnectedVendorAddressSyncModified">Inform Connected Vendor Address Change via Sync</label>
		                                            </div>
		                                        </div>
		                                    	<div class="col-md-6 col-12">
		                                            <div class="form-group">
				                                    	<input type="checkbox" ${vendor.isAccountNumberRequired ? 'checked' : ''} class="form-check-input" name="isAccountNumberRequired" id="isAccountNumberRequired"/> 
		                                                <label for="isAccountNumberRequired">Is Account Number Required</label>
		                                            </div>
		                                        </div>
		                                    	<div class="col-md-6 col-12">
		                                            <div class="form-group">
				                                    	<input type="checkbox" ${vendor.eBillEnabled ? 'checked' : ''} class="form-check-input" name="eBillEnabled" id="eBillEnabled"/> 
		                                                <label for="eBillEnabled">EBill Enabled</label>
		                                            </div>
		                                        </div>
                                    		</div>
	                                    </div>
                                    </div>
                                </div>
                            </div>                           

                            <div class="row">
                                <div class="col-12 d-flex justify-content-center">
                                    <button type="submit"  id="updateForm" class=" c-btn btn btn-primary me-3 mb-1" id="updateForm">Update</button>
                                     <a onclick="return confirm('Are you sure to delete?')" href="${pageContext.request.contextPath}/vendor/deleteVendor/${vendor.id}" class="c-btn btn btn-danger me-3 mb-1">Delete</a>                                                  
                                    <a href="${pageContext.request.contextPath}/vendor/vendors" class="c-btn btn btn-warning mb-1">Cancel</a>
                                </div>
                            </div>
                        </form>
                    </section>
                </div>
                <footer>
                    <div class="footer clearfix mb-0 text-muted c-ftr">
                        <div class="float-start">
                            <p>2021 &copy; Banners Hallmark</p>
                        </div>
                        <div class="float-end">
                            <p>Developed by <span class="text-danger"><i class="bi bi-heart"></i></span> <a
                                    href="#">Suntek
                                    IT Solutions </a></p>
                        </div>
                    </div>
                </footer>
            </div>
        </div>
	 
    <script src="${pageContext.request.contextPath}/resources/assets/js/main.js"></script>

 <script>
	 function saveForm() {
			document.getElementById("updateForm").disabled = true;       
	    }
	 
</script>
	    
	<script>
	    var filterActive;
	
	    function filterCategory(category) {
	        if (filterActive != category) {
	
	            // reset results list
	            $('.filter-cat-results .f-cat').removeClass('active-inv-v');
	
	            // elements to be filtered
	            $('.filter-cat-results .f-cat')
	                .filter('[data-cat="' + category + '"]')
	                .addClass('active-inv-v');
	
	            // reset active filter
	            filterActive = category;
	        }
	    }
	
	    // $('.f-cat').addClass('active');
	
	    $('.filtering select').change(function () {
	        if ($(this).val() == 'Both') {
	            $('.filter-cat-results .f-cat').addClass('active-inv-v');
	            filterActive = 'Both';
	        } else {
	            filterCategory($(this).val());
	        }
	    });
	</script> 
    
	<script>
		$(document).ready(function() {
		    $('#country').change(function () {
		        if ($(this).val() == 'USA') {
		        	$('#stateTxt').attr('disabled', true);
		        	$('#stateTxt').hide();
		        	$('#stateSel').attr('disabled', false);
		        	$('#stateSel').show();
		        } else {
		        	$('#stateSel').attr('disabled', true);
		        	$('#stateSel').hide();
		        	$('#stateTxt').attr('disabled', false);
		        	$('#stateTxt').show();
		        }
		    });
			
		/* 	var createdDate = document.getElementById("created");
			var today = new Date();
			createdDate.value = today.toISOString().substr(0, 10);

			var updatedDate = document.getElementById("updated");
			var today = new Date();
			updatedDate.value = today.toISOString().substr(0, 10);
			 */
			
			var disOpt=$("#discountOptions").val();
			  if(disOpt=="Discount On Subtotal"){
				  $("#discOnSubtotal").css("display", "block");		  
				  $("#discOnEachProduct").css("display", "none");
				  $("#discountPercentOnEachProduct").val('');
			  }else if(disOpt=="Discount On Per Product"){
				  $("#discOnSubtotal").css("display", "none");
				  $("#discOnEachProduct").css("display", "block");
				  $("#discountPercentOnSubtotal").val('');
			  }else if(disOpt=="Both"){
				  $("#discOnSubtotal").css("display", "block");
				  $("#discOnEachProduct").css("display", "block");
			  }else{
				  $("#discOnSubtotal").css("display", "none");
				  $("#discOnEachProduct").css("display", "none");
				  $("#discountPercentOnSubtotal").val('');
				  $("#discountPercentOnEachProduct").val('');
			  }
		});

		$("#taxId").keyup(function(e) {
			var value = $("#taxId").val();
			if (e.key.match(/[0-9]/) == null) {
				value = value.replace(e.key, "");
				$("#taxId").val(value);
				return;
			}

			if (value.length == 2) {
				$("#taxId").val(value + "-")
			}
		});

		$("#phoneNumber").keyup(function(e) {
			var value = $("#phoneNumber").val();
			if (e.key.match(/[0-9]/) == null) {
				value = value.replace(e.key, "");
				$("#phoneNumber").val(value);
				return;
			}

			if (value.length == 1) {
				$("#phoneNumber").val("(" + value)
			}
			if (value.length == 4) {
				$("#phoneNumber").val(value + ") ")
			}
			if (value.length == 9) {
				$("#phoneNumber").val(value + "-")
			}
		});
		

		// Method Trigger When Form Submit
		$("#user_form").submit(function() {
			var discOptValue=$("#discountOptions").val();
			if(discOptValue=="Discount On Subtotal"){
				$("#discOnEachProduct").remove();
			}else if(discOptValue=="Discount On Per Product"){
				$("#discOnSubtotal").remove();
			}else if(discOptValue=="Both"){
				
			}else{
				$("#discOnSubtotal").remove();
				$("#discOnEachProduct").remove();
			}
			document.getElementById("updateForm").disabled = true;
			return true;
	 	});
		
		function isNumberKey(evt) {
		   var charCode = (evt.which) ? evt.which : evt.keyCode;
		   if (charCode < 48 || charCode > 57)
		      return false;	
		   return true;
		}
		$('.filtering select').trigger("change");
	</script>

</body>
</html>