<!DOCTYPE html>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<html>
<head>
<title>Banners Hallmark | PO Verification Status</title>
</head>
<body>
	<div id="main" class='layout-navbar'>
		<div id="main-content">

			<div class="page-heading">
				<div class="page-title mb-5">
					<div class="row">
						<div class="col-12 col-md-6 order-md-1 order-last">
							<h3>PO Verification Status</h3>
						</div>
						<div class="col-12 col-md-6 order-md-2 order-first">
							<nav aria-label="breadcrumb"
								class="breadcrumb-header float-start float-lg-end">
								<ol class="breadcrumb">
									<li class="breadcrumb-item"><a
										href="${pageContext.request.contextPath}"> Dashboard </a></li>
									<li class="breadcrumb-item active" aria-current="page">PO
										Verification Status</li>
								</ol>
							</nav>
						</div>
					</div>
				</div>
				<section class="section blnk-db ">
					<div class="card">
						<div class="card-body ">
							<div class="inv-data-tble table-scroll-c fix-scroll-t">
								<table class="table table-striped table-unverified-po">
									<thead>
										<tr>
											<th>PO Number</th>
											<th>Issue</th>
										</tr>
									</thead>
									<tbody>
										<c:forEach var="statusVar" items="${poStatus}">
											<tr>
												<td>${statusVar.poNumber}</td>
												<td>${statusVar.reason}</td>
											</tr>
										</c:forEach>
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</section>
			</div>
			<footer>
				<div class="footer clearfix mb-0 text-muted c-ftr">
					<div class="float-start">
						<p>2021 &copy; Banners Hallmark</p>
					</div>
					<div class="float-end">
						<p> Developed by
							<span class="text-danger"><i class="bi bi-heart"></i></span> <a href="#">Suntek IT Solutions </a>
						</p>
					</div>
				</div>
			</footer>
		</div>
	</div>
	<script
		src="${pageContext.request.contextPath}/resources/assets/js/main.js"></script>
	<script>
		$(document).ready( function() {
			$('.table-unverified-po').DataTable({
				"scrollX" : true,
				"fixedHeader" : {
					header : true,
				},
				oLanguage : {
					oPaginate : {
						sNext : '<span class="pagination-default">&#x276f;</span>',
						sPrevious : '<span class="pagination-default">&#x276e;</span>'
					}
				}
			});
		});

		$(".fix-scroll-t .dataTables_scrollBody").floatingScroll();
	</script>
</body>
</html>
