<!DOCTYPE html>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<html>
	<head>
		<title>Banners Hallmark | Verify Bulk Unverified Invoices </title>
		<style type="text/css">
			table#table-p1 {
		    	margin: 0 !important;
		    	width: 100% !important;
		    }
			.search-form .form-select {
				max-width: 200px;
			}
			/*.table-striped th {
				min-width: 80px;
			}*/
			
			.pdf-table .unverifiedInvoice th:first-child {
			    padding-right: 20px;
			}
			.pdf-table .unverifiedInvoice tr.odd {
			    background-color: #f2f2f2;
			}
			.pdf-table .unverifiedInvoice tr table tr {
			    background-color: transparent;
			}
			.pdf-table th:nth-child(10) {
			    min-width: 80px;
			}
			.hello-worls th:nth-child(10) {
			    min-width: 80px;
			}
			/* To hide arrow from number type input :: Start */
			/* Chrome, Safari, Edge, Opera */
			input::-webkit-outer-spin-button,
			input::-webkit-inner-spin-button {
			  -webkit-appearance: none;
			  margin: 0;
			}
			
			/* Firefox */
			input[type=number] {
			  -moz-appearance: textfield;
			}
			/* To hide arrow from number type input :: End */
			.custom-iframe {
 				display: none;
			    width: 50%;
			    height: 50%;
			    overflow: visible;
			    position: absolute;
			    top: 55px;
			    left: 0%;
			    resize: both;
			   
			    background-color: #fff;
			    background-clip: border-box;
			    border: 1px solid rgba(0,100,0,.125);
			    border-radius: .7rem;
			    z-index: 10;
			    width: 100vw !important;
			}
			.custom-iframe iframe {
			    width: 100%;
			    height: 500px;
			}
			.pdf-table table tr td .form-group {
			    margin: 0 !important;
			}
			table#table-p1 tr td {
			    position: relative;
			    overflow: visible;
			}
			.tp-inpt .hello-worls th {
			    white-space: nowrap;
			    padding: 15px 40px 15px 15px;
			}
			.fixedHeader-floating.hello-worls.unverifiedInvoice thead tr{
			   width: calc(100vw - 428px);
			}
			
			.fixedHeader-floating.hello-worls.unverifiedInvoice thead tr th{
			    white-space: nowrap;
			    padding: 15px 40px 15px 15px;
			}
			.fixedHeader-floating.hello-worls.unverifiedInvoice thead tr th:first-child {
			    padding-right: 20px;
			}
			#table-p1 input[type=date] {
				width:165px;
			}
			#table-p1 .form-select {   
			    width: 130px;
			}
			.form-control-error {
				box-shadow: 0 0 4px red, 0 0 6px red;
			}
			.succes-msg-div p {
			    margin: 0;
			    font-weight:600;
			    padding-right: 50px;
			}
			
			.succes-msg-div .btn-danger {    
			    font-weight: 900;
			}
			.succes-msg-div .card-body {
			    display: flex;
			    align-items: center;
			    justify-content: space-between;
			}
			.action-buttons {
			    display: flex;
			    align-items: center;
			}
		</style>
	</head>
	<body>
		<div id="main" class='layout-navbar'>
			<div id="main-content">
				<div class="page-heading">
					<div class="page-title mb-5">
						<div class="row">
							<div class="col-12 col-md-6 order-md-1 order-last">
								<h3>Verify Bulk Unverified Invoices</h3>
								<!-- <p class="text-subtitle text-muted">Navbar will appear in top of the page.</p> -->
							</div>
							<div class="col-12 col-md-6 order-md-2 order-first">
								<nav aria-label="breadcrumb"
									class="breadcrumb-header float-start float-lg-end">
									<ol class="breadcrumb">
										<li class="breadcrumb-item"><a
											href="${pageContext.request.contextPath}">Dashboard</a></li>
										<li class="breadcrumb-item active" aria-current="page">Verify Bulk Unverified Invoices </li>
									</ol>
								</nav>
							</div>
						</div>
					</div>
					<section class="section blnk-db ">
					
						<div class="eror-msg" style="display: none;">
							<div class="card">
								<div class="card-body error-msg">
									<p class="text-danger"> <c:if test="${not empty msg}"> Error - ${msg} </c:if></p>
									<a class="delete-msg btn btn-danger">X</a>
								</div>
							</div>
						</div>
						<div class="succes-msg-div" style="display: none;">
							<div class="card">
								<div class="card-body success-msg">
									<p class=""></p>
									<a class="delete-msg btn btn-light">X</a>
								</div>
							</div>
						</div>
						
						<div class="card">
							<div class="card-body">
<%-- 								<form class="search-form" action="${pageContext.request.contextPath}/readSpreadsheet/getSpreadsheetPendingEdit"> --%>
								<div class="inv-mark search-form c-dflx">
									<div class="c-dflx">
										<div class="form-group me-2 select2-custom">
											<select id="poNumber" name="poNumber" class="form-select">
												<option selected value="">Select PO Number</option>
												<c:forEach items="${poNumberInFilter}" var="varPoNumber">
													<option value="${varPoNumber}" <c:if test="${param.poNumber eq varPoNumber}"> selected </c:if>>
														${varPoNumber}
													</option>
												</c:forEach>
											</select>
										</div>
										<div class="form-group me-2 select2-custom">
											<select id="filterVendor" name="filterVendor" class="form-select">
												<option selected value="">--Select Vendor-- </option>
												<c:forEach items="${vendorInFilter}" var="vendor">
													<option value="${vendor.vendorNo}" <c:if test="${param.filterVendor eq vendor.vendorNo}"> selected </c:if>>
														[${vendor.vendorNo}] ${vendor.vendorName}
													</option>
												</c:forEach>
											</select>
										</div>
										<div class="form-group me-2">
											<input type="button" class="btn btn-warning reset-filters" value="Reset Filters">
										</div>
									</div>
									<button type="button" class="btn btn-danger" id="btn-delete">Delete</button>
								</div>
<!-- 								</form> -->
							</div>
                        </div>
						<div class="card tp-inpt">
							<div class="card-body">
								<div class="table-responsive norm-tble pdf-table table-scroll-c fix-scroll-t">
									<table class="table hello-worls unverifiedInvoice s-h" id="table-p1">
										<thead>
											<tr>
												<th><input type="checkbox" class="form-check-input checkAll me-2">File</th>
												<th></th>
												<th>Invoice Number</th>
												<th>PO Number</th>
												<th>Site</th>
												<th>Vendor</th>
												<th>Qty Received</th>
												<th>Order Number</th>
												<th class="unv-tble-inv-dte">Invoice Date</th>
												<th>Due Date</th>
												<th>Sub Total</th>
												<th>Shipping</th>
												<th>Tax</th>
												<th>Invoice Total</th>
<!-- 												<th>Shipping Date</th> -->
												<th>Shipping Method</th>
											</tr>
										</thead>
										<tbody>
										</tbody>
									</table>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-12 d-flex justify-content-center">
								<button type="button" id="verifyAllChanges" class="c-btn btn btn-primary"> Verify All </button>
							</div>
						</div>
					</section>
					
					<table id="example2" cellpadding="5" cellspacing="0" border="0" style="padding-left:50px; display: none;" class="childtable childtable_hidden">
				        <thead>
				            <tr>
				                <th></th>
				                <th>Product</th>
				                <th>UPC</th>
				                <th>Description</th>
				                <th>Qty</th>
				                <th>Ship Qty</th>
				                <th>B/O</th>
				                <th>List Price</th>
				                <th>Your Price</th>
				                <th>Discount</th>
				                <th>Amount</th>
				            </tr>
				        </thead>
				        <tbody>
				        </tbody>
				    </table> 
				</div>
				<footer>
					<div class="footer clearfix mb-0 text-muted c-ftr">
						<div class="float-start">
							<p>2021 &copy; Banners Hallmark</p>
						</div>
						<div class="float-end">
							<p>Developed by <span class="text-danger"><i class="bi bi-heart"></i></span> <a href="#">Suntek IT Solutions </a></p>
						</div>
					</div>
				</footer>
				<form id="submitData">
					<input type="hidden" name="jsonData" id="jsonData"/> 
				</form>
			</div>
		</div>
		
		<script src="${pageContext.request.contextPath}/resources/assets/js/main.js"></script>
	 	<script type="text/javascript">
		 	$("#btn-delete").click(function() {
		 		if($('.delete-check-box:checked').length > 0) {
			 		var toDelete = confirm("Are you sure to delete?");
			 		if(toDelete) {
			 			var invoiceIds = [];
				 		table.rows().iterator('row', function(context, index) {
							var node = $(this.row(index).node());
							var checkbox = $(node).find(".delete-check-box");
							if(checkbox.is(":checked")) {
								invoiceIds.push(node.find("[name='zap_temp_id']").val());
							}
				 		});
				 		$.ajax({
				            url:"${pageContext.request.contextPath}/ajax/deleteUnverifiedInvoice",
				            data: JSON.stringify(invoiceIds),
			   				type: "POST",
			   				contentType: "application/json; charset=utf-8",
			   				success: function (response) {
		   						if(response.result == "Success") {
		   					 		successMsg = 'Selected invoices deleted successfully.'
		   							table.ajax.reload();
		   						} else if(response.result == 'noPermission') {
		   							showSingleError("You don't have permission for this action.");
		   						}
			   				}
			   			});
			 		}
		 		} else {
		 			showSingleError("No invoice selected.");
		 		}
			});

	 		var numaricFields = ["qty", "shipQty", "bo", "listPrice", "yourPrice", "discount", "amount"];
		 	var propertyNames = [
				"product",
	 			"upc",
	 			"description",
	 			"qty",
	 			"shipQty",
	 			"bo",
	 			"listPrice",
	 			"yourPrice",
	 			"discount",
	 			"amount"
				];
// 	 		var unverifiedDatatableObject = null;
		    var invalidFocusableControl = null;
		    var invalidFocusableControlPageNumber = null;
	 		var table = null;

	 		var aoColumns = [{
			    "mData": null,
			    "bSortable": false,
			    "mRender": function(data, type, full) {
			        return   "<div class=\"action-buttons\">"
					+"			<span class=\"pe-1\"><input type='checkbox' class=\"form-check-input delete-check-box example-select-single\"></span>"
			        + "		   <a title=\"View Invoice\" href='"+full.invoiceLink+"' target='_blank'>"
// 			        class=\"previewInvoice\">"
			        + "		   	<span class=\"badge bg-info\"><i class=\"bi bi-sticky\"></i></span></a>"
			        + "		</div>"
// 			        + "		<div class=\"custom-iframe\">"
// 			        + "		    <div class=\"text-center\" >"
// 			        + "<!-- 		  	  	<i class=\"bi bi-arrows-move drag-button\"></i> -->"
// 			        + "		    </div>"
// 			        + "			<div class=\"card draggable-handle\">"
// 			        + "			    <div class=\"card-body\">"
// 			        + "				    <iframe src=\""+full.invoiceLink+"\"></iframe>"
// 			        + "			    </div>"
// 			        + "			</div>"
// 			        + "		</div>";
			    }
			},{
			
			    "mData": null,
			    "bSortable": false,
			    "mRender": function(data, type, full) {
			        return "";
			    }
			},  {
			
			    "mData": null,
			    "mRender": function(data, type, full) {
			        value = getInput("zap_temp_id","hidden",full.id) +
			        		getInput("invoiceLink","hidden",full.invoiceLink) +
			        		getInput("invoice_number","text",full.invoice_number, "form-control invNumber","size='15'");

// 			        	'	<input type="hidden" name="zap_temp_id" value="'+full.id+'" />'
// 			        	+'		<input type="hidden" name="invoiceLink" value="'+full.invoiceLink+'" />'
// 			        	+'		<input type="text" name="invoice_number" size="15" class="form-control invNumber" value="' + full.invoice_number + '" />';
			        return value;
			    }
			}, {
			    "mData": null,
			    "mRender": function(data, type, full) {
			        return getInput("po_number","text",full.po_number,"form-control", "size='15'");
			        //'<input type="text" name="po_number" size="15" class="form-control" value="' + full.po_number + '" />';
			    }
			}, {
			    "mData": null,
			    "mRender": function(data, type, full) {
			    	return '<select class="form-select site-select" name="store" data-defaultselected='+ full.store +'> </select>';
			    }
			}, {
			    "mData": null,
			    "mRender": function(data, type, full) {
			    	return '<select class="form-select vendor-select" name="vendorNo" data-defaultselected='+ full.vendorNo +'> </select>';
			    }
			}, {
			    "mData": null,
			    "mRender": function(data, type, full) {
			    	return getInput("totalShipQty","number",full.totalShipQty ,"form-control qty-received", "onkeypress=\"return isIntNumberKey(event)\"");
			    }
			}, {
			    "mData": null,
			    "mRender": function(data, type, full) {
			    	return getInput("orderNumber","text",full.orderNumber ,"form-control order-number", "size='15'");
			    }
			}, {
			    "mData": null,
			    "mRender": function(data, type, full) {
			    	var yyyymmdd = mmddyyyyTOyyyymmdd(full.invoice_date);
			    	return getInput("invoice_date","date",yyyymmdd,"form-control", "size='15'");
			    	//'<input type="date" name="invoice_date" size="15" class="form-control" value="' + yyyymmdd + '" />';
			    }
			}, {
			    "mData": null,
			    "mRender": function(data, type, full) {
			    	var yyyymmdd = mmddyyyyTOyyyymmdd(full.dueDate);
			    	return getInput("dueDate","date",yyyymmdd,"form-control", "size='15'");
			    	//'<input type="date" name="dueDate" size="15" class="form-control" value="' + yyyymmdd + '" />';
			    }
			}, {
			    "mData": null,
			    "mRender": function(data, type, full) {
			    	return getInput("subTotal","number",full.subTotal,"form-control", "size='15'");
			    	//'<input type="number" name="subTotal" size="15" class="form-control" value="' + full.subTotal + '" />';
			    }
			}, {
			    "mData": null,
			    "mRender": function(data, type, full) {
			    	return getInput("shipping","number",full.shipping,"form-control", "size='15'")
			    	// '<input type="number" name="shipping" size="15" class="form-control" value="' + full.shipping + '" />';
			    }
			}, {
			    "mData": null,
			    "mRender": function(data, type, full) {
			    	return getInput("totals_tax","number",full.totals_tax,"form-control", "size='15'");
			    	// '<input type="number" name="totals_tax" size="15" class="form-control" value="' + full.totals_tax + '" />';
			    }
			}, {
			    "mData": null,
			    "mRender": function(data, type, full) {
			    	return getInput("total","number",full.totals_total,"form-control", "size='15'");
			    	// '<input type="number" name="total" size="15" class="form-control" value="' + full.totals_total + '" />';
			    }
			}, {
			    "mData": null,
			    "mRender": function(data, type, full) {
			    	return getInput("shipping_method","text",full.shipping_method,"form-control", "size='15'");
			    	// '<input type="text" name="shipping_method" size="15" class="form-control" value="' + full.shipping_method + '" />';
			    }
			}];

			var successMsg = "";
	 		$(document).ready(function() {
	 			$('.delete-msg.btn.btn-light').click(function () { 
	 	    		 $(".succes-msg-div").hide();
	 	    	});
	 			<c:if test="${not empty msg}">
					$('.eror-msg').show();
				</c:if>
				var pageLength = 10;
				var filterObject = JSON.parse(localStorage.getItem("UnverifiedInvoiceFilter"));
				var pageLength = 10, displayStart = 0;
		    	var searchFilter = "";
		    	var order = [[2, 'asc']];
				$("#filterVendor").select2();
				$("#poNumber").select2();
				if(filterObject != null) {
			    	$("select#poNumber").val(filterObject.poNumber);
					$("select#filterVendor").val(filterObject.filterVendor);
					$('select#filterVendor').trigger('change');
					$('select#poNumber').trigger('change');
					pageLength = Number(filterObject.pageSize);

					if(typeof filterObject.displayStart !== 'undefined') {
						displayStart = Number(filterObject.displayStart);
					}
					searchFilter = filterObject.search;
					if(typeof filterObject.sorting !== 'undefined') {
						order = [[filterObject.sorting.col ,filterObject.sorting.dir]];
					}
				} else {
					saveFilterItem();
				}

				$("select#poNumber, select#filterVendor").on("change", saveFilterItem);
				$(document).on("change", ".dataTables_length select",saveFilterItem);

	 			table = $('#table-p1').DataTable({
	 				serverSide: true,
	 			    "scrollX": true,
					"lengthMenu": [[1, 2, 5, 10, 25, 50], [1, 2, 5, 10, 25, 50]],
					"pageLength": pageLength,
					"displayStart":displayStart,
					"search": {
					    "search": searchFilter
				  	},
					info:true,
				    paging:true,
				    serverMethod : 'POST',
				    'columnDefs': [{
				         'targets': 1,
				         'className': 'details-control'
				         }
				    ],
				    "createdRow": function( row, data, dataIndex ) {
			        	$(row).addClass( 'shown' );
					},
					"aoColumns": aoColumns,
					"processing": true,
					"fixedHeader": {
	 		            header: true
	 		        },
					language: {
						processing: "<div class='loader'></div>"
					},
	 		        ajax: {
						url : '${pageContext.request.contextPath}/readSpreadsheet/getPaginatedPendingEdit',
						data: {
							filterVendor: function(data, type, full) {
								var filterVendorVal = $("#filterVendor").val();
								return filterVendorVal;
							},
							poNumber : function(data, type, full) {
								var poNumberVal = $("#poNumber").val();
								return poNumberVal;
							}
						}
					},
					"drawCallback": function (settings) {
				        var response = settings.json;
						var verifyButtton = $("#verifyAllChanges");
						if(response.data.length > 0) {
							verifyButtton.prop("disabled",false);
						} else {
							verifyButtton.prop("disabled",true);
						}
						if(successMsg != "") {
							$('.succes-msg-div .success-msg p').text(successMsg);
							$('.eror-msg ').hide();
   			 				$('.succes-msg-div').show();
   			 				successMsg = "";
						}
// 						setTimeout(function() {
// 							$('.succes-msg-div').hide();
// 						}, 5000)
						var storeOptions = "<option value='-1' selected>-- Select Store --</option>",
				        	vendorOptions = "<option value='-1' selected>-- Select Vendor --</option>";
				        if(Array.isArray(response.allStores)) {
				        	response.allStores.forEach(function(store) {
				        		if(store.isActive) {
					        		storeOptions += "<option value='"+ store.storeStr +"'>["+ store.storeStr + "]"+ store.storeName +"</option>"
				        		}
				        	});
				        }
				        if(Array.isArray(response.allVendors)) {
				        	response.allVendors.forEach(function(vendor) {
				        		if(vendor.isActive) {
					        		vendorOptions += "<option value='"+ vendor.vendorNo +"'>["+ vendor.vendorNo + "]"+ vendor.vendorName +"</option>"
				        		}
				        	});
				        }

				        $(".site-select").each(function() {
				        	var select = $(this);
				        	var selectVal = select.data('defaultselected');
				        	$(this).html(storeOptions);
				        	$(this).val(selectVal);
				        });

				        $(".vendor-select").each(function() {
				        	var select = $(this);
				        	var selectVal = select.data('defaultselected');
				        	$(this).html(vendorOptions);
				        	$(this).val(selectVal);
				        });
				        table.rows().every( function (index) {
				        	var invoiceItems = response.invoiceItemData[this.data().invoice_number];
				            this.child(format(invoiceItems), $(this.row(index).node()).hasClass("odd") ? "odd" : "even").show();
				            this.nodes().to$().attr("data-child-count",invoiceItems.length);
				        });
				    },
					ordering: true,
					order: order,
	 		    	oLanguage: {
	 			      	oPaginate: {
	 			        	sNext: '<span class="pagination-default">&#x276f;</span>',
	 			        	sPrevious: '<span class="pagination-default">&#x276e;</span>'
	 			    	}
	 				}
	 			});

	 			table.on("order", function(event,table,type,sortType) {
		    		var filterObject = JSON.parse(localStorage.getItem("UnverifiedInvoiceFilter"));
		    		if(typeof filterObject === 'undefined') {
		    			filterObject = {};
		    		}
		    		var sorting = {
		   				"col":type[0].col, 
		   				"dir": type[0].dir
	   				};
		    		filterObject.sorting= sorting;
		    		filterObject.displayStart = table._iDisplayStart;
		    		localStorage.setItem("UnverifiedInvoiceFilter", JSON.stringify(filterObject));
	 			});

		    	table.on("page", function(event,table) {
	 				console.log("table " , table);
	 				var filterObject = JSON.parse(localStorage.getItem("UnverifiedInvoiceFilter"));
		    		if(typeof filterObject === 'undefined') {
		    			filterObject = {};
		    		}
		    		filterObject.displayStart= table._iDisplayStart;
		    		localStorage.setItem("UnverifiedInvoiceFilter", JSON.stringify(filterObject));
	 			});

		    	table.on("search", function(event,table,a,b,c) {
	 				var data = $('.dataTables_filter input').val();
	 				setSearchData(data)
	 			});

	 			table.on('change', ':input', function () {
					var isDelete = false;
					var row = $(this).closest('tr');
					var id = row.find("input[name=zap_temp_id]").val();
					if(id != null && id != '' && isNumeric(id)) {
						var rowObject;
						if(row.find('[name=invoice_number]').length > 0) rowObject = readParentObject(row);
						else rowObject = readInvoiceItemObject(row);

						$.ajax({
				            url:"${pageContext.request.contextPath}/ajax/saveZapTempInvoiceDetails",
				            data: JSON.stringify(rowObject),
			   				type: "POST",
			   				contentType: "application/json; charset=utf-8",
			   				success: function (response) {
		   						if(response.result == "Success") {
		   						} else if(response.result == 'noPermission') {
		   							alert("You don't have permission for this action.");
		   						}
			   				}
			   			});
					}
				});
	 			
	 			$(".fix-scroll-t .dataTables_scrollBody").floatingScroll();
				$(".reset-filters").on("click", function() {
					$("#poNumber").val("");
		    		$("#filterVendor").val("");
		    		$('#filterVendor').trigger('change');

		    		$('.dataTables_filter input').val("");
					setSearchData("");
					table.search("").draw();
				});

	 			// Add event listener for opening and closing details
				$('.s-h').on('click', 'td.details-control', function () {
	 		        var tr = $(this).closest('tr');
	 		        var row = table.row(tr);
	 		        if (row.child().is(":visible")) {
	 		            // This row is already open - close it
	 		            row.child().hide();
	 		            tr.removeClass('shown');
	 		        } else {
	 		            // Open this row
	 		            row.child().show();
	 		            tr.addClass('shown');
	 		        }
					var parentTr = tr.closest('tr');
					parentTr.find(".previewInvoice").click();
					parentTr.find(".previewInvoice").click();
	 		        $(this).closest('tr').removeClass('shown-2');
	 		    });
				table.on("xhr", function() {
		    		$(".checkAll").prop("checked", false);
		    	});
	 		});
	 		function setSearchData(data) {
	    		var filterObject = JSON.parse(localStorage.getItem("UnverifiedInvoiceFilter"));
	    		if(typeof filterObject === 'undefined') {
	    			filterObject = {};
	    		}
	    		filterObject.search= data;
	    		localStorage.setItem("UnverifiedInvoiceFilter", JSON.stringify(filterObject));
	    	}
		 	$(document).on("click", ".previewInvoice", function() {
		 		var tr = $(this).closest("tr");
		 		var nextSiblingTr = tr;
		 		var isVisible = nextSiblingTr.find(".custom-iframe").is(":visible");
		 		var visibleFrame = $(".custom-iframe:visible");
		 		$(".custom-iframe").hide();
	 			$(".dataTables_scrollBody").css("min-height","");
		 		if(! isVisible) {
		 			nextSiblingTr.find(".custom-iframe").show();
		 			$(".dataTables_scrollBody").css("min-height",($(window).height() - 200));
		 			if(nextSiblingTr.hasClass("shown")) {
			 			var childCount = nextSiblingTr.data("child-count");
				 		nextSiblingTr.find(".custom-iframe").css("top", (childCount * 55 + 125)  + "px");
		 			} else {
				 		nextSiblingTr.find(".custom-iframe").css("top", "55px");
		 			}
		 		}
		 		nextSiblingTr.find(".custom-iframe").height(visibleFrame.height());
		 		nextSiblingTr.find(".custom-iframe").width(visibleFrame.width());
		 	});
		 	var upcError = "";
		 	var amountError = "";
			$("#verifyAllChanges").click( function() {
		 		invalidFocusableControl = null;
				invalidFocusableControlPageNumber = null;
				/* Remove Errors from all controls to add new one if available*/
// 				$('#table-p1').DataTable().rows().iterator('row', function(context, index) {
// 		    	    var node = $(this.row(index).node());
// 		    	    $(node).find('td input.form-control-error').each(function(index, data){
// 						$(data).removeClass("form-control-error");
// 		    	    });
// 		    	});
				$('input.form-control-error').each(function(index, data){
					$(data).removeClass("form-control-error");
	    	    });
				upcError = "";
				amountError = "";
		 		var verifyButtton = $(this);
		 		$('.succes-msg-div').hide();
		 		
		 		verifyButtton.prop("disabled",true);
 				$('.eror-msg ').hide();
	 			var objectList = [];
	 			var invoiceNumbers= [];
	 			var focusable = populateData(objectList,invoiceNumbers);
	 			var focusable1 = validateInvoiceDetails();
	 			
	 			if(focusable != null) {
	 				$('.eror-msg .text-danger').text('Error - All fields must be completed.');
	 				$('.eror-msg ').show();
					focusable.focus();
					verifyButtton.prop("disabled",false);
					invalidFocusableControl.focus();
					return false;
				}
	 			if(hasDuplicates(invoiceNumbers)) {
	 				$('.eror-msg .text-danger').text('Error - Invoice number must be unique.');
	 				$('.eror-msg ').show();
// 	 				$('.eror-msg ').focus();
	 				verifyButtton.prop("disabled",false);
// 	 				table.page(invalidFocusableControlPageNumber).draw('page');
					invalidFocusableControl.focus();
					return false;
	 			}
	 			if(focusable1 != null || upcError != "" || amountError != "") {
	 				var errorMessage = 'Error - '
	 				if(focusable1 != null) {
	 					errorMessage += 'All fields must be completed. <br>';
	 				}
	 				if(upcError != '') {
	 					errorMessage += upcError;
	 				}
	 				if(amountError != '') {
	 					errorMessage += amountError;
	 				}
	 				$('.eror-msg .text-danger').html(errorMessage);

	 				$('.eror-msg ').show();
	 				if(focusable1 != null) {
	 					focusable1.focus();
	 				} else {
	 					$('.eror-msg ').focus();
	 				}
					verifyButtton.prop("disabled",false);
					invalidFocusableControl.focus();
					return false;
				}

	 			if(invoiceNumbers.length > 0) {
	 				$.ajax({
			            url:"${pageContext.request.contextPath}/ajax/validation/invoicePoNumber",
			            data: JSON.stringify(invoiceNumbers),
		   				type: "POST",
		   				contentType: "application/json; charset=utf-8",
		   				success: function (response) {
	   						if(response.result == "Exists") {
	   							showExistInvoiceError(JSON.parse(response.data));
		   						showSingleError("Invoice number already exists.");
		   						verifyButtton.prop("disabled",false);
	   						} else if(response.result == "ERROR") {
		   						showSingleError("Something went wrong please try again.");
		   						verifyButtton.prop("disabled",false);
	   						} else {
   			 			    	setDataVerified(invoiceNumbers, verifyButtton);
	   						}
		   				},
		   				error: function (jqXHR, textStatus, errorThrown) {
		   					showSingleError("Something went wrong please try again.");
			 				verifyButtton.prop("disabled",false);
		   				}
		   			});
	 			}
			});

			function saveFilterItem() {
				var filterObject = {};
				filterObject.poNumber =  $("select#poNumber").val();
				filterObject.filterVendor = $("select#filterVendor").val();
				var pageSize = 10;
				if(typeof $('.dataTables_length select').val() !== 'undefined') {
					pageSize = $('.dataTables_length select').val();
				}
				filterObject.pageSize = pageSize;

				localStorage.setItem("UnverifiedInvoiceFilter", JSON.stringify(filterObject));
				if(table != null) {
					table.ajax.reload();
				}
			}

			function setDataVerified(invoiceNumbers, verifyButtton) {
				$.ajax({
			        url:"${pageContext.request.contextPath}/ajax/validatedByUser",
			        data: JSON.stringify(invoiceNumbers),
					type: "POST",
					contentType: "application/json; charset=utf-8",
					success: function (response) {
						if(response.result == "Success");
						table.ajax.reload();
// 						verifyButtton.prop("disabled",false);
						$('.succes-msg-div .success-msg p').text('Invoices verified successfully');
		 				$('.succes-msg-div').show();
					},
					error: function (jqXHR, textStatus, errorThrown) {
						showSingleError("Something went wrong please try again.");
						verifyButtton.prop("disabled",false);
					}
				});
			}
		 	$(document).on('change', '.form-control-error', function() {
		        var input = $(this);
		        var value = input.val();
		        if(value == null || value.trim()  == ""); else {
		            input.removeClass("form-control-error");
		        }
		    });

		 	function populateData(objectList,invoiceNumbers) {
		 		var uniqueInvoiceNumbers = new Map();
		 		var focusable = null;
		 		$('#table-p1').DataTable().rows().iterator('row', function(context, index) {
					var node = $(this.row(index).node());
					var rowObject = {};
					var pageNumber = getPageNumber(this, index);

					var invalid = null;
					if($(node).find('[name=invoice_number]').length > 0) {
						if($(node).find('[name=invoice_number]').val().trim() == '') {
							invalid = $(node).find('[name=invoice_number]');
							setErrorOnControl(invalid,pageNumber);
						} else {
							var invNum = $(node).find('[name=invoice_number]').val().trim();
							invoiceNumbers.push(invNum);
							if(uniqueInvoiceNumbers.get(invNum) == undefined) {
								uniqueInvoiceNumbers.set(invNum,"unique")
							} else {
								setErrorOnControl($(node).find('[name=invoice_number]'),pageNumber);
							}
						}
						if($(node).find('[name=po_number]').val().trim() == '') {
							invalid = $(node).find('[name=po_number]');
							setErrorOnControl(invalid,pageNumber);
						}
						if($(node).find('[name=store]').val() == null || typeof $(node).find('[name=store]').val() == 'undefined' ||  $(node).find('[name=store]').val().trim() == '-1') {
							invalid = $(node).find('[name=store]');
							setErrorOnControl(invalid,pageNumber);
						}
						if($(node).find('[name=vendorNo]').val() == null || typeof $(node).find('[name=vendorNo]').val() == 'undefined' || $(node).find('[name=vendorNo]').val().trim() == '-1') {
							invalid = $(node).find('[name=vendorNo]');
							setErrorOnControl(invalid,pageNumber);
						}
						if($(node).find('[name=totalShipQty]').val().trim() == '') {
							invalid = $(node).find('[name=totalShipQty]');
							setErrorOnControl(invalid,pageNumber);
						}
						if($(node).find('[name=orderNumber]').val().trim() == '') {
							invalid = $(node).find('[name=orderNumber]');
							setErrorOnControl(invalid,pageNumber);
						}
						if($(node).find('[name=invoice_date]').val().trim() == '') {
							invalid = $(node).find('[name=invoice_date]');
							setErrorOnControl(invalid,pageNumber);
						}
						if($(node).find('[name=dueDate]').val().trim() == '') {
							invalid = $(node).find('[name=dueDate]');
							setErrorOnControl(invalid,pageNumber);
						}
						if($(node).find('[name=subTotal]').val().trim() == '') {
							invalid = $(node).find('[name=subTotal]');
							setErrorOnControl(invalid,pageNumber);
						}
						if($(node).find('[name=shipping]').val().trim() == '') {
							invalid = $(node).find('[name=shipping]');
							setErrorOnControl(invalid,pageNumber);
						}
						if($(node).find('[name=totals_tax]').val().trim() == '') {
							invalid = $(node).find('[name=totals_tax]');
							setErrorOnControl(invalid,pageNumber);
						}
						if($(node).find('[name=total]').val().trim() == '') {
							invalid = $(node).find('[name=total]');
							setErrorOnControl(invalid,pageNumber);
						}
						if($(node).find('[name=shipping_method]').val().trim() == '') {
							invalid = $(node).find('[name=shipping_method]');
							setErrorOnControl(invalid,pageNumber);
						}
						if(focusable == null && invalid != null) {
							focusable = invalid;
						}
// 						rowObject.id = $(node).find('[name=zap_temp_id]').val();
// 						rowObject.invoiceLink = $(node).find('[name=invoiceLink]').val();
// 						rowObject.invoice_number = $(node).find('[name=invoice_number]').val();
// 						rowObject.po_number = $(node).find('[name=po_number]').val();
// 						rowObject.store = $(node).find('[name=store]').val();
// 						rowObject.invoice_date = $(node).find('[name=invoice_date]').val();
// 						rowObject.dueDate = $(node).find('[name=dueDate]').val();
// 						rowObject.totals_total = $(node).find('[name=total]').val();
// 						rowObject.subTotal = $(node).find('[name=subTotal]').val();
// 						rowObject.totals_tax = $(node).find('[name=totals_tax]').val();
// 						rowObject.shipping = $(node).find('[name=shipping]').val();
// 						rowObject.shipping_method = $(node).find('[name=shipping_method]').val();
// 						rowObject.vendorNo = $(node).find('[name=vendorNo]').val();
						objectList.push(rowObject);
					}
				});
		 		return focusable;
			}
		 	
			function validateInvoiceDetails() {
		 		var focusable = null;
		 		$('#table-p1 tbody tr').each(function(index, element) {
					var node = $(this);
					var invalid = null;
					if($(node).find('table tbody tr').length > 1) {
				 		var upc = new Map();
						// Invoice with multiple line item
						$(node).find('table tbody tr').each(function(index, element) {
							var innerRow = $(this);
							for(var j=0;j<propertyNames.length;j++) {
								var property = propertyNames[j];
								var compulsory = true;
								if(property == "description" || property == "bo" || property == "discount") {
									compulsory = false;
								}
								if(compulsory && $(innerRow).find('[name='+property+']').val().trim() == '') {
									invalid = $(innerRow).find('[name='+property+']');
									setErrorOnControl(invalid,null);

									var tr = node.prev();
							        var row = table.row(tr);
									if (row.child().is(":visible")) {
					 		        } else {
					 		        	row.child().show();
					 		        	tr.addClass('shown');
					 		        }
								} else {
									if(property == "upc") {
										var upcEle = $(innerRow).find('[name=upc]');
										if(upc.get(upcEle.val()) == undefined) {
											upc.set(upcEle.val(), upcEle);
										} else {
											setErrorOnControl(upcEle,null);
											upcError ="For the same invoice, each UPC must have different values.";
										}
									}
									if(property == "amount") {
										var amountEle = $(innerRow).find('[name=amount]');
										if(Number(amountEle.val()) < 1) {
											setErrorOnControl(amountEle,null);
											amountError = "Amount of the line item can not be 0 or negative value.";
										}
									}
								}
								if(focusable == null) {
									focusable = invalid;
								}
				 			}
						});
					} else if($(node).find('table tbody tr').length == 1) {
						// Single line item Or no line item
						$(node).find('table tbody tr').each(function(index, element) {
							var innerRow = $(this);
							var validate = false;
							for(var j=0;j<propertyNames.length;j++) {
								var property = propertyNames[j];
								if($(innerRow).find('[name='+property+']').val().trim() != '') {
									validate = true;
									break;
								}
				 			}
							if(validate) {
								for(var j=0;j<propertyNames.length;j++) {
									var property = propertyNames[j];
									var compulsory = true;
									if(property == "description" || property == "bo" || property == "discount") {
										compulsory = false;
									}
									if(compulsory && $(innerRow).find('[name='+property+']').val().trim() == '') {
										invalid = $(innerRow).find('[name='+property+']');
										setErrorOnControl(invalid,null);
										
										var tr = node.prev();
								        var row = table.row(tr);
										if (row.child().is(":visible")) {
						 		        } else {
						 		        	row.child().show();
						 		        	tr.addClass('shown');
						 		        }
									} else {
										if(property == "amount") {
											var amountEle = $(innerRow).find('[name=amount]');
											if(Number(amountEle.val()) < 1) {
												setErrorOnControl(amountEle,null);
												amountError = "Amount of the line item can not be 0 or negative value.";

												var tr = node.prev();
										        var row = table.row(tr);
												if (row.child().is(":visible")) {
								 		        } else {
								 		        	row.child().show();
								 		        	tr.addClass('shown');
								 		        }
											}
										}
									}
									if(focusable == null) {
										focusable = invalid;
									}
					 			}
							}
						});
					}
				});

		 		return focusable;
			}
		 	function isNumeric(str) {
				var n = Math.floor(Number(str));
				return n !== Infinity && String(n) === str && n >= 0;
			}

		 	function readParentObject(row) {
		 		var rowObject = {};
		 		if(row.find('[name=invoice_number]').length > 0) {
					rowObject.id = row.find('[name=zap_temp_id]').val();
					rowObject.invoiceLink = row.find('[name=invoiceLink]').val();
					rowObject.invoice_number = row.find('[name=invoice_number]').val();
					rowObject.po_number = row.find('[name=po_number]').val();
					rowObject.totalShipQty = row.find('[name=totalShipQty]').val();
					rowObject.orderNumber = row.find('[name=orderNumber]').val();
					rowObject.store = row.find('[name=store]').val();
					rowObject.invoice_date = row.find('[name=invoice_date]').val();
					rowObject.dueDate = row.find('[name=dueDate]').val();
					rowObject.totals_total = row.find('[name=total]').val();
					rowObject.subTotal = row.find('[name=subTotal]').val();
					rowObject.totals_tax = row.find('[name=totals_tax]').val();
					rowObject.shipping = row.find('[name=shipping]').val();
					rowObject.shipping_method = row.find('[name=shipping_method]').val();
					rowObject.vendorNo = row.find('[name=vendorNo]').val();
				}
		 		return rowObject;
		 	}

		 	function readInvoiceItemObject(row) {
		 		var rowObject = {};
		 		if(row.find('[name=product]').length > 0) {
					rowObject.id = row.find('[name=zap_temp_id]').val();
					for(var j=0;j<propertyNames.length;j++) {
						var property = propertyNames[j];
						rowObject[property] = row.find('[name='+ property +']').val();
		 			}
				}
		 		return rowObject;
		 	}

		 	function showSingleError(errorMessage) {
				var error = "Error - " + errorMessage;
				$('.eror-msg .text-danger').html(error);
				$('.eror-msg').show();
// 				$('.eror-msg ').focus();
			}

		 	function showExistInvoiceError(invoiceNumbersList) {
		 		invalidFocusableControl = null;
				if(invoiceNumbersList.length > 0) {
					$('#table-p1').DataTable().rows().iterator('row', function(context, index) {
			    	    var node = $(this.row(index).node());
			    	    var pageNumber = getPageNumber(this, index);
			    	    $(node).find('[name=invoice_number]').each(function(index, data){
							if(data.value.length > 0) {
			    	    		var isExists = invoiceNumbersList.find(function(val) {
			    	    			  return val == data.value;
			    	    		});
			    	    		if( !(typeof isExists === 'undefined')) {
									setErrorOnControl(data,pageNumber);
			    	    		}
							}
			    	    });
			    	});
					if( invalidFocusableControl != null) {
// 						table.page(invalidFocusableControlPageNumber).draw('page');						
						invalidFocusableControl.focus();
					}
				}
			}

		 	function setErrorOnControl(data, pageNumber) {
				$(data).addClass('form-control-error');
				if(invalidFocusableControl == null) {
					invalidFocusableControl = data;
					invalidFocusableControlPageNumber = pageNumber;
				}
			}

		 	function getPageNumber(element, index) {
				var recordPerPage = element.page.info().length;
			    var recordsTotal = element.page.info().recordsTotal;
			    var pageNumber = parseInt(index / recordPerPage);
			    return pageNumber;
			}

		 	function hasDuplicates(array) {
		 	    return (new Set(array)).size !== array.length;
		 	}

		 	function format(invoiceItems) {
	 			var clone = $("#example2").clone();
	 			clone.attr("id",'');
	 			var tableBody = clone.find("tbody");
	 		      
	 		    for (var i=0; i<invoiceItems.length; i++) {
					var tr = '<tr>';
					var invoiceItem = invoiceItems[i];
					var inputE = getInput("zap_temp_id", "hidden", invoiceItem["id"]);
					tr += inputE;
					if(invoiceItems.length > 1) {
						tr += '<td class="p-0"> '+
							'<div class="action-buttons"> <a class="red delete-button" href=${pageContext.request.contextPath}/readSpreadsheet/deleteZapTemp/'+invoiceItem["id"]+'>'+
		                  	' <span class="badge bg-danger">	<i class="bi bi-trash-fill"></i>  </span></a>' +
		                  	'</div></td>';
					} else {
						tr += '<td class="p-0"> '+
							'<div class="action-buttons">' +
		                  	'</div></td>';
					}
					for(var j=0;j<propertyNames.length;j++) {
						var property = propertyNames[j];
						var td = '<td>';
						var inputType = "text";

						var extraProperty = "";
						var fieldIndex = numaricFields.indexOf(property);
						if(fieldIndex >= 0) {
							inputType = "number";
							if(fieldIndex < 3) {
								extraProperty += "onkeypress=\"return isIntNumberKey(event)\"";
							} else {
								extraProperty += "onkeypress=\"return isFloatNumberKey(event)\"";
							}
						}
						var inputE = getInput(property, inputType, invoiceItem[property],'form-control', extraProperty);

						td += inputE + '</td>';
						tr += td;
					}
					tr += "</tr>"
					tableBody.html(tableBody.html() + tr);
				}
	 			clone.show();
	 		    return clone;
 			}

		 	$(document).on('click', '.delete-button', function() {
		        var referance = $(this);
		        var tr = referance.closest('tr');
		        var tbody = referance.closest('tbody');
				if($(tbody).find('tr').length > 1) {
					var value = confirm('Are you sure to delete?');
					if(value) {
						var hrefVal = referance[0].href;
						$.ajax({
				            url:hrefVal,
			   				type: "GET",
			   				contentType: "application/json; charset=utf-8",
			   				success: function (response) {
		   						if(response == "Success") {
		   							table.ajax.reload();
		   						} else if(response == 'noPermission') {
		   							alert("You don't have permission for this action.");
		   						}
			   				}
			   			});
					} else {
						return value;
					}
				}
				return false;
		    });

		 	function getInput(name, inputType, value, cssClass, extraProperties) {
		 		var inputE = '<input';
				inputE += " name="+name;

				if(typeof cssClass != 'undefined' || cssClass != null) {
			 		inputE += " class='"+ cssClass +"'";
				}
				if(typeof inputType != 'undefined' || inputType != null) {
					inputE += " type='" + inputType + "'";
				} else {
					inputE += " type=text";
				}
				if(typeof value != 'undefined' || value != null) {
					inputE += " value='" + value + "'"; // invoiceItem[property];
				}
				if(typeof extraProperties != 'undefined' || extraProperties != null) {
					inputE += " " + extraProperties;
				}
				return inputE + ">";
		 	}

		 	function mmddyyyyTOyyyymmdd(mmddyyyy) {
				if(mmddyyyy == 'undefined' || mmddyyyy == null || mmddyyyy=='') {
					return '';
				}
				var arr = mmddyyyy.split("/");
				if(arr.length == 3) {
					return arr[2] + "-" + String(arr[0]).padStart(2,"0") + "-" + String(arr[1]).padStart(2,"0");
				}
				return '';
			}
	 	</script>
	</body>
</html>