<!DOCTYPE html>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<html>
    <head>
        <title>Banners Hallmark | Unverified Purchase Orders</title>
        <style type="text/css">
	        .fixedHeader-floating.table-unverified-po thead tr th {
			    padding: 15px 40px 15px 15px !important;
			}
			.fixedHeader-floating.table-unverified-po.open{
			    left: 55px !important;
			}
			.fixedHeader-floating.table-unverified-po.open thead tr{
			    width: calc(100vw - 128px); 
			}
			.table-unverified-po td {
			
			}
        </style>
    </head>
    <body>
		<div id="main" class='layout-navbar'>
           <div id="main-content">

                <div class="page-heading">
                    <div class="page-title mb-5">
                        <div class="row">
                            <div class="col-12 col-md-6 order-md-1 order-last">
                                <h3>Unverified Purchase Orders</h3>
                                <!-- <p class="text-subtitle text-muted">Navbar will appear in top of the page.</p> -->
                            </div>
                            <div class="col-12 col-md-6 order-md-2 order-first">
                                <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                                    <ol class="breadcrumb">
                                        <li class="breadcrumb-item"><a href="${pageContext.request.contextPath}">Dashboard</a></li>
                                        <li class="breadcrumb-item active" aria-current="page">Unverified Purchase Orders
                                        </li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                    <section class="section blnk-db ">
                        <%@ include file="../common/error-and-success-message.jsp" %>

                        <div class="card">
                            <div class="card-body">
                                <div class="c-dflx">
                                    <div class="upld-bill-dlt">
                                        <button id="syncUnverifiedData" type="button" class="btn btn-warning">Automatic Verify All Unverified Purchase Orders</button>
										<input type="button" class="btn btn-warning reset-filters" value="Reset Filters">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="card">
                            <div class="card-body ">
                             <div class="inv-data-tble table-scroll-c fix-scroll-t">
                                <table class="table table-striped table-unverified-po" id="table-unverified-po">
                                    <thead>
                                        <tr>
                                            <th>PO Number</th>
                                            <th>Vendor ID</th>
                                            <th>Date Expected</th>
                                            <th>Cancel Date</th>
                                            <th width="10%">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    		<c:forEach var="Rows" items="${zapPOList}">
												<tr>
													<td>
													<a href="${pageContext.request.contextPath}/unverifiedPOZapier/editZapTempPOData?poNumber=${Rows.po_number}"> ${Rows.po_number}</a></td>													
													<td> ${Rows.vendor_id}
														<c:if test="${activeVendorsMap.get(Rows.vendor_id) == null}">
															(This Vendor not setup. <a target="_blank" href="../vendor/addVendor?vendorNo=${Rows.vendor_id}"> Click here </a> to set up)
														</c:if>
													</td>
													<td>${Rows.expected_date}</td>
													<td>${Rows.cancel_date}</td>
											        <td class="td-actions">
					                                <div class="action-buttons">
					                                	<a class="red" href="${pageContext.request.contextPath}/unverifiedPOZapier/deleteUnverifiedPurchaseOrder/${Rows.po_number}" onclick="return confirm('Are you sure to delete?')" id="remove">
					                                   		<span class="badge bg-danger"><i class="bi bi-trash-fill"></i></span></a>
					                                 </div>			                                
					                            </td>
												</tr>
											</c:forEach>
                                    </tbody>
                                </table>
                            </div>
                      </div>
                        </div>
                    </section>
                </div>
                <footer>
                    <div class="footer clearfix mb-0 text-muted c-ftr">
                        <div class="float-start">
                            <p>2021 &copy; Banners Hallmark</p>
                        </div>
                        <div class="float-end">
                            <p>Developed by <span class="text-danger"><i class="bi bi-heart"></i></span>  <a
                                    href="#">Suntek IT Solutions </a></p>
                        </div>
                    </div>
                </footer>
            </div>
        </div>
        
      
	    <script src="${pageContext.request.contextPath}/resources/assets/js/main.js"></script>
	       
		<script>
		
		var table=null;
				$(document).ready(function() {
					// To keep defalult values of datatable
					var pageLength = 10, displayStart = 0;
			    	var searchFilter = "";
			    	var order = [[1,'desc']];

			    	$(".reset-filters").on("click", function() {
			    		$('.dataTables_filter input').val("");
						setSearchData("");
						table.search("").draw();
					});

			    	var filterObject = JSON.parse(localStorage.getItem("UnverifiedPurchaseOrderFilter"));
					if(filterObject != null) {
						pageLength = Number(filterObject.pageSize);
						if(typeof filterObject.displayStart !== 'undefined') {
							displayStart = Number(filterObject.displayStart);
						}
						searchFilter = filterObject.search;
						if(typeof filterObject.sorting !== 'undefined') {
							order = [[filterObject.sorting.col ,filterObject.sorting.dir]];
						}  
					} else {
						saveFilterItem();
					}
					$(document).on("change", ".dataTables_length select",saveFilterItem);

					table = $('#table-unverified-po').DataTable({
						"scrollX": true,
						"fixedHeader": {
							header: true,
						},
					   "pageLength": pageLength,
			 		   "displayStart":displayStart,
					   "search": {
							    "search": searchFilter
							  },
					  'order': order, 
						oLanguage: {
							oPaginate: {
								sNext: '<span class="pagination-default">&#x276f;</span>',
								sPrevious: '<span class="pagination-default">&#x276e;</span>'
							}
						}
					});
					
					
					table.on("order", function(event,table,type,sortType) {
			    		var filterObject = JSON.parse(localStorage.getItem("UnverifiedPurchaseOrderFilter"));
			    		if(typeof filterObject === 'undefined') {
			    			filterObject = {};
			    		}
			    		var sorting = {
			   				"col":type[0].col, 
			   				"dir": type[0].dir
		   				};
			    		filterObject.sorting= sorting;
			    		filterObject.displayStart = table._iDisplayStart;
			    		localStorage.setItem("UnverifiedPurchaseOrderFilter", JSON.stringify(filterObject));
		 			});
			    	table.on("page", function(event,table) {
		 				console.log("table " , table);
		 				var filterObject = JSON.parse(localStorage.getItem("UnverifiedPurchaseOrderFilter"));
			    		if(typeof filterObject === 'undefined') {
			    			filterObject = {};
			    		}
			    		filterObject.displayStart= table._iDisplayStart;
			    		localStorage.setItem("UnverifiedPurchaseOrderFilter", JSON.stringify(filterObject));
		 			});

			    	table.on("search", function(event,table,a,b,c) {
		 				var data = $('.dataTables_filter input').val();
		 				setSearchData(data);
		 			});
					
					$('#syncUnverifiedData').on('click', function(e) {
						localStorage.setItem("checkUnverifiedPoStatus", "true");
						location.href = '${pageContext.request.contextPath}/unverifiedPOZapier/syncUnverifiedData';
					});
				});
				function setSearchData(data) {
					var filterObject = JSON.parse(localStorage.getItem("UnverifiedPurchaseOrderFilter"));
		    		if(typeof filterObject === 'undefined') {
		    			filterObject = {};
		    		}
		    		filterObject.search= data;
		    		localStorage.setItem("UnverifiedPurchaseOrderFilter", JSON.stringify(filterObject));
				}
				$('INPUT[type="file"]').change(function() {
					var ext = this.value.match(/\.(.+)$/)[1];
					switch (ext) {
					case 'xls':
					case 'xlsx':
						$('#uploadButton').attr('disabled', false);
						break;
					default:
						alert("Only '.xls' and '.xlsx' file formats are allowed");
						$('#uploadButton').attr('disabled', true);
						this.value = '';
					}
				});
		
				$('#filterId')
						.change(
								function(event) {
									var filterId = $("select#filterId").val();
									//alert(filterId);
									var Url = "";
									Url = "${pageContext.request.contextPath}/readSpreadsheet/getLIstByPoNumber";
									//alert(Url);
									$.ajax({
										data : {
											poNumber : filterId
										},
										method : 'GET',
										url : Url,
										datatype : "json",
										beforeSend : function() {
											//alert("kk");
											// $.blockUI({ message: '<h5>Please wait...</h5>' });
										},
										success : function(zapierList) {
											//alert("ll"+zapierList.lenght)
											/* for (var i = 0; i < variable.CustomerList.length; i++) {
								                   $("#Customer-tabs").append('<li id=li_' + i + '><a>' + response.CustomerList[i].Name+ '</a></li>');
								                } */                
										},
										error : function(a, b, c, d) {
											//alert("aaaa" + JSON.stringify(a));
											//alert("bbbbb" + JSON.stringify(b));
											//alert("ccccc"+JSON.stringify(c));
											//alert("gggg"+JSON.stringify(d));
											alert("Invalid item Code");
										},
										complete : function() {
											$.unblockUI();
										}
									});
								});
				$(".fix-scroll-t .dataTables_scrollBody").floatingScroll();
				$('.burger-btn').on('click', function () {
					  $(this).parents('#app').find('.table-unverified-po').toggleClass('open')
				});
				
				function saveFilterItem() {
					var filterObject = {};
					var pageSize = 10;
					if(typeof $('.dataTables_length select').val() !== 'undefined') {
						pageSize = $('.dataTables_length select').val();
					}
					filterObject.pageSize = pageSize;
					localStorage.setItem("UnverifiedPurchaseOrderFilter", JSON.stringify(filterObject));
				}
			</script>
		
	</body>
</html>